﻿<!DOCTYPE html>

<HTML>

<HEAD>

<?php

// Mari-English Dictionary
// Software by Jeremy Bradley, University of Vienna/Koneen Säätiö
// www.mari-language.com, jeremy.moss.bradley@univie.ac.at, Skype: jeremy.moss.bradley
// Last update to software: 6 January 2015
// Source code released under the Creative Commons Attribution-Share Alike 3.0 Unported license
// http://creativecommons.org/licenses/by-sa/3.0/

header("Content-type: text/html; charset=utf-8");

include('functions.php');
include('passwords.php');

$search = ""; // Word being searched
$linked = ""; // Word being linked to
$meadowT = "";	// Meadow Transcription
$rows = -1;	// Number of rows found

$dir = 0;	// Direction:  0 - Mari to English, 1 - English to Mari, 2 - Both directions
$spar = 0;	// Search parameters: 0 - Search whole words only, 1 - All matches
$sub = 0;	// search subentries: 0 - no, 1 - yes
$spal = 0;	// stress and palatalness marking: 0 - extra characters, 1 - bold/italics, 2 - no marking
$ort = 0;	// Orthography used: 0 - Cyrillic, 1 - UPA, 2 - IPA
$ord = 0;	// Ordering: 0 - Alphabetical, 1 - Reverse

$int = 0;	// Interface language: 0 - English, 1 - Mari, 2 - Russian, 3 - Hill Mari
$lang = 0;	// Language display settings: 0 - Meadow Mari only, 1 - Hill Mari plugin
$letter = "Ң"; // When browsing the dictionary: display all entries starting, or ending, with this letter. Ң = not browsing
$iflink = ""; // If exactly one result found, becomes link to this entry - to pass on if user changes orthography, etc.

$do = 0; // If set 1, search

$looking = false; // If set, site will tell user that it is searching
$semicolons = false; // If set, search query contains semicolons, i.e., multiple elements being searched
$misspelled = false; // if true, user searched for archaic spelling or misspelling
$subentry = "";	// subentry in links

if(isset($_GET['dir']))
{
	$dir = $_GET['dir'];
	$dir = str_replace("<", "¤", $dir);
	$dir = str_replace(">", "¤", $dir);	
}

if(isset($_GET['spar']))
{
	$spar = $_GET['spar'];
	$spar = str_replace("<", "¤", $spar);
	$spar = str_replace(">", "¤", $spar);	
}

if(isset($_GET['sub']))
{
	$sub = $_GET['sub'];
	$sub = str_replace("<", "¤", $sub);
	$sub = str_replace(">", "¤", $sub);	
}

if(isset($_GET['spal']))
{
	$spal = $_GET['spal'];
	$spal = str_replace("<", "¤", $spal);
	$spal = str_replace(">", "¤", $spal);	
}

if(isset($_GET['int']))
{
	$int = $_GET['int'];
	if ($int != 1 && $int != 2 && $int !=3)
		$int = 0;
	
	$int = str_replace("<", "¤", $int);
	$int = str_replace(">", "¤", $int);	
}

if(isset($_GET['ort']))
{
	$ort = $_GET['ort'];
	$ort = str_replace("<", "¤", $ort);
	$ort = str_replace(">", "¤", $ort);	
}

if(isset($_GET['ord']))
{
	$ord = $_GET['ord'];
	$ord = str_replace("<", "¤", $ord);
	$ord = str_replace(">", "¤", $ord);	
}

if(isset($_GET['lang']))
{
	$lang = $_GET['lang'];
	$lang = str_replace("<", "¤", $lang);
	$lang = str_replace(">", "¤", $lang);	
}

if(isset($_GET['letter']))
{
	$letter = $_GET["letter"];
	$letter = str_replace("<", "¤", $letter);
	$letter = str_replace(">", "¤", $letter);	
}

if(isset($_GET['do']))
{
	$do = $_GET["do"];
	$do = str_replace("<", "¤", $do);
	$do = str_replace(">", "¤", $do);	
}

if(isset($_GET['linked']))
{
	$linked = "¤".$_GET["linked"]."¤";
	
	while (strrpos($linked,"  "))
	{
		$linked = str_replace("  ", " ", $linked);
	}
	
	$linked = str_replace("<", "¤", $linked);
	$linked = str_replace(">", "¤", $linked);	
	$linked = str_replace("/", "¤", $linked);
	$linked = str_replace("=", "¤", $linked);
	$linked = str_replace("•", "", $linked);
	$linked = str_replace("¤ ", "¤", $linked);
	$linked = str_replace(" ¤", "¤", $linked);
	$linked = str_replace("¤", "", $linked);
	
	echo "\n\n<!--Linked is: $linked-->\n\n";
}

$letter_me = "";
$letter_c = "";
$letter_u = "";
$letter_i = "";

if ($letter != "Ң")
{
	$letter_me = "&amp;letter=$letter";
	if ($ort == 2)
	{
		$letter_u = "&amp;letter=".ipa_to_upa($letter,"mhr");
		$letter_c = "&amp;letter=".lat_to_cyr(ipa_to_upa($letter,"mhr"),"mhr");
	}
	else if ($ort == 1)
	{
		$letter_i = "&amp;letter=".upa_to_ipa($letter,"mhr" , false);
		$letter_c = "&amp;letter=".lat_to_cyr($letter,"mhr");
	}
	else
	{
		$letter_u = "&amp;letter=".cyr_to_lat($letter,"mhr", false);
		$letter_i = "&amp;letter=".upa_to_ipa(cyr_to_lat($letter,"mhr", false),"mhr", false);
	}
	
	$letter_c = str_replace("ь", "й", $letter_c);
}

$commands = array	// UI Commands in all UI languages
(
  0 =>array
  (
  "Mari-English Dictionary",
  "Марла-англичанла мутер",
  "Марийско-английский словарь",
  "Марла-англичанла лӹмдер",
  ),
  1 =>array
  (
  "Search",
  "Кычалаш",
  "Искать",
  "Search"
  ),
  2 =>array
  (
  "Mari → English",
  "марий → англичан",
  "марийский → английский",
  "Mari → English"
  ),
  3 =>array
  (
  "Mari ← English",
  "марий ← англичан",
  "марийский ← английский",
  "Mari ← English"
  ),
  4 =>array
  (
  "Mari ⇆ English",
  "марий ⇆ англичан",
  "марийский ⇆ английский",
  "Mari ⇆ English"
  ),
  5 =>array
  (
  "Search:",
  "Кычалаш:",
  "Искать:",
  "Search:"
  ),
  6 =>array
  (
  "Whole Words",
  "пӱтынь шомак-влакым",
  "все слова",
  "Whole Words"
  ),
  7 =>array
  (
  "All Matches",
  "чыла келыштаралтмашым",
  "все совпадения",
  "All Matches"
  ),
  8 =>array
  (
  "Search Subentries",
  "чумыр статьям", // SHORTENED
  "всю статью", // NOT IDEAL
  "Search Subentries"
  ),
  9 =>array
  (
  "Stress, Palatalness:",
  "Пералтыш, пушкыдылык:",
  "Ударение, палатализация:",
  "Stress, Palatalness:"
  ),
  10 =>array
  (
  "Extra Characters (•, ')",
  "ешартыш пале-влак (•, ')",
  "дополнит. хар. (•, ')",
  "Extra Characters (•, ')"
  ),
  11 =>array
  (
  "Bold/Italics",
  "кӱжгӧ / курсив",
  "жирный / курсив",
  "Bold/Italics"
  ),
  12 =>array
  (
  "Do Not Annotate",
  "ончыкташ огыл",
  "не показывать",
  "Do Not Annotate"
  ),
  13 =>array
  (
  "Orthography:",
  "Орфографий:",
  "Орфография:",
  "Orthography:"
  ),
  14 =>array
  (
  "Cyrillic",
  "кириллице",
  "кириллица",
  "Cyrillic"
  ),
  15 =>array
  (
  "UPA",
  "УФА (UPA)",
  "УФА (UPA)",
  "UPA"
  ),
  16 =>array
  (
  "IPA",
  "МФА (IPA)",
  "МФА (IPA)",
  "IPA"
  ),
  17 =>array
  (
  "Ordering:",
  "Радам:",
  "Порядок:",
  "Ordering:"
  ), 
  18 =>array
  (
  "Alphabetical",
  "алфавит почеш",
  "по алфавиту",
  "Alphabetical"
  ),
  19 =>array
  (
  "Reverse",
  "мӧҥгешла",
  "обратный",
  "Reverse"
  ),
  20 =>array
  (
  "Report a mistake/Make a comment",
  "Йоҥылыш нерген палдараш/комментарийым пуаш",
  "Сообщить об ошибке/дать комментарий",
  "Report a mistake/Make a comment"
  ),
  21 =>array
  (
  "Your name:",
  "Тендан лӱмда:",
  "Ваше имя:",
  "Your name:"
  ),
  22 =>array
  (
  "Your password (optional):",
  "Тендан парольда (обязательный огыл):",
  "Ваш пароль (необязательный):",
  "Your password (optional):"
  ),
  23 =>array
  (
  "Please enter a longer string, or restrict your search to whole words or phrases.",
  "Кужурак строка дене возыза, але муаш шонымыдам  ик шомак але муткылдыш марте иземдыза.",
  "Пожалуйста, введите строкой длинней, или ограничьте поиск целыми словами или фразами.",
  "Please enter a longer string, or restrict your search to whole words or phrases."
  ),
  24 =>array
  (
  "Multiple entries found:",
  "Икмыняр возымашым мумо:",
  "Найдены записи:",
  "Multiple entries found:"
  ),
  25 =>array
  (
  "Search for Hill Mari Counterparts",
  "Search for Hill Mari Counterparts",
  "Search for Hill Mari Counterparts",
  "Search for Hill Mari Counterparts"
  ),
  26 =>array
  (
  "Documentation",
  "Documentation",
  "Documentation",
  "Documentation"
  ),
  27 =>array
  (
  "Redirected from:",
  "Redirected from:",
  "Redirected from:",
  "Redirected from:"
  ),
  28 =>array
  (
  "No results.",
  "Нимат мумо огыл.",
  "Ничего не найдено.",
  "No results."
  ),
  29 =>array
  (
  "Hill → Meadow, English",
  "Hill → Meadow, English",
  "Hill → Meadow, English",
  "Hill → Meadow, English"
  ),
  30 =>array
  (
  "Hill ← Meadow, English",
  "Hill ← Meadow, English",
  "Hill ← Meadow, English",
  "Hill ← Meadow, English"
  ), 
   31 =>array
  (
  "Hill ⇆ Meadow, English",
  "Hill ⇆ Meadow, English",
  "Hill ⇆ Meadow, English",
  "Hill ⇆ Meadow, English"
  ), 
   33 =>array
  (
  "Links",
  "Links",
  "Links",
  "Links"
  ),
  32 =>array
  (
  "Corresponds to Meadow Mari:",
  "Corresponds to Meadow Mari:",
  "Corresponds to Meadow Mari:",
  "Corresponds to Meadow Mari:"
  ), 
  32 =>array
  (
  "Compare with Meadow Mari:",
  "Compare with Meadow Mari:",
  "Compare with Meadow Mari:",
  "Compare with Meadow Mari:"
  ), 
  32 =>array
  (
  "Also compare with Meadow Mari:",
  "Also compare with Meadow Mari:",
  "Also compare with Meadow Mari:",
  "Also compare with Meadow Mari:"
  ), 
  32 =>array
  (
  "See Hill Mari:",
  "See Hill Mari:",
  "See Hill Mari:",
  "See Hill Mari:"
  ),
  33 =>array
  (
  "Turn on Hill Mari Plugin",
  "Turn on Hill Mari Plugin",
  "Turn on Hill Mari Plugin",
  "Turn on Hill Mari Plugin"
  ),
  34 =>array
  (
  "Turn off Hill Mari Plugin",
  "Turn off Hill Mari Plugin",
  "Turn off Hill Mari Plugin",
  "Turn off Hill Mari Plugin"
  ),
  35 =>array
  (
  "Reset",
  "Адак чӱкташ",
  "Переустановить",
  "Reset"
  ),
  36 =>array
  (
  "Instructions",
  "Инструкций-влак",
  "Инструкции",
  "Instructions"
  ),
  37 =>array
  (
  "Morphological Analyzer",
  "Морфологий анализатор",
  "Морфологический анализатор",
  "Morphological Analyzer"
  ),
  38 =>array
  (
  "Feedback",
  "Мӧҥгешла кыл",
  "Обратная связь",
  "Feedback"
  ),
  39 =>array
  (
  "Read first",
  "Ондак лудса",
  "Сначала прочитайте",
  "Read first"
  ),
  40 =>array
  (
  "Your e-mail (optional):",
  "Тендан э-почтыда (обязательный огыл):",
  "Ваша электронная почта (необязательный):",
  "Your e-mail (optional):"
  ),
  41 =>array
  (
  "send",
  "колташ",
  "отправить",
  "send"
  ),
  42 =>array
  (
  "Try a morphological analysis?",
  "Морфологий анализатор дене пайдаланен ончыза",
  "Попробуйте морфологический анализатор",
  "Try a morphological analysis?"
  ),
  43 =>array
  (
  "Search in progress...",
  "Кычалалтеш...",
  "Поиск...",
  "Search in progress..."
  ),
  44 =>array
  (
  "The Mari Web Project is based at the <a href=\"http://finno-ugristik.univie.ac.at/\">Department of Finno-Ugric Studies</a> at the <a href=\"http://www.univie.ac.at/\">University of Vienna</a>. The Mari-English Dictionary is funded by the <a href=\"http://www.fwf.ac.at/\">Austrian Science Fund (FWF)</a>: P22786-G20.",
  "The Mari Web Project is based at the <a href=\"http://finno-ugristik.univie.ac.at/\">Department of Finno-Ugric Studies</a> at the <a href=\"http://www.univie.ac.at/\">University of Vienna</a>. The Mari-English Dictionary is funded by the <a href=\"http://www.fwf.ac.at/\">Austrian Science Fund (FWF)</a>: P22786-G20.",
  "The Mari Web Project is based at the <a href=\"http://finno-ugristik.univie.ac.at/\">Department of Finno-Ugric Studies</a> at the <a href=\"http://www.univie.ac.at/\">University of Vienna</a>. The Mari-English Dictionary is funded by the <a href=\"http://www.fwf.ac.at/\">Austrian Science Fund (FWF)</a>: P22786-G20.",
  "The Mari Web Project is based at the <a href=\"http://finno-ugristik.univie.ac.at/\">Department of Finno-Ugric Studies</a> at the <a href=\"http://www.univie.ac.at/\">University of Vienna</a>. The Mari-English Dictionary is funded by the <a href=\"http://www.fwf.ac.at/\">Austrian Science Fund (FWF)</a>: P22786-G20."
  ),
  45 =>array
  (
  "Search forvo.com for pronunciation",
  "forvo.com",
  "Искать forvo.com для произношения",
  "Search forvo.com for pronunciation"
  ),
  46 =>array
  (
  "Meadow Mari → English",
  "олыкмарий → англичан",
  "луговомарийский → английский",
  "Meadow Mari → English"
  ),
  47 =>array
  (
  "Meadow Mari ← English",
  "олыкмарий ← англичан",
  "луговомарийский ← английский",
  "Meadow Mari ← English"
  ),
  48 =>array
  (
  "Meadow Mari ⇆ English",
  "олыкмарий ⇆ англичан",
  "луговомарийский ⇆ английский",
  "Meadow Mari ⇆ English"
  )
);

function maritags($input)	// Transate tags into Mari
{
	$input = str_replace("{spelling alternative}", "{возымо вариант}", $input);
	$input = str_replace("{American English}", "{англичан йылмын американ вариантше}", $input);
	$input = str_replace("{American alternative}", "{американ вариант}", $input);
	$input = str_replace("{also figurative}", "{тыгак вончештарыме}", $input);
	$input = str_replace("{accusative}", "{винительный падеж}", $input);
	$input = str_replace("{anatomy}", "{анатомий}", $input);
	$input = str_replace("{art}", "{сымыктыш}", $input);
	$input = str_replace("{predicative}", "{предикативный}", $input);
	$input = str_replace("{British English}", "{англичан йылмын британ вариантше}", $input);
	$input = str_replace("{British alternative}", "{британ вариант}", $input);
	$input = str_replace("{biology}", "{биологий}", $input);
	$input = str_replace("{bird}", "{кайык}", $input);
	$input = str_replace("{botany}", "{ботанике}", $input);
	$input = str_replace("{in a converb construction}", "{составной глаголышто}", $input);
	$input = str_replace("{color}", "{тӱс}", $input);
	$input = str_replace("{computing}", "{компьютер}", $input);
	$input = str_replace("{chemistry}", "{химий}", $input);
	$input = str_replace("{child speak}", "{йоча йылме}", $input);
	$input = str_replace("{dialectal}", "{диалект}", $input);
	$input = str_replace("{economics}", "{экономике}", $input);
	$input = str_replace("{cf. short form}", "{таҥ. кӱчык формо}", $input);
	$input = str_replace("{ethnography}", "{этнографий}", $input);
	$input = str_replace("{figuratively}", "{вончештарыме}", $input);
	$input = str_replace("{figuratively and/or set phrase}", "{кӱэмкылдыш}", $input);
	$input = str_replace("{fish}", "{кол}", $input);
	$input = str_replace("{frequentative}", "{икмыняр гана ышталтше}", $input);
	$input = str_replace("{geography}", "{географий}", $input);
	$input = str_replace("{history}", "{историй}", $input);
	$input = str_replace("{impersonal}", "{личный огыл}", $input);
	$input = str_replace("{imperative}", "{повелительный}", $input);
	$input = str_replace("{imperfective}", "{несовершенный}", $input);
	$input = str_replace("{intensity}", "{интенсивность}", $input);
	$input = str_replace("{intransitive}", "{переходный огыл}", $input);
	$input = str_replace("{law}", "{юридический}", $input);
	$input = str_replace("{linguistics}", "{йылме}", $input);
	$input = str_replace("{scientific}", "{шанче}", $input);
	$input = str_replace("{literature}", "{литератур}", $input);
	$input = str_replace("{mathematics}", "{математике}", $input);
	$input = str_replace("{medicine}", "{медицине}", $input);
	$input = str_replace("{momentary}", "{ик гана ышталтше }", $input);
	$input = str_replace("{music}", "{музык}", $input);
	$input = str_replace("{mushroom}", "{поҥго}", $input);
	$input = str_replace("{mythology}", "{мифологий}", $input);
	$input = str_replace("{nationality}", "{национальность}", $input);
	$input = str_replace("{no plural}", "{шуко чотышто ок кучылталт}", $input);
	$input = str_replace("{pejorative}", "{отрицательный}", $input);
	$input = str_replace("{perfective}", "{совершенный}", $input);
	$input = str_replace("{physics}", "{физике}", $input);
	$input = str_replace("{philosophy}", "{философий}", $input);
	$input = str_replace("{playing, game}", "{модыш}", $input);
	$input = str_replace("{in plural}", "{шуко чотышто}", $input);
	$input = str_replace("{politics}", "{политике}", $input);
	$input = str_replace("{religion}", "{религий}", $input);
	$input = str_replace("{Russian loan}", "{руш кӱсынлымӧ шомак}", $input);
	$input = str_replace("{spoken language}", "{кутырымо йылме}", $input);
	$input = str_replace("{sports}", "{спорт}", $input);
	$input = str_replace("{technical}", "{технике}", $input);
	$input = str_replace("{textile working}", "{куэм паша}", $input);
	$input = str_replace("{transitive}", "{переходный}", $input);
	$input = str_replace("{unit}", "{ужаш}", $input);
	$input = str_replace("{vocative}", "{ӱжмӧ}", $input);
	$input = str_replace("{warfare}", "{военный}", $input);
	$input = str_replace("{zoology}", "{зоологий}", $input);
	
	$input = str_replace("{final vowel not reduced}", "{мут мучашысе гласный ы дене ок алмашталт}", $input);
	$input = str_replace("{final vowel reduced}", "{мут мучашысе гласный ы дене алмашталтеш}", $input);
	
	$input = str_replace("~ USAGE AS A MODIFIER ~", "~ ОПРЕДЕЛЕНИЙ СЕМЫН КУЧЫЛТАЛТМАШ ~", $input);
	$input = str_replace("~ ASPECTUAL CONVERB CONSTRUCTIONS ~", "~ ВИДЫМ ОНЧЫКТЫШО СОСТАВНОЙ ГЛАГОЛ ~", $input);
	$input = str_replace("~ COPULATIVE CONVERB CONSTRUCTIONS ~", "~ КОПУЛЯТИВНЫЙ СОСТАВНОЙ ГЛАГОЛ ~", $input);

	$input = str_replace("--\"PARENT\"-->", "--\"ТЫГАЙ ШОМАК ГЫЧ\"-->", $input);
	$input = str_replace("--\"STYLE\"-->", "--\"СТИЛЬ\"-->", $input);
	$input = str_replace("--\"MODERN\"-->", "--\"У ОРФОРГРАФИЙ ПОЧЕШ\"-->", $input);
	$input = str_replace("--\"PURIST\"-->", "--\"ЙЫЛМЕ ЯНДАРЛЫК ШОМАК\"-->", $input);
	
	$input = str_replace("{adjective}", "{пале мут}", $input);
	$input = str_replace("{adverb}", "{наречий}", $input);
	$input = str_replace("{conjunction}", "{ушем мут}", $input);
	$input = str_replace("{descriptive}", "{описательный}", $input);
	$input = str_replace("{interjection}", "{междометий}", $input);
	$input = str_replace("{proper name}", "{шкелӱм}", $input);
	$input = str_replace("{numeral}", "{чот мут}", $input);
	$input = str_replace("{noun}", "{лӱм мут}", $input);
	$input = str_replace("{particle}", "{частице}", $input);
	$input = str_replace("{phrase}", "{муткылдыш}", $input);
	$input = str_replace("{place name}", "{вер лӱм}", $input);
	$input = str_replace("{postposition}", "{почеш мут}", $input);
	$input = str_replace("{pronoun}", "{олмештыш мут}", $input);
	$input = str_replace("{sentence}", "{ойлончо}", $input);
	$input = str_replace("{verb form}", "{глагол формо}", $input);
	$input = str_replace("{verb I}", "{икымше спряжениян глагол}", $input);
	$input = str_replace("{verb I – negative}", "{икымше спряжениян глагол – шӧрен каласыме формо}", $input);
	$input = str_replace("{verb I – verb I}", "{икымше спряжениян глагол – икымше спряжениян глагол}", $input);
	$input = str_replace("{verb I – verb II}", "{икымше спряжениян глагол – кокымшо спряжениян глагол}", $input);
	$input = str_replace("{verb II}", "{кокымшо спряжениян глагол}", $input);
	$input = str_replace("{verb II – negative}", "{кокымшо спряжениян глагол – шӧрен каласыме формо}", $input);
	$input = str_replace("{verb II – verb I}", "{кокымшо спряжениян глагол – икымше спряжениян глагол}", $input);
	$input = str_replace("{verb II – verb II}", "{кокымшо спряжениян глагол – кокымшо спряжениян глагол}", $input);
	return $input;
}

function russiantags($input)	// Transate tags into Russian
{
	$input = str_replace("{spelling alternative}", "{вариант написания}", $input);
	$input = str_replace("{American English}", "{американский вариант английского языка}", $input);
	$input = str_replace("{American alternative}", "{американский вариант}", $input);
	$input = str_replace("{also figurative}", "{также образное}", $input);
	$input = str_replace("{accusative}", "{винительный падеж}", $input);
	$input = str_replace("{anatomy}", "{анатомия}", $input);
	$input = str_replace("{art}", "{искусство}", $input);
	$input = str_replace("{predicative}", "{предикативная}", $input);
	$input = str_replace("{British English}", "{британский вариант английского языка}", $input);
	$input = str_replace("{British alternative}", "{британский вариант}", $input);
	$input = str_replace("{biology}", "{биология}", $input);
	$input = str_replace("{bird}", "{птица}", $input);
	$input = str_replace("{botany}", "{ботаника}", $input);
	$input = str_replace("{in a converb construction}", "{в составном глаголе}", $input);
	$input = str_replace("{color}", "{цвет}", $input);
	$input = str_replace("{computing}", "{компьютерный}", $input);
	$input = str_replace("{chemistry}", "{химия}", $input);
	$input = str_replace("{child speak}", "{детский язык}", $input);
	$input = str_replace("{dialectal}", "{диалектный}", $input);
	$input = str_replace("{economics}", "{экономика}", $input);
	$input = str_replace("{cf. short form}", "{ср. краткая форма}", $input);
	$input = str_replace("{ethnography}", "{этнография}", $input);
	$input = str_replace("{figuratively}", "{образно}", $input);
	$input = str_replace("{figuratively and/or set phrase}", "{устойчивое выражение}", $input);
	$input = str_replace("{fish}", "{рыба}", $input);
	$input = str_replace("{frequentative}", "{многократный}", $input);
	$input = str_replace("{geography}", "{география}", $input);
	$input = str_replace("{history}", "{история}", $input);
	$input = str_replace("{impersonal}", "{неличное}", $input);
	$input = str_replace("{imperative}", "{повелительное}", $input);
	$input = str_replace("{imperfective}", "{несовершенный}", $input);
	$input = str_replace("{intensity}", "{интенсивность}", $input);
	$input = str_replace("{intransitive}", "{непереходный}", $input);
	$input = str_replace("{law}", "{юридический}", $input);
	$input = str_replace("{linguistics}", "{лингвистический}", $input);
	$input = str_replace("{scientific}", "{научный}", $input);
	$input = str_replace("{literature}", "{литература}", $input);
	$input = str_replace("{mathematics}", "{математика}", $input);
	$input = str_replace("{medicine}", "{медицина}", $input);
	$input = str_replace("{momentary}", "{однократный}", $input);
	$input = str_replace("{music}", "{музыка}", $input);
	$input = str_replace("{mushroom}", "{гриб}", $input);
	$input = str_replace("{mythology}", "{мифология}", $input);
	$input = str_replace("{nationality}", "{национальность}", $input);
	$input = str_replace("{no plural}", "{не используется во множественном числе}", $input);
	$input = str_replace("{pejorative}", "{отрицательное}", $input);
	$input = str_replace("{perfective}", "{совершенный}", $input);
	$input = str_replace("{physics}", "{физика}", $input);
	$input = str_replace("{philosophy}", "{философия}", $input);
	$input = str_replace("{playing, game}", "{игра}", $input);
	$input = str_replace("{in plural}", "{во множественном числе}", $input);
	$input = str_replace("{politics}", "{политика}", $input);
	$input = str_replace("{religion}", "{религия}", $input);
	$input = str_replace("{Russian loan}", "{русское заимствование}", $input);
	$input = str_replace("{spoken language}", "{разговорное слово}", $input);
	$input = str_replace("{sports}", "{спорт}", $input);
	$input = str_replace("{technical}", "{технический}", $input);
	$input = str_replace("{textile working}", "{текстильная работа}", $input);
	$input = str_replace("{transitive}", "{переходный}", $input);
	$input = str_replace("{unit}", "{единица}", $input);
	$input = str_replace("{vocative}", "{звательный}", $input);
	$input = str_replace("{warfare}", "{военный}", $input);
	$input = str_replace("{zoology}", "{зоология}", $input);

	$input = str_replace("{final vowel not reduced}", "{конечная гласная не редуцируется}", $input);
	$input = str_replace("{final vowel reduced}", "{конечная гласная редуцируется}", $input);	
	
	$input = str_replace("~ USAGE AS A MODIFIER ~", "~ ИСПОЛЬЗОВАНИЕ В КАЧЕСТВЕ ОПРЕДЕЛЕНИЯ ~", $input);	
	$input = str_replace("~ ASPECTUAL CONVERB CONSTRUCTIONS ~", "~ СОСТАВНОЙ ГЛАГОЛ С ВИДОВЫМ ЗНАЧЕНИЕМ ~", $input);
	$input = str_replace("~ COPULATIVE CONVERB CONSTRUCTIONS ~", "~ КОПУЛЯТИВНЫЙ СОСТАВНОЙ ГЛАГОЛ ~", $input);

	$input = str_replace("--\"PARENT\"-->", "--\"ОБРАЗОВАНО ОТ\"-->", $input);
	$input = str_replace("--\"STYLE\"-->", "--\"СТИЛЬ\"-->", $input);
	$input = str_replace("--\"MODERN\"-->", "--\"ПО НОВОЙ ОРФОГРАФИИ\"-->", $input);
	$input = str_replace("--\"PURIST\"-->", "--\"ПУРИСТИЧНОЕ\"-->", $input);

	$input = str_replace("{adjective}", "{имя прилагательное}", $input);
	$input = str_replace("{adverb}", "{наречие}", $input);
	$input = str_replace("{conjunction}", "{союз}", $input);
	$input = str_replace("{descriptive}", "{описательное}", $input);
	$input = str_replace("{interjection}", "{междометие}", $input);
	$input = str_replace("{proper name}", "{имя собственное}", $input);
	$input = str_replace("{numeral}", "{имя числительное}", $input);
	$input = str_replace("{noun}", "{имя существительное}", $input);
	$input = str_replace("{particle}", "{частица}", $input);
	$input = str_replace("{phrase}", "{фраза}", $input);
	$input = str_replace("{place name}", "{название местности}", $input);
	$input = str_replace("{postposition}", "{послелог}", $input);
	$input = str_replace("{pronoun}", "{местоимение}", $input);
	$input = str_replace("{sentence}", "{предложение}", $input);
	$input = str_replace("{verb form}", "{глагольная форма}", $input);
	$input = str_replace("{verb I}", "{глагол первого спряжения}", $input);
	$input = str_replace("{verb I – negative}", "{глагол первого спряжения – отрицательная форма}", $input);
	$input = str_replace("{verb I – verb I}", "{глагол первого спряжения – глагол первого спряжения}", $input);
	$input = str_replace("{verb I – verb II}", "{глагол первого спряжения – глагол второго спряжения}", $input);
	$input = str_replace("{verb II}", "{глагол второго спряжения}", $input);
	$input = str_replace("{verb II – negative}", "{глагол второго спряжения – отрицательная форма}", $input);
	$input = str_replace("{verb II – verb I}", "{глагол второго спряжения – глагол первого спряжения}", $input);
	$input = str_replace("{verb II – verb II}", "{глагол второго спряжения – глагол второго спряжения}", $input);
	return $input;
}


function none($input)	// Removes stress and palatalness marking
{
	$input = str_replace("•", "", $input);
	$input = str_replace("н'", "н", $input);
	$input = str_replace("л'", "л", $input);
	return $input;
}

function boldital($input)	// Replaces stress and palatalness marking through separate characters (•, ') with marking through HTML tags
{
	$input = str_replace("а•", "<b>а</b>", $input);
	$input = str_replace("э•", "<b>э</b>", $input);
	$input = str_replace("ы•", "<b>ы</b>", $input);
	$input = str_replace("о•", "<b>о</b>", $input);
	$input = str_replace("у•", "<b>у</b>", $input);
	$input = str_replace("я•", "<b>я</b>", $input);
	$input = str_replace("е•", "<b>е</b>", $input);
	$input = str_replace("и•", "<b>и</b>", $input);
	$input = str_replace("ё•", "<b>ё</b>", $input);
	$input = str_replace("ю•", "<b>ю</b>", $input);	
	$input = str_replace("ӓ•", "<b>ӓ</b>", $input);
	$input = str_replace("ӹ•", "<b>ӹ</b>", $input);
	$input = str_replace("ӧ•", "<b>ӧ</b>", $input);
	$input = str_replace("ӱ•", "<b>ӱ</b>", $input);
	
	$input = str_replace("a•", "<b>a</b>", $input);
	$input = str_replace("e•", "<b>e</b>", $input);
	$input = str_replace("i•", "<b>i</b>", $input);
	$input = str_replace("o•", "<b>o</b>", $input);
	$input = str_replace("u•", "<b>u</b>", $input);
	$input = str_replace("ä•", "<b>ä</b>", $input);
	$input = str_replace("ö•", "<b>ö</b>", $input);
	$input = str_replace("ü•", "<b>ü</b>", $input);
	$input = str_replace("ə̑•", "<b>ə̑</b>", $input);
	$input = str_replace("ə•", "<b>ə</b>", $input);

	$input = str_replace("ä•", "<b>æ</b>", $input);
	$input = str_replace("ø•", "<b>ø</b>", $input);
	$input = str_replace("y•", "<b>y</b>", $input);
	$input = str_replace("ɤ•", "<b>ɤ</b>", $input);



	
	$input = str_replace("н'", "<i>н</i>", $input);
	$input = str_replace("л'", "<i>л</i>", $input);
	
	return $input;
}	

if(isset($_POST["inField"]))
{
	$search = $_POST["inField"];

	$search = str_replace("n'", "ń", $search);
	$search = str_replace("l'", "ĺ", $search);
	$search = str_replace("•", "", $search);

	while (strrpos($search,"  "))
	{
		$search = str_replace("  ", " ", $search);
	}
	
	$search = str_replace("<", "¤", $search);
	$search = str_replace(">", "¤", $search);	

	$search = str_replace("¤ ", "¤", $search);
	$search = str_replace(" ¤", "¤", $search);
	
	global $gr_v;
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$search = str_replace($gr_v{$i}."́",$gr_v{$i}, $search);
	}
	
	$search = str_replace("¤", "", $search);
	$search = str_replace(".", "|", $search);
	
	echo "<meta http-equiv=\"refresh\" content=\"0;URL='?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;&amp;do=1'\" />";    

	$looking = true;
}
else if(isset($_GET['search']))
{
	$sub = !isset($_GET["sub"])? NULL: $_GET["sub"];
	$sub = str_replace("<", "¤", $sub);
	$sub = str_replace(">", "¤", $sub);

	
	$search = "¤".$_GET["search"]."¤";
	$search = str_replace("•", "", $search);

	while (strrpos($search,"  "))
	{
		$search = str_replace("  ", " ", $search);
	}

	$search = str_replace("<", "¤", $search);
	$search = str_replace(">", "¤", $search);		
	$search = str_replace("¤ ", "¤", $search);
	$search = str_replace(" ¤", "¤", $search);
	$search = str_replace("¤", "", $search);
}

if (mb_strlen($search) > 0)
{
	if ($ort == 2)
		$meadowT = upa_to_ipa(latprep($search, "mhr"), "mhr", false);
	else if ($ort == 1)
		$meadowT = latprep($search, "mhr");
	else
		$meadowT = cyrprep(lat_to_cyr(latprep($search, "mhr"), "mhr"), "mhr");	
	
	$meadowT = disp($meadowT);
	
	if($dir == 0)
		$search = $meadowT;
		
	$searchOne = $search;
	
	if (strrpos($search,";"))
	{
		$semicolons = true;
			
		$meadowT = str_replace("  "," ", $meadowT);
		$meadowT = str_replace("; ",";", $meadowT);
		$wordsT = explode(";", $meadowT);
		$meadowT = $wordsT[0];
		
		$searchS = str_replace("  "," ", $search);
		$searchS = str_replace("; ",";", $searchS);
		$wordsS = explode(";", $searchS);
		
		$searchOne = $wordsS[0];
	}
		

}
?><meta http-equiv="Content-type" value="text/html; charset=utf-8">

<LINK href="dict.css" rel="stylesheet" type="text/css">

<TITLE><?php echo $commands[0][$int]; /* "Mari-English Dictionary" */ ?>	</TITLE>

</HEAD>
<BODY>

<center>

<?php 

if (!($spar  == 1 && mb_strlen($search) < 3 && mb_strlen($search) > 0 && $letter == "Ң") && ($do == 1 || $letter != "Ң" || mb_strlen($linked)) && !$looking)
{
	$mysqli = new mysqli($host,$user,$pw,$db_name);

	if ($mysqli->connect_errno)
	{
		printf("Connect failed: %s\n", $mysqli->connect_error);
		exit();
	}
	
	$mysqli->query("SET CHARACTER SET utf8");
	$mysqli->query("SET SESSION collation_connection =’utf8_general_ci");
	
$sqlord = "SELECT ma,madis,upa,ipa,html,eng FROM `meadow`";

$look_in = "ma";
$order_by = "nr";
$pattern = "$letter%";
	
if ($ort == 1)
{
	$look_in = "upa";
	$order_by = "upaal";
}
else if ($ort == 2)
{
	$look_in = "ipa";
	$order_by = "ipaal";
}

if ($ord == 1)
{
	$pattern = "%$letter";
	$order_by = "cyrrev";
	if ($ort == 1)
		$order_by = "uparev";
	else if ($ort == 2)
		$order_by = "iparev";
}

if ($linked != "")
{
	$sqlord = $sqlord." WHERE ma LIKE '$linked'";
}
else if($letter != "Ң")
{
	$pattern = str_replace("'", "\'", $pattern);
	
	$sqlord = $sqlord." WHERE $look_in LIKE '$pattern' collate utf8_bin";

	if ($ort == 0)
	{
		$pattern2 = mb_strtoupper($pattern, "UTF-8");
		$sqlord = $sqlord." OR $look_in LIKE '$pattern2' collate utf8_bin";
		
		if ($ord == 1)
		{
			$sqlord = $sqlord." OR $look_in LIKE '$pattern(%' collate utf8_bin OR $look_in LIKE '$pattern (%' collate utf8_bin OR $look_in LIKE '$pattern [%' collate utf8_bin";
		}
	}
	else if ($ort > 0 && $ord == 0)
	{
		$pattern2 = str_replace("'", "\'", $letter);
		$sqlord = $sqlord." AND NOT ($look_in LIKE '".$pattern2."\'%' OR $look_in LIKE '".$pattern2."ʲ%' collate utf8_bin OR $look_in LIKE '".$pattern2."͡%')";
	}
	else if ($ort == 2 && $ord == 1)
	{
		$sqlord = $sqlord." AND NOT $look_in LIKE '%͡".$letter."' collate utf8_bin";
	}
}
else
{
	if ($sub == 1)
	{
		if ($ort == 2)
		{
			$meadowT = lat_to_cyr(ipa_to_upa($meadowT, "mhr"), "mhr");
			$meadowT = disp($meadowT);
		}
		else if ($ort == 1)
		{
			$meadowT = lat_to_cyr($meadowT, "mhr");
			$meadowT = disp($meadowT);
		}
	}
		
	if ($dir == 2)	// M <-> E
	{
		if ($spar == 1)	// All Matches
		{
			if ($sub == 1) // Subentries
			{
				$sqlord = $sqlord." WHERE (htmlnstr LIKE '%$meadowT%' OR htmlnstr LIKE '%$searchOne%')";
				
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND (htmlnstr LIKE '%$wordsT[$j]%' OR htmlnstr LIKE '%$wordsS[$j]%')";
					}
				}
			}
			else
			{
				$sqlord = $sqlord." WHERE ($look_in LIKE '%$meadowT%' OR eng LIKE '%$searchOne%')";
				
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND ($look_in LIKE '%$wordsT[$j]%' OR eng LIKE '%$$wordsS[$j]%')";
					}
				}
			}
		}
		else	// Whole words
		{
			if ($sub == 1) // Subentries
			{
				$sqlord = $sqlord." WHERE (htmlnstr REGEXP '[[:<:]]$meadowT\[[:>:]]' OR htmlnstr REGEXP '[[:<:]]$searchOne\[[:>:]]')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND (htmlnstr REGEXP '[[:<:]]$wordsT[$j]\[[:>:]]' OR htmlnstr REGEXP '[[:<:]]$wordsS[$j]\[[:>:]]')";
					}
				}
			}
			else
			{
				$sqlord = $sqlord." WHERE ($look_in LIKE '$meadowT' OR $look_in LIKE '$meadowT(%' OR $look_in LIKE '$meadowT %' OR eng REGEXP '[[:<:]]$searchOne\[[:>:]]' OR eng REGEXP '[[:<:]]•$searchOne\[[:>:]]')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND ($look_in LIKE '$wordsT[$j]' OR $look_in LIKE '$wordsT[$j](%' OR $look_in LIKE '$wordsT[$j] %' OR eng REGEXP '[[:<:]]$wordsS[$j]\[[:>:]]' OR eng REGEXP '[[:<:]]•$wordsS[$j]\[[:>:]]')";
					}
				}
			}
		}
	}
	else if  ($dir == 1) // M <-- E
	{
		if ($spar == 1)	// All Matches
		{
			if ($sub == 1) // Subentries
			{
				$sqlord = $sqlord." WHERE (htmlnstr LIKE '%$searchOne%')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND (htmlnstr LIKE '%$wordsS[$j]%')";
					}
				}
			}
			else
			{
				$sqlord = $sqlord." WHERE (eng LIKE '%$searchOne%')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND (eng LIKE '%$wordsS[$j]%')";
					}
				}
			}
		}
		else	// Whole words
		{
			if ($sub == 1) // Subentries
			{
				$sqlord = $sqlord." WHERE (htmlnstr REGEXP '[[:<:]]$searchOne\[[:>:]]')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND (htmlnstr REGEXP '[[:<:]]$wordsS[$j]\[[:>:]]')";
					}
				}
			}
			else
			{
				$sqlord = $sqlord." WHERE (eng LIKE '•$searchOne' OR eng LIKE '%•$searchOne' OR eng LIKE '%>$searchOne<%' OR eng LIKE '%•$searchOne,%' OR eng LIKE '%•$searchOne (%' OR eng LIKE '%, $searchOne,%' OR eng LIKE '%, $searchOne •%' OR eng LIKE '%, $searchOne' OR eng LIKE '%•$searchOne •%' OR eng LIKE '•to $searchOne' OR eng LIKE '%•to $searchOne,%' OR eng LIKE '%•to $searchOne (%' OR eng LIKE '%, to $searchOne,%' OR eng LIKE '%, to $searchOne' OR eng LIKE '%•to $searchOne •%' OR eng LIKE '%}$searchOne' OR eng LIKE '%}$searchOne (%' OR eng LIKE '%}$searchOne •%' OR eng LIKE '%}$searchOne,%')"; 

				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsS); $j++)
					{
						$sqlord = $sqlord." AND (eng LIKE '•$wordsS[$j]' OR eng LIKE '%•$wordsS[$j],%' OR eng LIKE '%•$wordsS[$j] (%' OR eng LIKE '%, $wordsS[$j],%' OR eng LIKE '%, $wordsS[$j]' OR eng LIKE '%•$wordsS[$j] •%' OR eng LIKE '•to $wordsS[$j]' OR eng LIKE '%•to $wordsS[$j],%' OR eng LIKE '%•to $wordsS[$j] (%' OR eng LIKE '%, to $wordsS[$j],%' OR eng LIKE '%, to $wordsS[$j]' OR eng LIKE '%•to $wordsS[$j] •%')"; 
					}
				}
			}
		}
	}
	else // M --> E
	{
		if ($spar == 1)	// All Matches
		{
			if ($sub == 1) // Subentries
			{
				$sqlord = $sqlord." WHERE (htmlnstr LIKE '%$meadowT%')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsT); $j++)
					{
						$sqlord = $sqlord." AND (htmlnstr LIKE '%$wordsT[$j]%')";
					}
				}
			}
			else
			{
				$sqlord = $sqlord." WHERE ($look_in LIKE '%$meadowT%')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsT); $j++)
					{
						$sqlord = $sqlord." AND ($look_in LIKE '%$wordsT[$j]%')";
					}
				}
			}
		}
		else	// Whole words
		{
			if ($sub == 1) // Subentries
			{
				$sqlord = $sqlord." WHERE (htmlnstr REGEXP '[[:<:]]$meadowT\[[:>:]]')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsT); $j++)
					{
						$sqlord = $sqlord." AND (htmlnstr REGEXP '[[:<:]]$wordsT[$j]\[[:>:]]')";
					}
				}
			}
			else
			{
				$sqlord = $sqlord." WHERE ($look_in LIKE '$meadowT' OR $look_in LIKE '$meadowT(%' OR $look_in LIKE '$meadowT %')";
				if ($semicolons)
				{
					for ($j = 1; $j < count($wordsT); $j++)
					{
						$sqlord = $sqlord." AND ($look_in LIKE '$wordsT[$j]' OR $look_in LIKE '$wordsT[$j](%' OR $look_in LIKE '$wordsT[$j] %')";
					}
				}
			}
		}
	}
}

$sqlord = $sqlord." ORDER BY $order_by ASC";

if (mb_strpos($sqlord,"REGEXP",0,"UTF-8") > -1)
{
	$sqlord = str_replace("(","[(]", $sqlord);
	$sqlord = str_replace(")","[)]", $sqlord);
	$sqlord = str_replace("WHERE [(]","WHERE (", $sqlord);
	$sqlord = str_replace("[)] ORDER BY",") ORDER BY", $sqlord);
}

echo "\n\n<!--$sqlord-->\n\n";

$sqlres = $mysqli->query($sqlord);

$rows = $sqlres->num_rows;

if ($semicolons && $rows > 0)
{
	$hits = 0;
	
	$sqlord = "SELECT ma,madis,upa,ipa,html,eng FROM `meadow` WHERE";
	
	for ($i = 0; $i < $rows; $i++)
	{
		$unannotated = none(db_result($sqlres,$i,"html"));

		if ($dir != 1)
		{	
			if ($spar == 1)
				$unannotated = str_replace($wordsT[0],$wordsT[0]."⊥", $unannotated);
			else 
				$unannotated = preg_replace('/(?<!\pL)'.$wordsT[0].'(?!\pL)/iu',$wordsT[0]."⊥", $unannotated);
			
			while (mb_strpos($unannotated,"⊥",0,"UTF-8"))
			{
				$loc = mb_strpos($unannotated,"⊥",0,"UTF-8");
				
				$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."◌".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				
				$loc1 = mb_strrpos(mb_substr($unannotated,0, $loc,"UTF-8"),">",0,"UTF-8") + 1;
				
				$loc2 = mb_strpos(mb_substr($unannotated,$loc1, mb_strlen($unannotated),"UTF-8"),"<",0,"UTF-8");
			
				$checkme = mb_substr($unannotated,$loc1, $loc2,"UTF-8");
									
				for ($j = 1; $j < count($wordsT); $j++)
				{
					if ($spar == 1)
						$changed = str_replace($wordsT[$j],$wordsT[$j]."⊥", $checkme);
					else 
						$changed = preg_replace('/(?<!\pL)'.$wordsT[$j].'(?!\pL)/iu',$wordsT[$j]."⊥", $checkme);

					if ($changed == $checkme)
					$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."¤".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				}
			}
		}
		
		if ($dir != 0)
		{			
			if ($spar == 1)
				$unannotated = str_replace($wordsS[0],$wordsS[0]."⊥", $unannotated);
			else 
				$unannotated = preg_replace('/(?<!\pL)'.$wordsS[0].'(?!\pL)/iu',$wordsS[0]."⊥", $unannotated);
			
			while (mb_strpos($unannotated,"⊥",0,"UTF-8"))
			{
				$loc = mb_strpos($unannotated,"⊥",0,"UTF-8");
				
				$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."◌".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				
				$loc1 = mb_strrpos(mb_substr($unannotated,0, $loc,"UTF-8"),">",0,"UTF-8") + 1;
				
				$loc2 = mb_strpos(mb_substr($unannotated,$loc1, mb_strlen($unannotated),"UTF-8"),"<",0,"UTF-8");
				
				$checkme = mb_substr($unannotated,$loc1, $loc2,"UTF-8");
				
				for ($j = 1; $j < count($wordsS); $j++)
				{
					if ($spar == 1)
						$changed = str_replace($wordsS[$j],$wordsS[$j]."⊥", $checkme);
					else 
						$changed = preg_replace('/(?<!\pL)'.$wordsS[$j].'(?!\pL)/iu',$wordsS[$j]."⊥", $checkme);
					
					if ($changed == $checkme)
						$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."¤".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				}
			}
		}

		if (mb_strpos($unannotated,"◌",0,"UTF-8"))
		{
		//	$hits++;
			$ma = db_result($sqlres,$i,"ma");
			$sqlord = $sqlord." OR ma LIKE '$ma'";
		}
		
	}
}
else if ($rows == 0 && $dir == 0 && $ort == 0)
{
	$sqlord = "SELECT target, subentry FROM `meadow_links` WHERE source LIKE '$meadowT'";
	$sqlres = $mysqli->query($sqlord);
	
	$rows = $sqlres->num_rows;
		
	if ($rows == 1)
	{
		$ma = db_result($sqlres,0,"target");
		$subentry = db_result($sqlres,0,"subentry");
		$sqlord = "SELECT ma,madis,upa,ipa,html,eng FROM `meadow` WHERE ma LIKE '$ma'";
		$sqlres = $mysqli->query($sqlord);
		$rows = $sqlres->num_rows;
		
		if ($rows == 1)
		{
			$misspelled = true;
		}
	}
	else
	{
		$meadowOrtUp = $meadowT."е";
		
		$sqlord = "SELECT ma,madis,upa,ipa,html,eng FROM `meadow` WHERE ma LIKE '$meadowOrtUp'";
		
		$meadowOrtUp = $meadowT."а";
		
		$sqlord = $sqlord." OR ma LIKE '$meadowOrtUp'";
		
		$meadowOrtUp = $meadowT."о";
		
		$sqlord = $sqlord." OR ma LIKE '$meadowOrtUp'";
				
		$meadowOrtUp = str_replace("ра◌","р", $meadowT."◌");
		$meadowOrtUp = str_replace("ре◌","р", $meadowOrtUp);
		$meadowOrtUp = str_replace("◌","", $meadowOrtUp);
		
	
		if ($meadowOrtUp != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowOrtUp'";
			
		$meadowOrtUp = str_replace("а◌","е", $meadowT."◌");
		$meadowOrtUp = str_replace("е◌","а", $meadowOrtUp);
		$meadowOrtUp = str_replace("я◌","е", $meadowOrtUp);
		$meadowOrtUp = str_replace("◌","", $meadowOrtUp);
	

	
		if ($meadowOrtUp != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowOrtUp'";
		
		$meadowOrtUp = str_replace("а◌","о", $meadowT."◌");
		$meadowOrtUp = str_replace("о◌","а", $meadowOrtUp);
		$meadowOrtUp = str_replace("я◌","ьо", $meadowOrtUp);
		$meadowOrtUp = str_replace("◌","", $meadowOrtUp);
	
		if ($meadowOrtUp != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowOrtUp'";
		
		$meadowOrtUp = str_replace("а◌","", $meadowT."◌");
		$meadowOrtUp = str_replace("о◌","", $meadowOrtUp);
		$meadowOrtUp = str_replace("е◌","", $meadowOrtUp);
		$meadowOrtUp = str_replace("я◌","ь", $meadowOrtUp);
		$meadowOrtUp = str_replace("◌","", $meadowOrtUp);
	
		if ($meadowOrtUp != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowOrtUp'";
			
			
		$meadowSpirantize = spirantize($meadowT);
			
		if ($meadowSpirantize != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowSpirantize'";	
			
		
		$ifix = $meadowT."¤";
		
		$ifix = str_replace("и¤","ий", $ifix);
		$ifix = str_replace("ий¤","и", $ifix);
		$ifix = str_replace("ия¤","ий", $ifix);
		$ifix = str_replace("ие¤","ий", $ifix);		
		
		$ifix = str_replace("ая¤","ий", $ifix);
		$ifix = str_replace("яя¤","ий", $ifix);
		$ifix = str_replace("ое¤","ий", $ifix);		
		$ifix = str_replace("ее¤","ий", $ifix);	
		$ifix = str_replace("¤","", $ifix);
	
		if ($ifix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$ifix'";
			
		$ifix = $meadowT."¤";
		
		$ifix = str_replace("ая¤","ый", $ifix);
		$ifix = str_replace("ое¤","ый", $ifix);			
		$ifix = str_replace("¤","", $ifix);
	
		if ($ifix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$ifix'";
			

		$ifix = $meadowT."¤";
		
		$ifix = str_replace("ая¤","ой", $ifix);
		$ifix = str_replace("ое¤","ой", $ifix);			
		$ifix = str_replace("¤","", $ifix);
	
		if ($ifix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$ifix'";
			
			
		$switchC = "¤".$meadowT;
		
		$switchC = str_replace("¤к","г", $switchC);
		$switchC = str_replace("¤г","к", $switchC);
		$switchC = str_replace("¤п","в", $switchC);
		$switchC = str_replace("¤в","п", $switchC);
		$switchC = str_replace("¤т","д", $switchC);
		$switchC = str_replace("¤д","т", $switchC);

		$switchC = str_replace("¤","", $switchC);
	
		if ($switchC != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$switchC'";	

		$switchC = $meadowT."¤";
		
		$switchC = str_replace("т¤","д", $switchC);
		$switchC = str_replace("д¤","т", $switchC);

		$switchC = str_replace("¤","", $switchC);
	
		if ($switchC != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$switchC'";			
			
		$ngfix = str_replace("нг","ҥг", $meadowT);
	
		if ($ngfix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$ngfix'";	
			
		$ngfix = str_replace("ҥг","нг", $meadowT);
	
		if ($ngfix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$ngfix'";				
			
			
		$rfix = str_replace("р","ры", $meadowT);
	
		if ($rfix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$rfix'";

		$rfix = str_replace("р","ыр", $meadowT);
	
		if ($rfix != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$rfix'";
			
		$meadowO = $meadowT;
		
		$meadowT = str_replace("-"," ", $meadowT);
		
		$meadowCompound = str_replace(" ","", $meadowT);
		
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";
					
		$meadowCompound = str_replace(" п","в", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";		

		$meadowCompound = str_replace(" к","г", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";	

		$meadowCompound = str_replace(" т","д", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";
			
		$meadowCompound = str_replace("ле ","льы", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";

		$meadowCompound = str_replace("ле п","льыв", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";		

		$meadowCompound = str_replace("ле к","льыг", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";	

		$meadowCompound = str_replace("ле т","льыд", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";	
				
		$meadowCompound = str_replace("не ","ньы", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";

		$meadowCompound = str_replace("не п","ньыв", $meadowT);
			
		$meadowCompound = str_replace(" е","ъе", $meadowCompound);
		$meadowCompound = str_replace(" я","ъя", $meadowCompound);
		$meadowCompound = str_replace(" ю","ъю", $meadowCompound);			
			
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";		

		$meadowCompound = str_replace("не к","ньыг", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";	

		$meadowCompound = str_replace("не т","ньыд", $meadowT);
		if ($meadowCompound != $meadowT)
			$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";	

		
		$meadowCompound = str_replace("е ","ы¤", $meadowT);
		$meadowCompound = str_replace("о ","ы¤", $meadowCompound);		
		$meadowCompound = str_replace("ӧ ","ы¤", $meadowCompound);
		
		$nospir = str_replace("¤","", $meadowCompound);
		if ($nospir != $meadowT)
				$sqlord = $sqlord." OR ma LIKE '$nospir'";

		$meadowCompound = str_replace("¤п","в", $meadowCompound);				
		$meadowCompound = str_replace("¤т","д", $meadowCompound);		
		$meadowCompound = str_replace("¤к","г", $meadowCompound);
		$meadowCompound = str_replace("¤","", $meadowCompound);		
		
		if ($meadowCompound != $meadowT)
				$sqlord = $sqlord." OR ma LIKE '$meadowCompound'";
				
		$meadowT = $meadowO;	
				
		$switch = str_replace("ь","€", $meadowT);				
		$switch = str_replace("ъ","ь", $switch);		
		$switch = str_replace("€","ъ", $switch);			
		
		if ($switch != $meadowT)
				$sqlord = $sqlord." OR ma LIKE '$switch'";

		

		$sqlres = $mysqli->query($sqlord);
		$rows = $sqlres->num_rows;
		
		if ($rows >= 1)
		{
			$misspelled = true;
		}
	}
}

if ($rows == 1)
{
	$ma = db_result($sqlres,0,"ma");
	$iflink = "&amp;linked=$ma";
}


}

echo "<center>\n";

echo "<table><tr><td><img src=\"pics/logo.gif\" alt=\"Logo\"></td><td>www.mari-language.com:</td><td class =\"nolink\">";


if ($int != 0)
	echo "<a href=\"?int=0&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me\">ENGLISH</a> | ";
else
	echo "<b>ENGLISH</b> | ";


if ($lang != 1)
	$mName = "МАРЛА";
else
	$mName = "ОЛЫК МАРЛА";
	
if ($int != 1)
	echo "<a href=\"?int=1&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me\">$mName</a> | ";
else
	echo "<b>$mName</b> | ";

if ($lang == 1)
{
	if ($int != 3)
		echo "<a href=\"?int=3&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me\">КЫРЫК МАРЛА</a> | ";
	else
		echo "<b>КЫРЫК МАРЛА</b> | ";
}	

if ($int != 2)
	echo "<a href=\"?int=2&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me\">ПО-РУССКИ</a>\n";
else
	echo "<b>ПО-РУССКИ</b>\n";

echo "</td></tr>\n<tr><td colspan=\"3\" class =\"nolink\">";
	
	
switch ($int) {
case 2:
	echo "<a href=\"index.php?int=$int\">Главная</a> » <b>Словарь</b>";
	break;
case 1:
	echo "<a href=\"index.php?int=$int\">Тӱҥ лышташ</a> » <b>Мутер</b>";
	break;
case 0:
	echo "<a href=\"index.php?int=$int\">Main page</a> » <b>Dictionary</b>";
	break;
}
	
echo "</td></tr></table></center>\n";


$vers =  "_en";
if ($int == 1)
	$vers = "_ma";
else if ($int == 2)
	$vers = "_ru";

if ($lang == 1)
	echo "<h1>Meadow Mari-English Dictionary (with Hill Mari Plugin)</h1>\n";  /* "Mari-English Dictionary" */ 
else
	echo "<h1>".$commands[0][$int]."</h1>\n";  /* "Mari-English Dictionary" */ 

if ($lang == 1)
	echo "<p>Visit Hill Mari Dictionary <a href=\"\">here</a>.</p>";	// ALL LANGUAGES

echo "<p><a href=\"dict.php?int=$int\">{$commands[35][$int]}</a> | <a href=\"doc/dict$vers.pdf\">{$commands[36][$int]}</a> | <a href=\"morph.php?int=$int\">{$commands[37][$int]}</a>";

if ($lang == 1)
	echo " | <a href=\"?int=$int&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;ort=$ort&amp;ord=$ord&amp;lang=0&amp;$letter_me\">{$commands[34][$int]}</a>"; // Turn off Hill Mari Plyu
else if (1 == 2) // CHANGE!
	echo " | <a href=\"?int=$int&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;ort=$ort&amp;ord=$ord&amp;lang=1&amp;$letter_me\">{$commands[33][$int]}</a>"; // Turn on Hill Mari Plugin

echo "</p>";	// Reset | Instructions | Morphological Analyzer

$meadow = "<form action=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\" method=\"post\">\n";
$meadow = $meadow."<table bgcolor=\"#DDDDEE\">\n<tr>\n";

$meadow = $meadow."<td width = \"250\" style=\"border-right:solid 1px gray\" align=\"right\"><input type=\"text\" size=\"20\" maxlength=\"2000\" name=\"inField\" autofocus=\"autofocus\" value=";
if (mb_strlen($search) > 0) {$meadow = $meadow."\"$search\"";} else {$meadow = $meadow."\"\"";} 
if ($looking)
	$meadow = $meadow." disabled";
$meadow = $meadow."> &nbsp;<input type=\"submit\" value=\"{$commands[1][$int]}\">&nbsp;</td>\n"; // "Search"

if ($lang != 1)
{
	if ($dir  == 2) // Mari → English | Mari ← English | Mari ⇆ English
	{
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=0&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[2][$int]}</a></td>\n"; // "Mari → English"
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=1&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[3][$int]}</a></td>\n"; // "Mari ← English"
		$meadow = $meadow."<td width = \"220\" bgcolor=\"#DDEEDD\"><b> ● {$commands[4][$int]}</b></td>\n</tr>"; // "Mari ⇆ English"
	}
	else if ($dir == 1)
	{
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=0&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[2][$int]}</a></td>\n"; // cf. above
		$meadow = $meadow."<td width = \"220\" bgcolor=\"#DDEEDD\"> <b>● {$commands[3][$int]}</b></td>\n";
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=2&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[4][$int]}</a></td>\n</tr>";
	}
	else
	{
		$meadow = $meadow."<td width = \"220\" bgcolor=\"#DDEEDD\"><b> ● {$commands[2][$int]}</b></td>\n";
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=1&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[3][$int]}</a></td>\n";
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=2&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[4][$int]}</a></td>\n</tr>";
	}
}
else
{
	if ($dir  == 2) // Meadow Mari → English | Meadow Mari ← English | Meadow Mari ⇆ English
	{
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=0&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[46][$int]}</a></td>\n"; // "Meadow Mari → English"
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=1&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[47][$int]}</a></td>\n"; // "Meadow Mari ← English"
		$meadow = $meadow."<td width = \"220\" bgcolor=\"#DDEEDD\"><b> ● {$commands[48][$int]}</b></td>\n</tr>"; // "Meadow Mari ⇆ English"
	}
	else if ($dir == 1)
	{
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=0&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[46][$int]}</a></td>\n"; // cf. above
		$meadow = $meadow."<td width = \"220\" bgcolor=\"#DDEEDD\"> <b>● {$commands[47][$int]}</b></td>\n";
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=2&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[48][$int]}</a></td>\n</tr>";
	}
	else
	{
		$meadow = $meadow."<td width = \"220\" bgcolor=\"#DDEEDD\"><b> ● {$commands[46][$int]}</b></td>\n";
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=1&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[47][$int]}</a></td>\n";
		$meadow = $meadow."<td width = \"220\"> <a href=\"?search=$search&amp;dir=2&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[48][$int]}</a></td>\n</tr>";
	}
}

$meadow = $meadow."<tr>\n<td style=\"border-right:solid 1px gray\" align=\"right\">{$commands[5][$int]}</td>\n"; // "Search:",

if ($spar == 1)
{
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=0&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[6][$int]}</a></td>\n"; // "Whole Words"
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"> <b> ● {$commands[7][$int]} </b></td>\n"; // "All Matches"
}
else
{
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"> <b> ● {$commands[6][$int]} </b></td>\n"; // cf. above
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=1&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">○ {$commands[7][$int]}</a></td>\n";
}

if ($sub == 1)
{
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\" style=\"border-left:solid 1px gray\"> <b> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=0&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me\"> ☑ {$commands[8][$int]} </a> </b></td>\n"; // "Search Subentries "
}
else
{
	$meadow = $meadow."<td style=\"border-left:solid 1px gray\"> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=1&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me\"> ☐ {$commands[8][$int]} </a></td>\n";	// cf. above
}

$meadow = $meadow."<tr>\n<td  style=\"border-right:solid 1px gray\" align=\"right\">{$commands[9][$int]} </td>\n";	// "Stress, Palatalness:",

if ($spal == 2)
{
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=0&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me$iflink\">○ {$commands[10][$int]}</a></td>\n"; // "Extra Characters (•, ')"
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=1&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me$iflink\">○ {$commands[11][$int]}</a></td>\n"; // "Bold/Italics"
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"><b> ● {$commands[12][$int]}</b></td>\n</tr>"; // "Do Not Annotate"
}
else if ($spal == 1)
{
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=0&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me$iflink\">○ {$commands[10][$int]}</a></td>\n"; // cf. above
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"> <b>● {$commands[11][$int]}</b></td>\n";
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=2&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me$iflink\">○ {$commands[12][$int]}</a></td>\n</tr>";
}
else
{
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"><b> ● {$commands[10][$int]}</b></td>\n";
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=1&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me$iflink\">○ {$commands[11][$int]}</a></td>\n";
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=2&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;$letter_me$iflink\">○ {$commands[12][$int]}</a></td>\n</tr>";
}

$meadow = $meadow."<tr>\n<td  style=\"border-right:solid 1px gray\" align=\"right\">{$commands[13][$int]} </td>\n";	// "Orthography:"

if ($ort == 2)
{
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=0&amp;ord=$ord&amp;lang=$lang&amp;$letter_c$iflink\">○ {$commands[14][$int]}</a></td>\n"; // "Cyrillic"
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=1&amp;ord=$ord&amp;lang=$lang&amp;$letter_u$iflink\">○ {$commands[15][$int]}</a></td>\n"; // "UPA"
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"><b> ● {$commands[16][$int]}</b></td>\n</tr>"; // "IPA"
}
else if ($ort == 1)
{
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=0&amp;ord=$ord&amp;lang=$lang&amp;$letter_c$iflink\">○ {$commands[14][$int]}</a></td>\n"; // cf. above
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"> <b> ● {$commands[15][$int]} </b> </td>\n";
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=2&amp;ord=$ord&amp;lang=$lang&amp;$letter_i$iflink\">○ {$commands[16][$int]}</a></td>\n</tr>";
}
else
{
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"><b> ● {$commands[14][$int]}</b></td>\n";
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=1&amp;ord=$ord&amp;lang=$lang&amp;$letter_u$iflink\">○ {$commands[15][$int]}</a></td>\n";
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=2&amp;ord=$ord&amp;lang=$lang&amp;$letter_i$iflink\">○ {$commands[16][$int]}</a></td>\n</tr>";
}

$meadow = $meadow."<tr>\n<td style=\"border-right:solid 1px gray\" align=\"right\">{$commands[17][$int]}</td>\n"; // "Ordering:"

if ($ord == 1)
{
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=0&amp;lang=$lang&amp;$letter_me\">○ {$commands[18][$int]}</a></td>\n"; // "Alphabetical"
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"> <b> ● {$commands[19][$int]} </b></td>\n"; // "Reverse",
}
else
{
	$meadow = $meadow."<td bgcolor=\"#DDEEDD\"> <b> ● {$commands[18][$int]} </b></td>\n"; // cf. above
	$meadow = $meadow."<td> <a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=1&amp;lang=$lang&amp;$letter_me\">○ {$commands[19][$int]}</a></td>\n";
}

$meadow = $meadow."<tr><td class=\"nolink\" colspan = \"4\" align=\"center\">";	

if ($ord == 1)
{
	if ($ort == 2)
	{
		$meadow = $meadow."<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=a\">a</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=b\">b</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=bʲ\">bʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=d\">d~ð</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=dʲ\">dʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=e\">e</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=f\">f</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=fʲ\">fʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=g\">g~ɣ</a>\ngʲ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=i\">i</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=j\">j</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=k\">k</a>\nkʲ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=l\">l</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʎ\">ʎ~lʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=m\">m</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=mʲ\">mʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=n\">n</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ɲ\">ɲ~nʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ŋ\">ŋ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=o\">o</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ø\">ø</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=p\">p</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=pʲ\">pʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=r\">r</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=rʲ\">rʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=s\">s</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=sʲ\">sʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʃ\">ʃ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ɕ\">ɕ~ʃʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t\">t</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=tʲ\">tʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t͡ɕ\">t͡ɕ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t͡s\">t͡s</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=u\">u</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=v\">v~β</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=vʲ\">vʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=x\">x</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=y\">y</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ɤ\">ɤ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=z\">z</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=zʲ\">zʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʒ\">ʒ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʒʲ\">ʒʲ</a>\n";		}
	else if ($ort == 1)
	{
		$meadow = $meadow."<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=a\">a</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=b\">b</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=b'\">b'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=v\">v~β</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=v'\">v'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=c\">c</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=č'\">č'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=d\">d</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=d'\">d'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=e\">e</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=f\">f</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=f'\">f'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=g\">g~ɣ</a>\ng'\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=χ\">χ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=i\">i</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=j\">j</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=k\">k</a>\nk'\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=l\">l</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=l'\">l'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=m\">m</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=m'\">m'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=n\">n</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=n'\">n'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ŋ\">ŋ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=o\">o</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ö\">ö</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=p\">p</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=p'\">p'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=r\">r</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=r'\">r'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=s\">s</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=s'\">s'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=z\">z</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=z'\">z'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=š\">š</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=š'\">š'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ž\">ž</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ž'\">ž'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t\">t</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t'\">t'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=u\">u</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ü\">ü</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ə̑\">ə̑</a>\n";
	}
	else
	{
		$meadow = $meadow."<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=а\">а</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=б\">б</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=в\">в</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=г\">г</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=д\">д</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=е\">е</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ё\">ё</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ж\">ж</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=з\">з</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=и\">и</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=й\">й</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=к\">к</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=л\">л</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=м\">м</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=н\">н</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ҥ\">ҥ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=о\">о</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ӧ\">ӧ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=п\">п</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=р\">р</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=с\">с</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=т\">т</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=у\">у</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ӱ\">ӱ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ф\">ф</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=х\">х</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ц\">ц</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ч\">ч</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ш\">ш</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=щ\">щ</a>\nъ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ы\">ы</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ь\">ь</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=э\">э</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ю\">ю</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=я\">я</a>\n";
	}
}
else
{
	if ($ort == 2)
	{
		$meadow = $meadow."<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=a\">a</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=b\">b</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=bʲ\">bʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=d\">d~ð</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=dʲ\">dʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=e\">e</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=f\">f</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=fʲ\">fʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=g\">g~ɣ</a>\ngʲ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=i\">i</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=j\">j</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=k\">k</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=kʲ\">kʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=l\">l</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʎ\">ʎ~lʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=m\">m</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=mʲ\">mʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=n\">n</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ɲ\">ɲ~nʲ</a>\nŋ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=o\">o</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ø\">ø</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=p\">p</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=pʲ\">pʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=r\">r</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=rʲ\">rʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=s\">s</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=sʲ\">sʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʃ\">ʃ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ɕ\">ɕ~ʃʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t\">t</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=tʲ\">tʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t͡ɕ\">t͡ɕ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t͡s\">t͡s</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=u\">u</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=v\">v~β</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=vʲ\">vʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=x\">x</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=y\">y</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ɤ\">ɤ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=z\">z</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=zʲ\">zʲ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʒ\">ʒ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ʒʲ\">ʒʲ</a>\n";
	}
	else if ($ort == 1)
	{
		$meadow = $meadow."<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=a\">a</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=b\">b</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=b'\">b'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=v\">v~β</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=v'\">v'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=c\">c</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=č'\">č'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=d\">d</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=d'\">d'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=e\">e</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=f\">f</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=f'\">f'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=g\">g~ɣ</a>\ng'\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=χ\">χ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=i\">i</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=j\">j</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=k\">k</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=k'\">k'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=l\">l</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=l'\">l'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=m\">m</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=m'\">m'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=n\">n</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=n'\">n'</a>\nŋ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=o\">o</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ö\">ö</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=p\">p</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=p'\">p'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=r\">r</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=r'\">r'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=s\">s</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=s'\">s'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=z\">z</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=z'\">z'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=š\">š</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=š'\">š'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ž\">ž</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ž'\">ž'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t\">t</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=t'\">t'</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=u\">u</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ü\">ü</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ə̑\">ə̑</a>\n";		
	}
	else
	{
		$meadow = $meadow."<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=а\">а</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=б\">б</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=в\">в</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=г\">г</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=д\">д</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=е\">е</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ё\">ё</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ж\">ж</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=з\">з</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=и\">и</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=й\">й</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=к\">к</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=л\">л</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=м\">м</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=н\">н</a>\nҥ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=о\">о</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ӧ\">ӧ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=п\">п</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=р\">р</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=с\">с</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=т\">т</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=у\">у</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ӱ\">ӱ</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ф\">ф</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=х\">х</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ц\">ц</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ч\">ч</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ш\">ш</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=щ\">щ</a>\nъ\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ы\">ы</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ь\">ь</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=э\">э</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=ю\">ю</a>\n<a href=\"?search=$search&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;sl=0&amp;letter=я\">я</a>\n";
	}
}

$meadow = $meadow."</td></tr>\n</table>\n</form>";


echo $meadow;

echo "</center>";

if ($looking)
{
	echo "<center><p>{$commands[43][$int]}</p></center>"; //Search in progress...
}
else if ($spar  == 1 && mb_strlen($search) < 3 && mb_strlen($search) > 0 && $letter == "Ң")
{
	echo "<center><p><font color=\"red\"><b>Please enter a longer string, or restrict your search to whole words or phrases.</b></font><br/></p></center>"; // MULTLANG "Please enter a longer string, or restrict your search to whole words or phrases."
}

if ($rows==1 && $letter == "Ң")
{
	$word = db_result($sqlres,0,"html");
	$name = db_result($sqlres,0,"madis");
	
	$word = str_replace("[ </div>","</div>", $word);
		
	while (strrpos($word,"<div class=\"ref"))
	{
		$xx = mb_strpos($word,"<div class=\"ref",0,"UTF-8");
		$xy = mb_strpos($word,"</div>",$xx,"UTF-8") - $xx + 6;

		$target = mb_substr($word, $xx, $xy,"UTF-8");
		
		$xx = mb_strpos($target ,"</span>",0,"UTF-8") + 8;
		$xy = mb_strpos($target ,"</div>",$xx,"UTF-8") - $xx;
		
		$tword = mb_substr($target, $xx, $xy,"UTF-8");	
		
		$lword = str_replace("<span class=\"hom\"> [","[", $tword);
		$lword = str_replace("] </span>","]", $lword);
		$i = 1;
	/*	while (mb_strpos($lword,"[",0,"UTF-8"))
		{
			$lword = str_replace(" [".$i."]","", $lword);
			$i = $i + 1;
		} */

		$new = str_replace("> ".$tword,"> <a class=\"list\" href=\"?search=$search&amp;linked=$lword&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">$tword</a>", $target);
		$new = str_replace("class=\"ref","class=\"rf", $new);
		
		$word = str_replace($target,$new,$word);
	}
		
	if ($ort > 0)
	{
		$word = str_replace("[1]","", $word);
		$word = str_replace("[2]","", $word);
		$word = str_replace("[3]","", $word);
		$word = str_replace("[4]","", $word);
		$word = str_replace("[5]","", $word);
	
		$word = str_replace("<div class=\"lex\">","<div class=\"lex\">[", $word);
		$word = str_replace("<span class=\"mar\">","<span class=\"mar\">[", $word);
		$word = str_replace("sl=0\">","sl=0\">[", $word);
		$word = str_replace("sl=1\">","sl=1\">[", $word);

		while (mb_strpos($word,"[",0,"UTF-8"))
		{
			$beg = mb_strpos($word,"[", 0, "UTF-8");
			
			$end = mb_strpos($word,"<", $beg, "UTF-8");
		
			$do = mb_substr($word,$beg, $end-$beg,"UTF-8");
			
			$do = cyr_to_lat($do,"mhr", false);
			
			if ($ort == 2)
				$do = upa_to_ipa($do,"mhr", false);
			
			$word = mb_substr($word,0, $beg,"UTF-8").$do.mb_substr($word,$end, mb_strlen($word),"UTF-8");
		}
		
		$word = str_replace("(-jam)","(-am)", $word);
		$word = str_replace("(-jem)","(-em)", $word);
		
		$word = str_replace(")-(","◌)-(", $word);
		
		$word = str_replace("aʃ (-am) ","am", $word);
		$word = str_replace("aʃ (-em) ","em", $word);
		
		$word = str_replace("aš (-am) ","am", $word);
		$word = str_replace("aš (-em) ","em", $word);
		
		$word = str_replace("a•ʃ (-am) ","a•m", $word);
		$word = str_replace("a•ʃ (-em) ","e•m", $word);
		
		$word = str_replace("a•š (-am) ","a•m", $word);
		$word = str_replace("a•š (-em) ","e•m", $word);
		
		$word = str_replace("◌","", $word);
	}
	
	$unannotated = none($word);
		
	if ($spal  == 2)
		$word = $unannotated;
	else if ($spal  == 1)
		$word = boldital($word);
		
if ($sub == 1)
{
	if ($semicolons)
	{
		if ($dir != 1)
		{
			if ($spar == 1)
				$unannotated = str_replace($wordsT[0],$wordsT[0]."⊥", $unannotated);
			else 
				$unannotated = preg_replace('/(?<!\pL)'.$wordsT[0].'(?!\pL)/iu',$wordsT[0]."⊥", $unannotated);
				
			while (mb_strpos($unannotated,"⊥",0,"UTF-8"))
			{
				$loc = mb_strpos($unannotated,"⊥",0,"UTF-8");
				
				$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."◌".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				
				$loc1 = mb_strrpos(mb_substr($unannotated,0, $loc,"UTF-8"),">",0,"UTF-8") + 1;
				
				$loc2 = mb_strpos(mb_substr($unannotated,$loc1, mb_strlen($unannotated),"UTF-8"),"<",0,"UTF-8");
			
				$checkme = mb_substr($unannotated,$loc1, $loc2,"UTF-8");
									
				for ($j = 1; $j < count($wordsT); $j++)
				{
					if ($spar == 1)
						$changed = str_replace($wordsT[$j],$wordsT[$j]."⊥", $checkme);
					else 
						$changed = preg_replace('/(?<!\pL)'.$wordsT[$j].'(?!\pL)/iu',$wordsT[$j]."⊥", $checkme);

					if ($changed == $checkme)
					$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."¤".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				}
			}
		}
		
		if ($dir != 0)
		{	
			if ($spar == 1)
				$unannotated = str_replace($wordsS[0],$wordsS[0]."⊥", $unannotated);
			else 
				$unannotated = preg_replace('/(?<!\pL)'.$wordsS[0].'(?!\pL)/iu',$wordsS[0]."⊥", $unannotated);
	
			while (mb_strpos($unannotated,"⊥",0,"UTF-8"))
			{
				$loc = mb_strpos($unannotated,"⊥",0,"UTF-8");
				
				$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."◌".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
				
				$loc1 = mb_strrpos(mb_substr($unannotated,0, $loc,"UTF-8"),">",0,"UTF-8") + 1;
				
				$loc2 = mb_strpos(mb_substr($unannotated,$loc1, mb_strlen($unannotated),"UTF-8"),"<",0,"UTF-8");
				
				$checkme = mb_substr($unannotated,$loc1, $loc2,"UTF-8");
				
				for ($j = 1; $j < count($wordsS); $j++)
				{
					if ($spar == 1)
						$changed = str_replace($wordsS[$j],$wordsS[$j]."⊥", $checkme);
					else 
						$changed = preg_replace('/(?<!\pL)'.$wordsS[$j].'(?!\pL)/iu',$wordsS[$j]."⊥", $checkme);
					
					if ($changed == $checkme)
					{
						$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."¤".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
					}
				}
			}
		}
	}
	else
	{
		if ($dir == 0 || $dir == 2)
		{
		
		
			if ($spar == 1)
				$unannotated = str_replace($meadowT,$meadowT."◌", $unannotated);
			else 
				$unannotated = preg_replace('/(?<!\pL)'.$meadowT.'(?!\pL)/iu',$meadowT."◌", $unannotated);
		}
		
		if ($dir == 1 || $dir == 2)
		{
			if ($spar == 1)
				$unannotated = str_replace($search,$search."◌", $unannotated);
			else
				$unannotated = preg_replace('/\b'.$search.'\b/',$search."◌", $unannotated);				
		}
	
	}
		$unannotated = str_replace("◌◌","◌", $unannotated);
		
		$unannotated = str_replace("<span class=\"note","<span ⊥class=\"note", $unannotated);		
		$word = str_replace("<span class=\"note","<span ⊥class=\"note", $word);
		
		while (mb_strpos($unannotated,"◌",0,"UTF-8"))
		{
			$loc = mb_strpos($unannotated,"◌",0,"UTF-8");
		
			$unannotated = mb_substr($unannotated,0, $loc,"UTF-8")."¤".mb_substr($unannotated,$loc+1, mb_strlen($unannotated),"UTF-8");
			
			$loc2 = mb_strrpos(mb_substr($unannotated,0, $loc,"UTF-8"),"span class=",0,"UTF-8");					
			$type = mb_substr($unannotated,$loc2+12, 2,"UTF-8");
	
			if ($type == "tr" && $dir != 0 )
			{
				$count = substr_count (mb_substr($unannotated,0, $loc,"UTF-8"), "span class=\"tr\"");
				
				$word = preg_replace('/<span class="tr/','<span class="¤tr', $word,$count-1);
				
				$word = preg_replace('/<span class="tr">/','<span class="trhi">', $word,1);
				
				$word = str_replace("¤","", $word);
			}
			else if ($type == "ma"  && $dir != 1 )
			{
				$count = substr_count (mb_substr($unannotated,0, $loc,"UTF-8"), "span class=\"mar\"");
				
				$word = preg_replace('/<span class="mar/','<span class="¤mar', $word,$count-1);
				
				$word = preg_replace('/<span class="mar">/','<span class="marhi">', $word,1);
				
				$word = str_replace("¤","", $word);
			}
		}

		$word = str_replace("⊥","", $word);		
	
}
 
	if ($misspelled)
	{
		echo "<div class=\"misspelled\">".$meadowT." →</div>\n";
	
		if (mb_strlen($subentry))
		{
			if ($spal == 2)
			{
				$subentry = none($subentry);
			}
			else if ($spal == 1)
			{
				$subentry = boldital($subentry);
			}
			
			$word = str_replace("<span class=\"mar\"> $subentry </span>", "<span class=\"marhi\"> $subentry </span>", $word);
		}
	}
	
	
	$x = substr_count ($word, "<div class=\"mean\">");
	$y = 0;
	
	
	
	for ($i = 0; $i < $x; $i++)
	{
		$y = mb_strpos($word,"<div class=\"mean\">", $y+1, "UTF-8");
		
		$f = mb_strpos($word,"{figuratively}", $y+1, "UTF-8");
		
		$z = mb_strpos($word,"<div", $y+1, "UTF-8");
		
		if ($f < $z && $f > -1)
		{
			$word = mb_substr($word,0, $f+1,"UTF-8")."¤".mb_substr($word,$f+1, mb_strlen($word),"UTF-8");
			$y++;
		}
		else
		{
			$f = mb_strpos($word,"{also figurative}", $y+1, "UTF-8");
			
			if ($f < $z && $f > -1)
			{
				$word = mb_substr($word,0, $f+1,"UTF-8")."¤".mb_substr($word,$f+1, mb_strlen($word),"UTF-8");
				$y++;
			}
		}
	}
	
	$word = str_replace("{phrase}"," {◌phrase}",$word);
	$word = str_replace("{figuratively}"," {◌set phrase}",$word);
	$word = str_replace("{also figuratively}"," {◌also figurative}",$word);	
	
	while (mb_strpos($word,"◌",0,"UTF-8"))
	{
	
		$loc = mb_strpos($word,"◌",0,"UTF-8");
		
		$word = mb_substr($word,0, $loc,"UTF-8")."¤".mb_substr($word,$loc+1, mb_strlen($word),"UTF-8");
			
		$loc2 = mb_strrpos(mb_substr($word,0, $loc,"UTF-8"),"div class=",0,"UTF-8");

		$word = mb_substr($word,0, $loc2+12,"UTF-8")."⊥".mb_substr($word,$loc2+12, mb_strlen($word),"UTF-8");
		
	}

	while (mb_strpos($word,"⊥⊥",0,"UTF-8") > -1)
		$word = str_replace("⊥⊥","⊥",$word);
	
	$word = str_replace("s⊥ub","fraz",$word);
	
	$word = str_replace("⊥","",$word);
	$word = str_replace("¤","",$word);
	
	if ($int == 1)
		$word = maritags($word);
	else if ($int == 2)
		$word = russiantags($word);
	
	$word = str_replace("<div class=\"mean\"> <span class=\"num\"> 1. </span> &nbsp;&nbsp;&nbsp; <span class=\"tr\"> </span> </div>","<div class=\"mean\"> <span class=\"num\">  </span> &nbsp;&nbsp;&nbsp; <span class=\"tr\"> </span> </div>",$word);
	
	echo $word;
	
	$link = str_replace(" ","",$unannotated);
	$link = str_replace("¤","",$link);
	
	$loc1 = mb_strpos($link,"\"lex\"",0,"UTF-8") + 6;
	$loc2 = mb_strpos($link,"</div>",0,"UTF-8");
	$link = mb_substr($link,$loc1, $loc2-$loc1,"UTF-8");
	
	$locp = mb_strpos($link,"(",0,"UTF-8");
	
	if ($locp > -1)
		$link = mb_substr($link,0, $locp,"UTF-8");

	$locb = mb_strpos($link,"[",0,"UTF-8");
	
	if ($locb > -1)
		$link = mb_substr($link,0, $locb,"UTF-8");
	
	if ($lang == 1)
	{
		$sqlordCOG = "SELECT stress FROM `hill` WHERE meadow LIKE '$name'";
		$sqlresCOG = $mysqli->query($sqlordCOG);
		$rowsCOG = $sqlresCOG->num_rows;
		
		$sqlres = $mysqli->query($sqlord);

		$rows = $sqlres->num_rows;
		
		
		$sqlordSEM = "SELECT * FROM `hill` WHERE semantics LIKE '$name' OR semantics LIKE '+$name' OR semantics LIKE '$name|%' OR semantics LIKE '+$name|%'";
		$sqlresSEM = $mysqli->query($sqlordSEM);
		$rowsSEM = $sqlresSEM->num_rows;
		
		echo "<br>\n<center>\n";
		echo "<table bgcolor=\"#FFEE77\">\n";
			
		if ($rowsCOG + $rowsSEM  == 0)
		{
			echo "<tr>\n";
			echo "<td>No Hill Mari data found.</td>\n";
			echo "</tr>\n";
		}
		else
		{
			if ($rowsCOG == 1)
			{
				$target = db_result($sqlresCOG,0,"stress");
			
				echo "<tr>\n";
				echo "<td>Hill Mari cognate:</td>\n";
				echo "<td><a href=\"\">$target</a></td>\n";
				echo "</tr>\n";
			}
			
			if ($rowsSEM > 0)
			{
				$target = db_result($sqlresSEM,0,"stress");
			
				echo "<tr>\n";
				
				if ($rowsSEM == 1)
					echo "<td>Hill Mari semantic counterpart:</td>\n";
				else
					echo "<td>Hill Mari semantic counterparts:</td>\n";
				
				echo "<td><a href=\"\">$target</a>";
				
				for ($i = 1; $i <$rowsSEM; $i++)
				{
					$target = none(db_result($sqlresSEM,$i,"stress"));
					echo "<a href=\"\">$target</a>";
				}
				echo "</td>\n";
				echo "</tr>\n";
			}
		}
		
		echo "</table>\n";
		echo "</center>\n<br>\n<hr>\n";
	}

	echo "\n<br>\n<center><a href=\"http://www.forvo.com/word/$link/#chm\">[{$commands[45][$int]}]</a></center><br><hr>";
}
else if ($rows==0)
{
	echo "<h3>{$commands[28][$int]}</h3>"; // No results.
	
	if ($dir == 0 && $ort == 0)
	{
		Echo "<center> <a href=\"morph.php?int=$int\">{$commands[42][$int]}</a></center>"; // Try a morphological analysis?
	}
}
else if ($rows > 0)
{

if($letter == "Ң")
	echo "<h2>{$commands[24][$int]}</h2>"; // Multiple entries found:
	
	$look_in = "ma";
	
	$right = "";
	if ($ord == 1)
		$right = " align=\"right\"";
	
	if ($ort == 1)
		$look_in = "upa";
	else if ($ort == 2)
		$look_in = "ipa";

if ($rows < 10)
{
	echo "<br><table align = \"center\" width = \"250\" class=\"list\" >";
	for ($i = 0; $i < $rows; $i = $i + 1)
	{
		$link = db_result($sqlres,$i,"ma");
		$word = db_result($sqlres,$i,$look_in);
		
		if ($ord == 1)
		{
			$word = killparent($word);
		}
		
		$eng = db_result($sqlres,$i,"eng");
		
		$eng = preg_replace("/\{[^}]+\}/","",$eng);
		$eng = preg_replace("/\([^)]+\)/","",$eng);
		
		$eng = str_replace(" •"," [...]", $eng);
		$eng = str_replace(",",", [...]", $eng);
		$eng = str_replace("•","", $eng);
		
		$beg = mb_strlen($eng,"UTF-8");	
		
		if (mb_strpos($eng,"]", 0, "UTF-8"))
			$beg = mb_strpos($eng,"]", 0, "UTF-8") + 1;
			
		$eng = mb_substr($eng,0, $beg,"UTF-8");
		
		echo "<tr><td$right><a class=\"list\" href=\"?search=$search&amp;linked=$link&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">$word</a></td><td>: $eng<br></td></tr>";

	}
	echo "</table>";
}
else
{
	$perc = ($rows+1)/4;

	echo "<br><table align = \"center\" width = \"900\" class=\"list\" ><tr><td style=\"width:25%\"$right>";
	
	$j = 0;
	for ($i = 0; $i < $rows; $i = $i + 1)
	{
		$j++;
		if ($j >= $perc)
		{
			echo "</td><td style=\"width:25%\"$right>\n";
			$j = 0;
		}
		
		$link = db_result($sqlres,$i,"ma");
		$word = db_result($sqlres,$i,$look_in);
		
		if ($ord == 1)
		{
			$word = killparent($word);
		}
		
		$eng = db_result($sqlres,$i,"eng");
		
		$eng = preg_replace("/\{[^}]+\}/","",$eng);
		$eng = preg_replace("/\([^)]+\)/","",$eng);
		
		$eng = str_replace(" •"," [...]", $eng);
		$eng = str_replace(",",", [...]", $eng);
		$eng = str_replace("•","", $eng);
		

		echo "<a class=\"list\" title=\"$eng\" href=\"?search=$search&amp;linked=$link&amp;dir=$dir&amp;spar=$spar&amp;sub=$sub&amp;spal=$spal&amp;int=$int&amp;ort=$ort&amp;ord=$ord&amp;lang=$lang&amp;\">$word</a><br>\n";
	}
	echo "</td></tr></table>";
	

	
}
}





?>


<center>

<br><hr>

<?php

echo "<h2>{$commands[20][$int]}</h2>"; // Report a mistake/Make a comment

$cms = "?lang=$int&amp;tool=M";

if (mb_strlen($linked))
{
	$cms = $cms."&amp;entry=$linked";
}
else if ($rows == 1)
{
	$ma = db_result($sqlres,0,"ma");
	$cms = $cms."&amp;entry=$ma";
}



echo "<form action=\"feedback.php$cms\" method=\"post\">";

echo "<table>";
echo "<tr>";
echo "<td><h2>{$commands[38][$int]}</h2><a href=\"doc/feedback$vers.pdf\">{$commands[39][$int]}</a></td>"; // Feedback -- Read First
echo "<td colspan=\"2\"><textarea name=\"comment\" cols=\"40\" rows=\"4\"></textarea></td>";
echo "</tr>";
echo "<tr>";
echo "<td>{$commands[21][$int]}</td>"; // Your name:
echo "<td><input type=\"text\" size=\"35\" maxlength=\"35\" name=\"sender\" value=\"\"></td>";
echo "<td rowspan=\"3\"><input type=\"submit\" value=\"{$commands[41][$int]}\"></td>";
echo "</tr>";
echo "<tr>";
echo "<td>{$commands[40][$int]}</td>"; // Your e-mail (optional):
echo "<td><input type=\"text\" size=\"35\" maxlength=\"35\" name=\"mail\" value=\"\"></td>";
echo "</tr>";
echo "<tr>";
echo "<td>{$commands[22][$int]}</td>"; // Your password (optional):
echo "<td><input type=\"password\" size=\"35\" maxlength=\"35\" name=\"password\" value=\"\"></td>";
echo "</tr>";
echo "</table>";

echo "</form>";
?>
<br><hr><br>
<table width="85%">
<tr>
<td width="10%" align="center"><a href="http://finno-ugristik.univie.ac.at/"><img src="pics/finno-ugr.gif"></a></td>
<td width="80%" align="center"><a href="http://www.fwf.ac.at/"><img src="pics/fwf_small.jpg"></a></td>
<td width="10%" align="center"><a href="http://www.mari-language.com/"><img src="pics/logo.gif"></a></td>
</tr>
<tr>
<td colspan="3" class ="nolink" style="border-right:solid 1px gray;text-align:center"><?php

switch ($int) {
case 2:
	echo "Работа над проектом <i>The Mari Web Project</i> главным образом проходит на <a href=\"http://finno-ugristik.univie.ac.at/\">отделении финно-угорских исследований</a> <a href=\"http://www.univie.ac.at/\">Венского университета</a>. Создание марийско-английского словаря было поддержано <a href=\"http://www.fwf.ac.at/\">Австрийским научным фондом</a> (FWF: P22786-G20).</a>";
	break;
case 1:
	echo "<i>The Mari Web Project</i> дене паша тӱҥ шотышто <a href=\"http://www.univie.ac.at/\">Вена университетын</a> <a href=\"http://finno-ugristik.univie.ac.at/\">финн-угор шымлымаш пӧлкаштыже</a> кая. Марла-англичанла мутерым ямдылымаште <a href=\"http://www.fwf.ac.at/\">Австрийысе шанче фонд</a> (FWF: P22786-G20) эҥертыш лийын.";
	break;
case 0:
	echo "<i>The Mari Web Project</i> is primarily based at the <a href=\"http://finno-ugristik.univie.ac.at/\">Department of Finno-Ugric Studies</a> at the <a href=\"http://www.univie.ac.at/\">University of Vienna</a>. The Mari-English Dictionary was funded by the <a href=\"http://www.fwf.ac.at/\">Austrian Science Fund (FWF)</a>: P22786-G20.";
	break;
}

mysqli_close($mysqli);	

?>
</td>
</tr>
<tr>
<td colspan="3" align = "center">
Last update: <?php echo $lastupdate[$int]; ?>
</td>
</tr>
</table>



</center>
<hr>

</BODY>

</HTML>