﻿<?php

// Mari Tools
// Software by Jeremy Bradley, University of Vienna/Koneen Säätiö
// www.mari-language.com, jeremy.moss.bradley@univie.ac.at, Skype: jeremy.moss.bradley
// Last update to software: 10 October 2016
// Source code released under the Creative Commons Attribution-Share Alike 3.0 Unported license
// http://creativecommons.org/licenses/by-sa/3.0/

header("Content-type: text/html; charset=utf-8");
// CHARACTER GROUPINGS

$punctb = array("£ ", "£,", "£!", "£?", "£:", "£;", "£.", "£-", "£–", "£«", "£»", "£[", "£]", "£(", "£)", "£—", "£”", "£“", "£’", "£\"", "£<", "£>", "£/", "£=", "£©", "£№", "£&", "£*", "£+", "£°", "¤£");
$puncta = array(" £", ",£", "!£", "?£", ":£", ";£", ".£", "-£", "–£", "«£", "»£", "[£", "]£", "(£", ")£", "—£", "”£", "“£", "’£", "\"£", "<£", ">£", "/£", "=£", "©£", "№£", "&£", "*£", "+£", "°", "¤£");

$gr_allm  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "ь", "ъ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "Ь", "Ъ", "Ы", "ы", "Ӹ", "ӹ", "Ӓ", "ӓ"); // All letters of the  Mari alphabet

$gr_l  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ"); // L - all letters but ь, ъ
$gr_lj = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ"); // J! - all letters but ь, ъ, й
$gr_ly  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "э", "ю", "я", "б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "ь", "ъ", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Э", "Ю", "Я", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "Ь", "Ъ" ); // Y! - all letters but ы

$gr_c  = array ("б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "җ", "ң", "һ", "Җ", "Ң", "Һ", "Ғ", "ғ", "Ҡ", "ҡ", "Ӟ", "ӟ", "Ӝ", "ӝ", "Ӵ", "ӵ", "Ԁ", "ԁ", "Ԃ", "ԃ", "Ԅ", "ԅ", "Ԇ", "ԇ", "Ԉ", "ԉ", "Ԋ", "ԋ", "Ԍ", "ԍ", "Ԏ", "ԏ", "ҙ", "Ҙ", "ҫ", "Ҫ"); // C - consonants
$gr_c1 = array ("б", "в", "д", "ж", "з", "л", "м", "н", "п", "р", "с", "т", "ф", "ч", "ш", "Б", "В", "Д", "Ж", "З", "Л", "М", "Н", "П", "Р", "С", "Т", "Ф", "Ч", "Ш" ); // C? - consonants that can be followed by ь
$gr_c2 = array ("г", "к", "ҥ", "х", "ц", "щ", "Г", "К", "Ҥ", "Х", "Ц", "Щ"); // C! - non-й consonants that cannot be followed by ь 
$gr_ce = array ("б", "в", "г", "д", "ж", "з", "к", "м", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "у", "ӱ", "Б", "В", "Г", "Д", "Ж", "З", "К", "М", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "У", "Ӱ"); // C€ - non-й non-palatalizable consonants (all but й, л, н) + у ӱ
$gr_csh= array ("б", "в", "г", "д", "ж", "з", "й", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "щ", "Б", "В", "Г", "Д", "Ж", "З", "Й", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Щ"); // C$ - all consonants but ш
$gr_cl = array ("б", "в", "г", "д", "ж", "з", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "у", "ю", "ӱ", "Б", "В", "Г", "Д", "Ж", "З", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "У", "Ю", "Ӱ" ); // J+ - all consonants but й + у ю ӱ
$gr_ck = array ("б", "в", "г", "д", "ж", "з", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "щ", "Б", "В", "Г", "Д", "Ж", "З", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Щ" ); // K$ - consonants other than к, ч, ш (i.e., possible results of verbal stem simplification), й
$gr_cp = array ("л", "н", "Л", "Н" ); // C - palatalizable consonant (л н)
$gr_co = array ("б", "в", "г", "д", "ж", "з", "к", "п", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "Б", "В", "Г", "Д", "Ж", "З", "К", "П", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ"); // O - obstruent consonants
$gr_cs = array ("й", "л", "м", "н", "ҥ", "р", "у", "ӱ", "Й", "Л", "М", "Н", "Ҥ", "Р", "У", "Ӱ"); // S - sonorant consonants + у ӱ

$gr_cvv  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я",  "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "б", "в", "г", "ж", "з", "й", "л", "м", "н", "ҥ", "р", "Б", "В", "Г", "Ж", "З", "Й", "Л", "М", "Н", "Ҥ", "Р"); // Voiced consonants and vowels - minus д

$gr_clat= array ("b", "c", "d", "f", "g", "h", "j", "k", "l", "m", "n", "p", "r", "s", "t", "v", "w", "x", "z", "š", "ž", "č", "ŋ", "β", "γ", "δ", "'", "*", "ĺ", "ń", "", "B", "C", "D", "F", "G", "H", "J", "K", "L", "M", "N", "P", "R", "S", "T", "V", "W", "X", "Z", "Š", "Ž", "Č", "Ŋ", "Β", "Γ", "Δ", "'", "*", "Ĺ", "Ń", "", "q", "Q", "ɫ", "Ɫ", "χ", "Χ", "ʔ", "ʀ", "ʟ", "ϑ", "Θ"); // Latin consonants
$gr_vlat= array ("a", "å", "e", "i", "o", "u", "ə", "ö", "ü", "ä", "A", "Å", "E", "I", "O", "U", "Ə", "Ö", "Ü", "Ä", "ï", "Ï", "•", "ʲ"); // Latin vowels

$gr_v  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я",  "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "ә", "ө", "ү", "Ә", "Ө", "Ү", "a", "A", "e", "E", "i", "I", "o", "O", "u", "U", "ä", "Ä", "ə", "Ə", "ö", "Ö", "ü", "Ü", "Ï", "ï", "ӓ", "Ӓ", "ӹ", "Ӹ", "ӑ", "Ӑ", "ӗ", "Ӗ", "ӳ", "Ӳ", "ӥ", "Ӥ", "і", "І", "ə̑", "Ə̑", "y", "ø", "ɤ̘"); // V - vowels
$gr_v1 = array ("а", "е", "и", "э", "я", "А", "Е", "И", "Э", "Я"); // V1 - vowels prompting harmonic е 
$gr_v2 = array ("ё", "о", "у", "ю", "Ё", "О", "У", "Ю"); // V2 - vowels prompting harmonic о
$gr_v3 = array ("ӧ", "ӱ", "Ӧ", "Ӱ"); // V3 - vowels prompting harmonic ӧ
$gr_vn = array ("а", "ё", "и", "у", "ӱ", "э", "ю", "я", "А", "Ё", "И", "У", "Ӱ", "Э", "Ю", "Я"); // V! - vowels other than ы, е, о, ӧ 
$gr_vr = array ("е", "о", "ӧ", "Е", "О", "Ӧ"); // R - reducible vowels 

$gr_ve = array ("у", "ӱ", "и", "ю", "У", "Ӱ", "И", "Ю"); // Vowels after which -е-suffixes are always realized with -э (кӱтӱ - кӱтӱэм)
$gr_ves = array ("о", "ӧ", "О", "Ӧ"); // Vowels after which -е-suffixes are  realized with -э when stressed (пальто• - пальтоэм)


$gr_hmp = array ("ӓ", "е", "э", "и", "ӧ", "ӹ", "ӱ", "Ӓ", "Е", "Э", "И", "Ӧ", "Ӹ", "Ӱ"); // Palatal vowels - Hill Mari
$gr_hmv = array ("а", "о", "у", "ы", "ё", "ю", "ъ", "А", "О", "У", "Ы", "Ё", "Ю", "Ъ", "-"); // Velar vowels + hard sign + "-" - Hill Mari



$gr_vl  = array ("а", "е", "ё", "и", "о", "ӧ", "у", "ӱ", "ы", "э", "ю", "я", "А", "Е", "Ё", "И", "О", "Ӧ", "У", "Ӱ", "Ы", "Э", "Ю", "Я", "a", "e", "i", "o", "u", "ö", "ü", "y", "A", "E", "I", "O", "U", "Ö", "Ü", "Y", "|", "-", "ь", "ъ", "Ь", "Ъ"); // Vowels, Cyrillic and Latin, capitalized and not, soft and hard signs


$tat_vel = array ("a", "å", "ə", "o", "u", "A", "Å", "Ə", "O", "U", "а", "я", "ы", "о", "у", "ю", "А", "Я", "Ы", "О", "У", "Ю", "ъ", "Ъ", "̑"); // Tatar velar vowels + ъ
$tat_pal = array ("ä", "e", "i", "ö", "ü", "Ä", "E", "I", "Ö", "Ü", "ә", "е", "э", "и", "ө", "ү", "Ә", "Е", "Э", "И", "Ө", "Ү", "ь", "Ь", "¤"); // Tatar velar vowels + ь

$rus_vowels = array ("а", "э", "ы", "о", "у", "я", "е", "и", "ё", "ю", "А", "Э", "Ы", "О", "У", "Я", "Е", "И", "Ё", "Ю");

$rus_latal = array ("a", "b", "v", "g", "d", "ž", "z", "i", "j", "k", "l", "m", "n", "o", "p", "r", "s", "t", "u", "f", "χ", "c", "č", "š", "ï", "e", "A", "B", "V", "G", "D", "Ž", "Z", "I", "J", "K", "L", "M", "N", "O", "P", "R", "S", "T", "U", "F", "Χ", "C", "Č", "Š", "Ï", "E", "'"); // UPA Russian alphabet

$trig_soft = array ("b", "d", "g", "z", "ž", "B", "D", "G", "Z", "Ž"); // Assimilation triggers in Russian (voiced)
$trig_hard = array ("p", "t", "k", "f", "s", "š", "χ", "P", "T", "K", "F", "S", "Š", "Χ");// Assimilation triggers in Russian (voiceless)


$mar_latso = array ("j", "l", "l'", "m", "n", "n'", "ŋ", "r", "J", "L", "L'", "M", "N", "N'", "Ŋ", "R", "a", "e", "i", "o", "u", "ö", "ü", "ə̑", "A", "E", "I", "O", "U", "Ö", "Ü", "Ə̑"); // Mari Latin sonorant consonants + vowels
$mar_latv = array ("a", "e", "i", "o", "u", "ö", "ü", "ə̑", "A", "E", "I", "O", "U", "Ö", "Ü", "Ə̑"); // Mari Latin vowels

$rus_pal = array ("j", "mʲ", "pʲ", "bʲ", "fʲ", "vʲ", "nʲ", "tʲ", "dʲ", "sʲ", "zʲ", "rʲ", "lʲ", "kʲ", "gʲ", "xʲ"); //Russian palatal(ized) consonants, IPA


$hm_pal = array ("ӓ", "е", "и", "ӧ", "ӱ", "ӹ", "э", "Ӓ", "Е", "И", "Ӧ", "Ӱ", "Ӹ", "Э"); // Hill Mari palatal vowels
$hm_vel = array ("а", "я", "о", "ё", "у", "ю", "ы", "А", "Я", "О", "Ё", "У", "Ю", "Ы", "ѩ", "Ѩ"); // Hill Mari velar vowels

$hm_cl = array ("б", "в", "г", "д", "ж", "з", "к", "л", "м", "н", "ҥ", "п", "р", "с", "т", "ф", "х", "ц", "ч", "ш", "щ", "у", "ю", "ӱ", "Б", "В", "Г", "Д", "Ж", "З", "К", "Л", "М", "Н", "Ҥ", "П", "Р", "С", "Т", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "У", "Ю", "Ӱ", "и", "И", "о", "О", "ӧ", "Ӧ"); // all consonants but й + у ю ӱ и о ӧ - Hill Mari counterpart to J+

$udm_cl = array ("b", "g", "d", "ž", "z", "k", "l", "m", "n", "p", "r", "s", "t", "č́", "š", "B", "G", "D", "Ž", "Z", "K", "L", "M", "N", "P", "R", "S", "T", "Č́", "Š"); // Udmurt letters that can be precede ъ, in Latin

$kom_pal = array ("д", "Д", "т", "Т", "з", "З", "с", "С", "н", "Н", "л", "Л"); // Komi consonants that are palatal if followed by я, е, и, ё, ю

$mor_pal = array ("д", "Д", "т", "Т", "з", "З", "с", "С", "н", "Н", "л", "Л", "р", "Р", "ц", "Ц"); // Mordvin consonants that can be palatalized

// SUFFIX ARRANGEMENTS

$arrangements  = array (
"n + «comp»«gen»«poss»«plur»«case-g1»«p3»«enc»",
"n + «comp»«gen»«poss»«p3»«plur»«case-g1»«enc»", 
"n + «comp»«gen»«poss»«plur»«case-g3»«p3»«enc»", 
"n + «comp»«gen»«poss»«p3»«plur»«case-g3»«enc»", 
"n + «comp»«gen»«plur»«poss»«case-g1»«p3»«enc»", 
"n + «comp»«gen»«plur»«poss»«case-g3»«p3»«enc»", 
"n + «comp»«gen»«plur»«case-g2»«poss»«p3»«enc»", 
"n + «comp»«gen»«plur»«shILL»«p3»«enc»", 
"n + «comp»«gen»«plur»«case-g3»«poss»«p3»«enc»", 
"n + «gen»«comp»«enc»", 
"v + {tmp}«comp»«p3»«enc»", 
"v + {imp}«wenc»", 
"v + {finfger}«comp»«poss»«p3»«enc»", 
"v + {nfinfger}«comp»«p3»«enc»", 
"v + {con}«comp»«p3»«enc»", 
"p + «comp»«poss»«p3»«enc»", 
"x + «comp»«p3»«enc»");


// TRANSCRIPTION FUNCTIONS

function disp ($text, $lang) // Remove non-standard characters/annotation
{
	if ($lang == "tat")
	{
		$text = str_replace("Ҡ", "К", $text);
		$text = str_replace("ҡ", "к", $text);
		$text = str_replace("Ғ", "Г", $text);
		$text = str_replace("ғ", "г", $text);
	}
	
	$text = str_replace("◌", "", $text);
	$text = str_replace("¤", "", $text);
	$text = str_replace("|", "", $text);	
	$text = str_replace("⊥", "", $text);
	$text = str_replace("❀", "", $text);
	$text = str_replace("❁", "", $text);
	$text = str_replace("*❉", "", $text);
	$text = str_replace("❉", "", $text);
	
	$text = str_replace("ЕЪ", "Е", $text);	
	$text = str_replace("Еъ", "Е", $text);	
	$text = str_replace("еъ", "е", $text);	
	$text = str_replace("qqqq", "", $text);
	
	$text = str_replace("*", "•", $text);
	$text = str_replace("••", "•", $text);
		
	$wordlen = 0;
	$cap = false;
	
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		$a = mb_strtolower($x, "UTF-8");
		$b = mb_strtoupper($x, "UTF-8");
		
		if ($a == $b && $x != "'")
		{
			$wordlen = 0;
			$cap = false;
		}
		else
			$wordlen++;
		
		if ($wordlen > 1 && $a != $b && $x == $b)
			$cap = true;
		
		if ($cap)
			$text = mb_substr($text,0,$i,"UTF-8").$b.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
	}
	
	for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		$a = mb_strtolower($x, "UTF-8");
		$b = mb_strtoupper($x, "UTF-8");
		
		if ($a == $b && $x != "'")
		{
			$wordlen = 0;
			$cap = false;
		}
		else
			$wordlen++;
		
		if ($wordlen > 1 && $a != $b && $x == $b)
			$cap = true;
		
		if ($cap)
			$text = mb_substr($text,0,$i,"UTF-8").$b.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
	}
	return $text;
}


function bash_prep ($text) // Phonetic features in Bashkir not orthographically marked
{
	$text = str_replace("l", "ɫ", $text);
	$text = str_replace("L", "Ɫ", $text);
	
	$velar = 0;
	$palatal = 0;
		
	global $gr_clat;
	global $tat_vel;
	global $tat_pal;

	
	for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if (in_array($x, $tat_pal))
		{
			$palatal = 1;
		}
		else if (in_array($x, $tat_vel) || !in_array($x, $gr_clat))
		{
			$palatal = 0;
		}
	}
	
	global $gr_vlat;

	$palatal = 0;
	$ina = 0;
	$o = 0;
	$oe = 0;
	$vowels = 0;
			
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if ($ina == 0 && $x == "a")
			$text = mb_substr($text,0,$i,"UTF-8")."å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");			
		else if ($ina == 0 && $x == "A")
			$text = mb_substr($text,0,$i,"UTF-8")."Å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");	
		
		if (in_array($x, $tat_vel))
			$ina++;
		else if (in_array($x, $tat_pal))
		{
			$palatal = 1;
			$ina++;
		}
		else if (!in_array($x, $gr_clat))
		{
			$palatal = 0;
			$ina = 0;
		}
	}
	
	return $text;
}



function tat_prep ($text) // Phonetic features in Tatar not orthographically marked
{
	$text = str_replace("l", "ɫ", $text);
	$text = str_replace("L", "Ɫ", $text);
	
	$palatal = 0;
		
	global $gr_clat;
	global $tat_vel;
	global $tat_pal;

	
	for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if ($x == "Й")
		{
			$w = mb_substr($text, $i-1, 1,"UTF-8");
			if (!in_array($w, $gr_clat))
				$text = mb_substr($text,0,$i,"UTF-8")."J".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else
				$text = mb_substr($text,0,$i,"UTF-8")."'".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		else if ($x == "й")
		{
			$w = mb_substr($text, $i-1, 1,"UTF-8");
			if (!in_array($w, $gr_clat))
				$text = mb_substr($text,0,$i,"UTF-8")."j".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else
				$text = mb_substr($text,0,$i,"UTF-8")."'".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		else if (!($x =="Q" | $x =="q" | $x =="Γ" | $x =="γ"))
		{
			if (in_array($x, $tat_pal))
			{
				$palatal = 1;
			}
			else if (in_array($x, $tat_vel))
			{
			}
			else if (!in_array($x, $gr_clat))
			{
				$palatal = 0;
			}
		}
	}
	
	$text = str_replace("a◌", "ä", $text);
	$text = str_replace("A◌", "Ä", $text);
	$text = str_replace("u◌", "ü", $text);
	$text = str_replace("U◌", "Ü", $text);

	$text = str_replace("◌ə̑j", "i", $text);
	$text = str_replace("◌Ə̑J", "I", $text);

	$text = str_replace("e¤", "ə̑", $text);
	$text = str_replace("E¤", "Ə̑", $text);
	
	$text = str_replace("◌a", "ä", $text);
	$text = str_replace("◌A", "Ä", $text);
	$text = str_replace("◌ə̑", "e", $text);
	$text = str_replace("◌Ə̑", "E", $text);
	$text = str_replace("◌o", "ö", $text);
	$text = str_replace("◌O", "Ö", $text);
	$text = str_replace("◌u", "ü", $text);
	$text = str_replace("◌U", "Ü", $text);
	
	global $gr_vlat;

	$palatal = 0;
	$ina = 0;
	$o = 0;
	$oe = 0;
	$vowels = 0;
			
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if (in_array($x, $gr_vlat))
		{
			if ($o == 1 && $vowels <= 2)
			{
				if ($x == "ə")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."o¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "o";
				}
				else if ($x == "Ə")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."O¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "O";
				}
			}
			else if ($oe == 1 && $vowels <= 2)
			{
				if ($x == "e")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."ö¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "ö";
				}
				else if ($x == "E")
				{
					$text = mb_substr($text,0,$i,"UTF-8")."Ö¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					$x = "Ö";
				}
			}
		
			$vowels++;
		
			if ($x == "o" || $x == "O")
			{
				$o = 1;
			}
			else if ($x == "ö" || $x == "Ö")
			{
				$oe = 1;
			}
			else
			{
				$o = 0;
				$oe = 0;
			}
		}
		
		if ($palatal == "1")
		{
			if ($x == "ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."l".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			else if ($x == "Ɫ")
				$text = mb_substr($text,0,$i,"UTF-8")."L".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		}
		
		if ($ina == 0 && $x == "a")
			$text = mb_substr($text,0,$i,"UTF-8")."å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");			
		else if ($ina == 0 && $x == "A")
			$text = mb_substr($text,0,$i,"UTF-8")."Å".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");	
		
		if (in_array($x, $tat_vel))
			$ina++;
		else if (in_array($x, $tat_pal))
		{
			$palatal = 1;
			$ina++;
		}
		else if (!in_array($x, $gr_clat))
		{
			$palatal = 0;
			$ina = 0;
			$o = 0;
			$oe = 0;
			$vowels = 0;
		}
	}
	
	$text = str_replace("¤̑", "¤", $text);
	
	$text = str_replace("ь", "", $text);
	$text = str_replace("Ь", "", $text);
	$text = str_replace("ъ", "", $text);
	$text = str_replace("Ъ", "", $text);
	
	return $text;
}


function universal($text, $sqlres1, $sqlres2)
{
	$in = $text;
	$rows1 = $sqlres2->num_rows;
	$rows2 = $sqlres2->num_rows;
	for ($i = 0; $i < $rows2; $i++)
	{
		$lat = db_result($sqlres2,$i,"cs-lat");
		$rus = db_result($sqlres2,$i,"cs-rus");
		$from1 = db_result($sqlres2,$i,"lc-from");
		$to1 = db_result($sqlres2,$i,"lc-to");
		$from2 = db_result($sqlres2,$i,"uc-from");
		$to2 = db_result($sqlres2,$i,"uc-to");
		
		if ($from1 != "-")
		{
			$text = str_replace($from1."[".$lat."]", $to1, $text);
			$text = str_replace($from1."[".$rus."]", $to1, $text);
		}
		
		if ($from2 != "-")
		{
			$text = str_replace($from2."[".$lat."]", $to2, $text);
			$text = str_replace($from2."[".$rus."]", $to2, $text);
		}
	}
	
	if ($in != $text && (strpos($text,"[") >-1))
	{
		$text = universal($text, $sqlres1, $sqlres2);
	}
	
	if (strpos($text,"[") >-1)
	{
		for ($i = 0; $i < $rows1; $i++)
		{
			$lat  = db_result($sqlres1,$i,"lat");
			$cyr  = db_result($sqlres1,$i,"cyr");
			$comb = db_result($sqlres1,$i,"comb");
			
			if ($comb != "-")
			{	
				$text = str_replace("[".$lat."]", $comb, $text);
				$text = str_replace("[".$cyr."]", $comb, $text);
			}
			else
			{
				$text = str_replace("[".$lat."]", "", $text);
				$text = str_replace("[".$cyr."]", "", $text);			
			}
			
		}
		
	}
	
	return $text;
}

function diacritics($text, $rules)
{
	$rulearray = explode("|", $rules);
	for ($i = 0; $i < count($rulearray); $i++)
	{
		$current = explode("~", $rulearray[$i]);
		
		$text = str_replace($current[0], "*".$current[0], $text);
		$text = str_replace("**", "", $text);
		$text = str_replace("*".$current[0], $current[1], $text);
	}
	$text = str_replace("*", "", $text);
	$text = str_replace("|", "", $text);
	return $text;
}

function upa_to_zam($text, $lang)	// Zamanälif
{
	if ($lang == tat)
	{
		$text = str_replace("oyo", "oyı", $text);
		$text = str_replace("OYO", "OYI", $text);
		
		$text = str_replace("öyö", "öye", $text);
		$text = str_replace("ÖYÖ", "ÖYE", $text);
		
		$text = str_replace("uβ", "u", $text);
		$text = str_replace("UΒ̑", "U", $text);

		$text = str_replace("üβ", "ü", $text);
		$text = str_replace("ÜΒ", "Ü", $text);
		
		$text = str_replace("Ə̑J","Í", $text);
		$text = str_replace("Ə̑j","Í", $text);
		$text = str_replace("ə̑j","í", $text);
		
		$text = str_replace("Ž'","C", $text);
		$text = str_replace("ž'","c", $text);	
	}
	else
	{
		$text = str_replace("Θ","C", $text);
		$text = str_replace("ϑ","c", $text);	

		$text = str_replace("Δ","Ź", $text);
		$text = str_replace("δ","ź", $text);
	}

	$text = str_replace("Å","A", $text);
	$text = str_replace("å","a", $text);

	$text = str_replace("Ɫ","L", $text);
	$text = str_replace("ɫ","l", $text);
	
	$text = str_replace("Γ","Ğ", $text);
	$text = str_replace("γ","ğ", $text);
	
	$text = str_replace("C","[Ts]", $text);
	$text = str_replace("c","[ts]", $text);	//ALL CAPS?	

	$text = str_replace("J","Y", $text);
	$text = str_replace("j","y", $text);

	$text = str_replace("I","İ", $text);
	
	$text = str_replace("Ə̑","I", $text);
	$text = str_replace("ə̑","ı", $text);

	$text = str_replace("[Š́Š́]","[ŞÇ]", $text);
	$text = str_replace("[Š́š́]","[Şç]", $text);
	$text = str_replace("[š́š́]","[şç]", $text);
	
	$text = str_replace("Š́","Ç", $text);
	$text = str_replace("š́","ç", $text);	
	
	$text = str_replace("Š","Ş", $text);
	$text = str_replace("š","ş", $text);	


	
	$text = str_replace("Ž","J", $text);
	$text = str_replace("ž","j", $text);	
	
	$text = str_replace("Ŋ","Ñ", $text);
	$text = str_replace("ŋ","ñ", $text);	
	
	$text = str_replace("χ","x", $text);
	$text = str_replace("Χ","X", $text);	

	$text = str_replace("β","w", $text);
	$text = str_replace("Β","W", $text);	
	
	$text = str_replace("ʔ", "'", $text);
	
		if ($lang == tat)
	{
		$text = str_replace("o¤", "ı", $text);
		$text = str_replace("O¤", "I", $text);
		$text = str_replace("ö¤", "e", $text);
		$text = str_replace("Ö¤", "E", $text);
	}
	
	return ($text);
}

function zam_to_upa($text, $lang)
{
	$text = str_replace("A¤","Å", $text);		//IMPLEMENT!
	$text = str_replace("a¤","å", $text);

	$text = str_replace("L¤","Ɫ", $text);		//IMPLEMENT!
	$text = str_replace("l¤","ɫ", $text);
	
	if ($lang = "tat")
	{
		$text = str_replace("uı", "uβə̑", $text);
		$text = str_replace("UI", "UΒƏ̑", $text);

		$text = str_replace("üe", "üβe", $text);
		$text = str_replace("ÜE", "ÜΒE", $text);

		$text = str_replace("oyı", "oyo", $text);
		$text = str_replace("OYI", "OYO", $text);
		
		$text = str_replace("öye", "öyö", $text);
		$text = str_replace("ÖYE", "ÖYÖ", $text);
		
		
		$text = str_replace("Í","Ə̑j", $text);		// ALL CAPS
		$text = str_replace("í","ə̑j", $text);		
		
		$text = str_replace("C","Ž'", $text);
		$text = str_replace("c","ž'", $text);			
	}
	else
	{
		$text = str_replace("C","Θ", $text);
		$text = str_replace("c","ϑ", $text);	

		$text = str_replace("Ź","Δ", $text);
		$text = str_replace("ź","δ", $text);
	}

	$text = str_replace("'", "ʔ", $text);

	$text = str_replace("Ğ","Γ", $text);
	$text = str_replace("ğ","γ", $text);
	
	
	
	$text = str_replace("I","Ə̑", $text);
	$text = str_replace("ı","ə̑", $text);

	$text = str_replace("İ","I", $text);

	$text = str_replace("J","Ž", $text);
	$text = str_replace("j","ž", $text);	

	$text = str_replace("Y","J", $text);
	$text = str_replace("y","j", $text);
	
	$text = str_replace("[Ts]","C", $text);
	$text = str_replace("[TS]","C", $text);	
	$text = str_replace("[ts]","c", $text);	
	
	$text = str_replace("[ŞÇ]","[Š́Š́]", $text);
	$text = str_replace("[Şç]","[Š́š́]", $text);
	$text = str_replace("[şç]","[š́š́]", $text);
	
	$text = str_replace("Ç","Š́", $text);
	$text = str_replace("ç","š́", $text);	
	
	$text = str_replace("Ş","Š", $text);
	$text = str_replace("ş","š", $text);	

	$text = str_replace("Ñ","Ŋ", $text);
	$text = str_replace("ñ","ŋ", $text);	
	
	$text = str_replace("x","χ", $text);
	$text = str_replace("X","Χ", $text);
	
	if ($lang = "tat")
		$text = tat_prep ($text);	
	else
		$text = bash_prep ($text);
	
	return ($text);
}

function zamprep($text, $lang)
{	
		$text = str_replace("a:","ä", $text);
		$text = str_replace("A:","Ä", $text);
		$text = str_replace("æ","ä", $text);
		$text = str_replace("Æ","Ä", $text);

		$text = str_replace("o:","ö", $text);
		$text = str_replace("O:","Ö", $text);
		$text = str_replace("ø","ö", $text);
		$text = str_replace("Ø","Ö", $text);
		
		$text = str_replace("u:","ü", $text);
		$text = str_replace("U:","Ü", $text);

		$text = str_replace("i:","ı", $text);
		$text = str_replace("I:","İ", $text);

		if ($lang = "tat")
		{
			$text = str_replace("YI","Í", $text);
			$text = str_replace("Yı","Í", $text);
			$text = str_replace("yı","í", $text);
		}
		else
		{
			$text = str_replace("z:","ź", $text);
			$text = str_replace("Z:","Ź", $text);			
		}
		
		$text = str_replace("I-","Í", $text);
		$text = str_replace("i-","í", $text);
		
		$text = str_replace("G:","Ğ", $text);
		$text = str_replace("GH","Ğ", $text);
		$text = str_replace("Gh","Ğ", $text);
		$text = str_replace("g:","ğ", $text);
		$text = str_replace("gh","ğ", $text);
		
		$text = str_replace("SH", "Ş", $text);
		$text = str_replace("Sh", "Ş", $text);
		$text = str_replace("S:", "Ş", $text);
		$text = str_replace("sh", "ş", $text);
		$text = str_replace("s:", "ş", $text);

		$text = str_replace("CH", "Ç", $text);
		$text = str_replace("Ch", "Ç", $text);
		$text = str_replace("C:", "Ç", $text);
		$text = str_replace("ch", "ç", $text);
		$text = str_replace("c:", "ç", $text);

		$text = str_replace("N:", "Ñ", $text);
		$text = str_replace("n:", "ñ", $text);

		$text = str_replace("NG", "Ñ", $text);
		$text = str_replace("Ng", "Ñ", $text);		
		$text = str_replace("ng", "ñ", $text);	
		
	return $text;
}


function latprep($text, $lang)
{
	if ($lang == "mhr")
	{
		$text = str_replace("•", "*", $text);
		$text = str_replace("́", "*", $text);
		$text = str_replace("̋", "*", $text);
		
		$text = str_replace("á", "a*", $text);
		$text = str_replace("Á", "A*", $text);

		$text = str_replace("é", "e*", $text);
		$text = str_replace("É", "E*", $text);

		$text = str_replace("í", "i*", $text);
		$text = str_replace("Í", "I*", $text);
		
		$text = str_replace("ó", "o*", $text);
		$text = str_replace("Ó", "O*", $text);
		
		$text = str_replace("ú", "u*", $text);
		$text = str_replace("Ú", "U*", $text);
		
		$text = str_replace("ő", "ö*", $text);
		$text = str_replace("Ő", "Ö*", $text);
		
		$text = str_replace("ű", "ü*", $text);
		$text = str_replace("Ű", "Ü*", $text);
		
		$text = str_replace("ý", "y*", $text);
		$text = str_replace("Ý", "Y*", $text);
	}
	
	if ($lang == "rus")
	{
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		$text = str_replace("SH", "Š", $text);
		$text = str_replace("Sh", "Š", $text);
		$text = str_replace("S:", "Š", $text);
		$text = str_replace("sh", "š", $text);
		$text = str_replace("s:", "š", $text);

		$text = str_replace("ZH", "Ž", $text);
		$text = str_replace("Zh", "Ž", $text);
		$text = str_replace("Z:", "Ž", $text);
		$text = str_replace("zh", "ž", $text);
		$text = str_replace("z:", "ž", $text);
		
		$text = str_replace("CH", "Č", $text);
		$text = str_replace("Ch", "Č", $text);
		$text = str_replace("C:", "Č", $text);
		$text = str_replace("ch", "č", $text);
		$text = str_replace("c:", "č", $text);

		$text = str_replace("ŠČ", "Š́Š́", $text);
		$text = str_replace("Šč", "Š́š́", $text);
		$text = str_replace("šč", "š́š́", $text);
		$text = str_replace("Š:", "Š́š́", $text); // ALL CAPS?
		$text = str_replace("š:", "š́š́", $text);


		$text = str_replace("h", "χ", $text);
		$text = str_replace("H", "Χ", $text);
		
		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);	
		
		$text = str_replace("W", "V", $text);
		$text = str_replace("w", "v", $text);

		$text = str_replace("Y", "Ï", $text);
		$text = str_replace("y", "ï", $text);
		$text = str_replace("Õ", "Ï", $text);
		$text = str_replace("õ", "ï", $text);
		
		$text = str_replace("ɣ","γ", $text);
		$text = str_replace("Ɣ","Γ", $text);
	}
	else if ($lang == "tat" || $lang == "bak")
	{
		$text = str_replace("w" ,"β", $text);
		$text = str_replace("W" ,"Β", $text);
	
		$text = str_replace("ł","ɫ", $text);
		$text = str_replace("Ł","Ɫ", $text);

		$text = str_replace("ï","ə̑", $text);
		$text = str_replace("Ï","Ə̑", $text);
		
		$text = str_replace("ɣ","γ", $text);
		$text = str_replace("Ɣ","Γ", $text);

		$text = str_replace("ĕ","e", $text);
		$text = str_replace("Ĕ","E", $text);		

		$text = str_replace("ĕ","e", $text);
		$text = str_replace("Ĕ","E", $text);		
		
		$text = str_replace("a-","å", $text);
		$text = str_replace("A-","Å", $text);
	
		$text = str_replace("a:","ä", $text);
		$text = str_replace("A:","Ä", $text);
		$text = str_replace("æ","ä", $text);
		$text = str_replace("Æ","Ä", $text);

		$text = str_replace("o:","ö", $text);
		$text = str_replace("O:","Ö", $text);
		$text = str_replace("ø","ö", $text);
		$text = str_replace("Ø","Ö", $text);
		
		$text = str_replace("u:","ü", $text);
		$text = str_replace("U:","Ü", $text);

		$text = str_replace("y","ə̑", $text);
		$text = str_replace("Y","Ə̑", $text);

		$text = str_replace("G:","Γ", $text);
		$text = str_replace("GH","Γ", $text);
		$text = str_replace("Gh","Γ", $text);
		
		$text = str_replace("g:","γ", $text);
		$text = str_replace("gh","γ", $text);
		
		$text = str_replace("SH", "Š", $text);
		$text = str_replace("Sh", "Š", $text);
		$text = str_replace("S:", "Š", $text);
		$text = str_replace("sh", "š", $text);
		$text = str_replace("s:", "š", $text);

		$text = str_replace("ZH", "Ž", $text);
		$text = str_replace("Zh", "Ž", $text);
		$text = str_replace("Z:", "Ž", $text);
		$text = str_replace("zh", "ž", $text);
		$text = str_replace("z:", "ž", $text);

		$text = str_replace("CH", "Š́", $text);
		$text = str_replace("Ch", "Š́", $text);
		$text = str_replace("C:", "Š́", $text);
		$text = str_replace("Č", "Š́", $text);
		$text = str_replace("ch", "š́", $text);
		$text = str_replace("c:", "š́", $text);
		$text = str_replace("č", "š́", $text);
		
		$text = str_replace("Š:", "[Š́š́]", $text); // ALL CAPS?
		$text = str_replace("š:", "[š́š́]", $text);

		$text = str_replace("N:","Ŋ", $text);
		$text = str_replace("NG","Ŋ", $text);
		$text = str_replace("Ng","Ŋ", $text);
		$text = str_replace("n:","ŋ", $text);
		$text = str_replace("ng","ŋ", $text);
	
		$text = str_replace("n:","ŋ", $text);
		$text = str_replace("ng","ŋ", $text);
	
		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);	
	
		$text = str_replace("\"", "ʔ", $text);
		
		if ($lang == "tat")
		{
			$text = str_replace("Ž:", "Ž'", $text);
			$text = str_replace("ž:", "ž'", $text);	
			
			$text = tat_prep ($text);
		}
		else
		{
			$text = str_replace("T:", "Θ", $text);
			$text = str_replace("t:", "ϑ", $text);
			$text = str_replace("D:", "Δ", $text);
			$text = str_replace("d:", "δ", $text);	
			
			$text = bash_prep ($text);
			
		}
	}
	else if ($lang == "udm")
	{
		$text = str_replace("w" ,"v", $text);
		$text = str_replace("W" ,"V", $text);
	
		$text = str_replace("β" ,"v", $text);
		$text = str_replace("Β" ,"V", $text);
		
		$text = str_replace("ö" ,"e̮", $text);
		$text = str_replace("Ö" ,"E̮", $text);

		$text = str_replace("q" ,"e̮", $text);
		$text = str_replace("Q" ,"E̮", $text);
		
		$text = str_replace("o:" ,"e̮", $text);
		$text = str_replace("O:" ,"E̮", $text);		

		$text = str_replace("y" ,"i̮", $text);
		$text = str_replace("Y" ,"I̮", $text);

		$text = str_replace("õ" ,"i̮", $text);
		$text = str_replace("Õ" ,"I̮", $text);
		
		
		$text = str_replace("s:" ,"š", $text);		
		$text = str_replace("sh" ,"š", $text);
		$text = str_replace("S:" ,"Š", $text);				
		$text = str_replace("SH" ,"Š", $text);		
		$text = str_replace("Sh" ,"Š", $text);				

		$text = str_replace("š:" ,"š́š́", $text);
		$text = str_replace("Š:" ,"Š́Š́", $text);		
		

		$text = str_replace("zh" ,"ž", $text);		
		$text = str_replace("ZH" ,"Ž", $text);		
		$text = str_replace("Zh" ,"Ž", $text);			
		
		$text = str_replace("z:" ,"ʒ́", $text);		
		$text = str_replace("Z:" ,"Ʒ́", $text);
			
		$text = str_replace("ch:" ,"č", $text);		
		$text = str_replace("CH:" ,"Č", $text);		
		$text = str_replace("Ch:" ,"Č", $text);	
		
		$text = str_replace("ch" ,"č́", $text);		
		$text = str_replace("CH" ,"Č́", $text);		
		$text = str_replace("Ch" ,"Č́", $text);	
		
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);	


		$text = str_replace("s'","ś", $text);
		$text = str_replace("S'","Ś", $text);		

		$text = str_replace("sj","ś", $text);
		$text = str_replace("Sj","ś", $text);
		$text = str_replace("SJ","Ś", $text);
		
		
		$text = str_replace("z'","ź", $text);
		$text = str_replace("Z'","Ź", $text);		
		
		$text = str_replace("zj","ź", $text);
		$text = str_replace("Zj","Ź", $text);
		$text = str_replace("ZJ","Ź", $text);


		$text = str_replace("ť","t'", $text);
		$text = str_replace("Ť","T'", $text);		
		
		$text = str_replace("tj","t'", $text);
		$text = str_replace("Tj","T'", $text);
		$text = str_replace("TJ","T'", $text);
		
		
		$text = str_replace("ď","d'", $text);
		$text = str_replace("Ď","D'", $text);			
		
		$text = str_replace("dj","d'", $text);
		$text = str_replace("Dj","D'", $text);
		$text = str_replace("DJ","D'", $text);

		
		$text = str_replace("ĺ","l'", $text);
		$text = str_replace("Ĺ","L'", $text);				
		
		$text = str_replace("lj","l'", $text);
		$text = str_replace("Lj","L'", $text);
		$text = str_replace("LJ","L'", $text);
		
	
		$text = str_replace("nj","n'", $text);
		$text = str_replace("Nj","N'", $text);
		$text = str_replace("NJ","N'", $text);
		
		$text = str_replace("x","χ", $text);
		$text = str_replace("X","Χ", $text);

		$text = str_replace("h","χ", $text);
		$text = str_replace("H","Χ", $text);


		$text = str_replace("γ","g", $text);
		$text = str_replace("ɣ","g", $text);
		$text = str_replace("δ","d", $text);
		$text = str_replace("ð","d", $text);
		$text = str_replace("ʃ","š", $text);		
		
		$text = str_replace("ʎ","l'", $text);
		$text = str_replace("ɲ","ń", $text);
		$text = str_replace("ɕ","ś", $text);
		$text = str_replace("ʑ","ź", $text);
		$text = str_replace("ɟ","d'", $text);		
		
		
		$text = str_replace("t͡ɕ","č́", $text);
		$text = str_replace("t͡ʃ","č", $text);
		$text = str_replace("d͡ʑ","ǯ", $text);
		$text = str_replace("d͡z","ʒ́ ", $text);		
		$text = str_replace("t͡s","c", $text);
		
		$text = str_replace("ɨ","i̮", $text);
		$text = str_replace("ɨ","i̮", $text);
		$text = str_replace("ɯ","e̮", $text);
		$text = str_replace("ʌ","e̮", $text);


		
		$text = str_replace("Γ","G", $text);
		$text = str_replace("Ɣ","G", $text);
		$text = str_replace("Δ","D", $text);
		$text = str_replace("Ð","D", $text);
		$text = str_replace("Ʃ","Š", $text);		
		
		$text = str_replace("ʎ","L'", $text);
		$text = str_replace("Ɲ","Ń", $text);
		$text = str_replace("ɕ","Ś", $text);
		$text = str_replace("ʑ","Ź", $text);
		$text = str_replace("ɟ","D'", $text);		
		
		
		$text = str_replace("T͡ɕ","Č́", $text);
		$text = str_replace("T͡ʃ","Č", $text);
		$text = str_replace("D͡ʑ","Ǯ", $text);
		$text = str_replace("D͡z","Ʒ́ ", $text);		
		$text = str_replace("T͡s","C", $text);
		
		$text = str_replace("Ɨ","I̮", $text);
		$text = str_replace("Ɯ","I̮", $text);
		$text = str_replace("Ə","E̮", $text);
		$text = str_replace("Ʌ","E̮", $text);
	
	}
	else
	{
		$text = str_replace("lj","l'", $text);
		$text = str_replace("Lj","L'", $text);

		$text = str_replace("nj","n'", $text);
		$text = str_replace("Nj","N'", $text);
		
		if ($lang == "mrj")
		{
			$text = str_replace("tj","t'", $text);
			$text = str_replace("Tj","T'", $text);
		}
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		$text = str_replace("a:","ä", $text);
		$text = str_replace("A:","Ä", $text);
		$text = str_replace("æ","ä", $text);
		$text = str_replace("Æ","Ä", $text);
		
		
		$text = str_replace("o:","ö", $text);
		$text = str_replace("O:","Ö", $text);
		$text = str_replace("ø","ö", $text);
		$text = str_replace("Ø","Ö", $text);
		
		$text = str_replace("u:","ü", $text);
		$text = str_replace("U:","Ü", $text);

		$text = str_replace("y:","ə", $text);
		$text = str_replace("Y:","Ə", $text);
		$text = str_replace("õ:","ə", $text);
		$text = str_replace("Õ:","Ə", $text);
		$text = str_replace("q","ə", $text);
		$text = str_replace("Q","Ə", $text);
		
		$text = str_replace("y","ə̑", $text);
		$text = str_replace("Y","Ə̑", $text);
		$text = str_replace("õ","ə̑", $text);
		$text = str_replace("Õ","Ə̑", $text);
		
		$text = str_replace("č'","č́", $text);
		$text = str_replace("Č'","Č́", $text);
		
		$text = str_replace("š':","š́", $text);
		$text = str_replace("Š'","Š́", $text);

		
		$text = str_replace("z:","žqqqq", $text);
		$text = str_replace("Z:","Žqqqq", $text);
		$text = str_replace("zh","žqqqq", $text);
		$text = str_replace("ZH","Žqqqq", $text);
		$text = str_replace("Zh","Žqqqq", $text);

		$text = str_replace("s:","šqqqq", $text);
		$text = str_replace("S:","Šqqqq", $text);
		$text = str_replace("sh","šqqqq", $text);
		$text = str_replace("SH","Šqqqq", $text);
		$text = str_replace("Sh","Šqqqq", $text);

		$text = str_replace("š:","[š́š́]qqqq", $text);
		$text = str_replace("Š:","[Š́Š́]qqqq", $text); // ALL CAPS?
		
		if ($lang == "mrj")
		{
			$text = str_replace("c:","čqqqq", $text);
			$text = str_replace("C:","Čqqqq", $text);
			$text = str_replace("ch","čqqqq", $text);
			$text = str_replace("CH","Čqqqq", $text);
			$text = str_replace("Ch","Čqqqq", $text);
		}
		else
		{
			$text = str_replace("c:","č́qqqq", $text);
			$text = str_replace("C:","Č́qqqq", $text);
			$text = str_replace("ch","č́qqqq", $text);
			$text = str_replace("CH","Č́qqqq", $text);
			$text = str_replace("Ch","Č́qqqq", $text);
		}
		
		$text = str_replace("n:","ŋqqqq", $text);
		$text = str_replace("N:","Ŋqqqq", $text);
		
		if ($lang == "mhr")
		{
			$text = str_replace("ng","ŋqqqq", $text);
			$text = str_replace("NG","Ŋqqqq", $text);	
			$text = str_replace("Ng","Ŋqqqq", $text);
		}
		
		$text = str_replace("n:","ŋqqqq", $text);
		$text = str_replace("N:","Ŋqqqq", $text);	

		$text = str_replace("ĺ","l'qqqq", $text);
		$text = str_replace("Ĺ","L'qqqq", $text);		

		$text = str_replace("ń","n'qqqq", $text);
		$text = str_replace("Ń","N'qqqq", $text);	

		$text = str_replace("ť","t'qqqq", $text);
		$text = str_replace("Ť","T'qqqq", $text);	
		
		$text = str_replace("x","χqqqq", $text);
		$text = str_replace("X","Χqqqq", $text);	
		$text = str_replace("h","χqqqq", $text);
		$text = str_replace("H","Χqqqq", $text);	
		
		$text = str_replace("w","v", $text);
		$text = str_replace("W","V", $text);	

		$text = str_replace("β","v", $text);
		$text = str_replace("γ","g", $text);
		$text = str_replace("ɣ","g", $text);
		$text = str_replace("δ","d", $text);
		$text = str_replace("ð","d", $text);
		$text = str_replace("ʒ","ž", $text);
		$text = str_replace("ʎ","l'", $text);
		$text = str_replace("ɲ","n'", $text);
		$text = str_replace("t͡s","c", $text);
		$text = str_replace("č́","č", $text);
		$text = str_replace("t͡ɕ","č", $text);
		$text = str_replace("ʃ","š", $text);
		$text = str_replace("ɤ̘","ə̑", $text);
		$text = str_replace("ɤ","ə̑", $text);
		
		$text = str_replace("Β","V", $text);
		$text = str_replace("Γ","G", $text);
		$text = str_replace("Ɣ","G", $text);
		$text = str_replace("Δ","D", $text);
		$text = str_replace("Ð","D", $text);
		$text = str_replace("Ʒ","Ž", $text);
		$text = str_replace("ʎ","L'", $text);
		$text = str_replace("Ɲ","N'", $text);
		$text = str_replace("T͡s","C", $text);
		$text = str_replace("T͡S","C", $text);
		$text = str_replace("Č́","Č", $text);
		$text = str_replace("T͡ɕ","Č", $text);
		$text = str_replace("Ʃ","Š", $text);

		
		if ($lang == "mhr")
		{
			$text = str_replace("ə","ə̑", $text);
			$text = str_replace("̑̑","̑", $text);
		}
	}
	return $text;
}

function thirtiesprep($text, $lang) // MM TATAR RUSSIAN
{
	if ($lang == "mhr")
	{
		
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."Й",$gr_c{$i}."ЪЙ", $text);
			$text = str_replace($gr_c{$i}."й",$gr_c{$i}."ъй", $text);
		}
		
		$text = str_replace("ЙА","Я", $text);
		$text = str_replace("Йа","Я", $text);
		$text = str_replace("йа","я", $text);

		$text = str_replace("ЬА","Я", $text);
		$text = str_replace("ьа","я", $text);

		$text = str_replace("ЙЭ","Е", $text);
		$text = str_replace("Йэ","Е", $text);
		$text = str_replace("йэ","е", $text);	

		$text = str_replace("ЬЭ","¤Е", $text);
		$text = str_replace("ьэ","¤е", $text);

		$text = str_replace("ЙУ","Ю", $text);
		$text = str_replace("Йу","Ю", $text);
		$text = str_replace("йу","ю", $text);	

		$text = str_replace("ЬУ","Ю", $text);
		$text = str_replace("ьу","ю", $text);
		
		$text = str_replace("э","⊥е", $text);
		$text = str_replace("Э","⊥Е", $text);
		
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."⊥",$gr_c{$i}, $text);
		}
		
		$text = str_replace("⊥е","э", $text);
		$text = str_replace("⊥Е","Э", $text);
	}
	else if ($lang == "tat")
	{
		$text = str_replace("وُ","ө",$text);
	
		$text = str_replace("۰","0",$text);
		$text = str_replace("۱","1",$text);
		$text = str_replace("۲","2",$text);
		$text = str_replace("۳","3",$text);
		$text = str_replace("۴","4",$text);
		$text = str_replace("۵","5",$text);
		$text = str_replace("۶","6",$text);
		$text = str_replace("۷","7",$text);
		$text = str_replace("۸","8",$text);
		$text = str_replace("۹","9",$text);
		
		$text = str_replace("آ","а",$text);
		$text = str_replace("ا","ә",$text);
			$text = str_replace("ﺎ","ә",$text);
		$text = str_replace("ب","б",$text);
			$text = str_replace("ﺒ","б",$text);
		$text = str_replace("پ","п",$text);
			$text = str_replace("ﭗ","п",$text);
		$text = str_replace("ت","т",$text);
			$text = str_replace("ﺗ","т",$text);
		$text = str_replace("ث","с",$text);
		$text = str_replace("ج","җ",$text);
			$text = str_replace("ﺟ","җ",$text);
		$text = str_replace("چ","ч",$text);
			$text = str_replace("ﭼ","ч",$text);
		$text = str_replace("ح","х",$text);
			$text = str_replace("ﺣ","х",$text);
		$text = str_replace("خ","х",$text); 
		$text = str_replace("د","д",$text);
			$text = str_replace("ﺩ","д",$text);
		$text = str_replace("ز","з",$text);
			$text = str_replace("ﺯ","з",$text); 
		$text = str_replace("ر","р",$text);
			$text = str_replace("ﺭ","р",$text);		
		$text = str_replace("ز","з",$text);
		$text = str_replace("ژ","ж",$text);
		$text = str_replace("س","с",$text);
			$text = str_replace("ﺳ","с",$text);
		$text = str_replace("ش","ш",$text);
			$text = str_replace("ﺷ","ш",$text);
		$text = str_replace("ص","с",$text);
		$text = str_replace("ض","д",$text);
			$text = str_replace("ﺖ","т",$text);
		$text = str_replace("ظ","з",$text);
		$text = str_replace("ع","ғ",$text);
			$text = str_replace("ﻋ","ғ",$text);
			$text = str_replace("ﻌ","ғ",$text);
		$text = str_replace("غ","ғ",$text);
		$text = str_replace("ف","ф",$text);
			$text = str_replace("ﻔ","ф",$text);
		$text = str_replace("ق","ҡ",$text);
			$text = str_replace("ﻗ","ҡ",$text); 
			$text = str_replace("ﻘ","ҡ",$text);
		$text = str_replace("ک","к",$text);
			$text = str_replace("ﻜ","к",$text);
			$text = str_replace("ﻛ","к",$text);
			$text = str_replace("ك","к",$text);
		$text = str_replace("گ","г",$text);
			$text = str_replace("ﮔ","г",$text);
		$text = str_replace("ﯓ","ң",$text);
		$text = str_replace("ل","л",$text);
			$text = str_replace("ﻟ","л",$text);
		$text = str_replace("م","м",$text);
			$text = str_replace("ﻣ","м",$text);
		$text = str_replace("ن","н",$text);
			$text = str_replace("ﻧ","н",$text);
		$text = str_replace("ه","һ",$text);
			$text = str_replace("ﻫ","һ",$text);

		$text = str_replace("و","у",$text);
		$text = str_replace("ﯞ","в",$text);
		$text = str_replace("ی","и",$text);
			$text = str_replace("ﻳ","и",$text);
			$text = str_replace("ﻴ","и",$text);
			$text = str_replace("ﻯ","и",$text);
			$text = str_replace("ﻲ","и",$text);		
			$text = str_replace("ﯾ","и",$text);
		$text = str_replace("ئ","е",$text);
		$text = str_replace("ە","ә",$text);
			$text = str_replace("ﻪ","ә",$text);
		$text = str_replace("ۇ","о",$text);
		$text = str_replace("ڭ","ң",$text);	
			$text = str_replace("ﯕ","ң",$text);	
			
		$text = str_replace("ﺀ","э",$text);	
			
		$text = str_replace("ﺌ","ы",$text);	
		$text = str_replace("ﺋ","ы",$text);	
		$text = str_replace("ِ", "", $text);	
	}
	else if ($lang == "bak")
	{
		$text = str_replace("وُ","ө",$text);
	
		$text = str_replace("۰","0",$text);
		$text = str_replace("۱","1",$text);
		$text = str_replace("۲","2",$text);
		$text = str_replace("۳","3",$text);
		$text = str_replace("۴","4",$text);
		$text = str_replace("۵","5",$text);
		$text = str_replace("۶","6",$text);
		$text = str_replace("۷","7",$text);
		$text = str_replace("۸","8",$text);
		$text = str_replace("۹","9",$text);
		
		$text = str_replace("آ","а",$text);
		$text = str_replace("ا","ә",$text);
			$text = str_replace("ﺎ","ә",$text);
		$text = str_replace("ب","б",$text);
			$text = str_replace("ﺒ","б",$text);
		$text = str_replace("پ","п",$text);
			$text = str_replace("ﭗ","п",$text);
		$text = str_replace("ت","т",$text);
			$text = str_replace("ﺗ","т",$text);
		$text = str_replace("ث","с",$text);
		$text = str_replace("ج","ж",$text);
			$text = str_replace("ﺟ","ж",$text);
		$text = str_replace("چ","ч",$text);
			$text = str_replace("ﭼ","ч",$text);
		$text = str_replace("ح","х",$text);
			$text = str_replace("ﺣ","х",$text);
		$text = str_replace("خ","х",$text); 
		$text = str_replace("د","д",$text);
			$text = str_replace("ﺩ","д",$text);
		$text = str_replace("ز","з",$text);
			$text = str_replace("ﺯ","з",$text); 
		$text = str_replace("ر","р",$text);
			$text = str_replace("ﺭ","р",$text);		
		$text = str_replace("ز","з",$text);
		$text = str_replace("ژ","ж",$text);
		$text = str_replace("س","с",$text);
			$text = str_replace("ﺳ","с",$text);
		$text = str_replace("ش","ш",$text);
			$text = str_replace("ﺷ","ш",$text);
		$text = str_replace("ص","с",$text);
		$text = str_replace("ض","д",$text);
			$text = str_replace("ﺖ","т",$text);
		$text = str_replace("ظ","з",$text);
		$text = str_replace("ع","ғ",$text);
			$text = str_replace("ﻋ","ғ",$text);
			$text = str_replace("ﻌ","ғ",$text);
		$text = str_replace("غ","ғ",$text);
		$text = str_replace("ف","ф",$text);
			$text = str_replace("ﻔ","ф",$text);
		$text = str_replace("ق","ҡ",$text);
			$text = str_replace("ﻗ","ҡ",$text); 
			$text = str_replace("ﻘ","ҡ",$text);
		$text = str_replace("ک","к",$text);
			$text = str_replace("ﻜ","к",$text);
			$text = str_replace("ﻛ","к",$text);
			$text = str_replace("ك","к",$text);
		$text = str_replace("گ","г",$text);
			$text = str_replace("ﮔ","г",$text);
		$text = str_replace("ﯓ","ң",$text);
		$text = str_replace("ل","л",$text);
			$text = str_replace("ﻟ","л",$text);
		$text = str_replace("م","м",$text);
			$text = str_replace("ﻣ","м",$text);
		$text = str_replace("ن","н",$text);
			$text = str_replace("ﻧ","н",$text);
		$text = str_replace("ه","һ",$text);
			$text = str_replace("ﻫ","һ",$text);

		$text = str_replace("و","у",$text);
		$text = str_replace("ﯞ","в",$text);
		$text = str_replace("ی","и",$text);
			$text = str_replace("ﻳ","и",$text);
			$text = str_replace("ﻴ","и",$text);
			$text = str_replace("ﻯ","и",$text);
			$text = str_replace("ﻲ","и",$text);		
			$text = str_replace("ﯾ","и",$text);
		$text = str_replace("ئ","е",$text);
		$text = str_replace("ە","ә",$text);
			$text = str_replace("ﻪ","ә",$text);
		$text = str_replace("ۇ","о",$text);
		$text = str_replace("ڭ","ң",$text);	
			$text = str_replace("ﯕ","ң",$text);	
			
		$text = str_replace("ﺀ","э",$text);	
			
		$text = str_replace("ﺌ","ы",$text);	
		$text = str_replace("ﺋ","ы",$text);	
		$text = str_replace("ِ", "", $text);	
	}	
	else if ($lang == "rus")
	{
		$text = str_replace("Ѣ","Е",$text);
		$text = str_replace("ѣ","е",$text);

		$text = str_replace("І","И",$text);
		$text = str_replace("і","и",$text);

		$text = str_replace("Ѵ","И",$text);
		$text = str_replace("ѵ","и",$text);

		$text = str_replace("Ѳ","Ф",$text);
		$text = str_replace("ѳ","ф",$text);

		$text = str_replace("ъ","ъ⊥",$text);		
		$text = str_replace("Ъ","Ъ⊥",$text);

		$text = str_replace("⊥я","я",$text);		
		$text = str_replace("⊥Я","Я",$text);
		$text = str_replace("⊥е","е",$text);		
		$text = str_replace("⊥Е","Е",$text);
		$text = str_replace("⊥ё","ё",$text);		
		$text = str_replace("⊥Ё","Ё",$text);
		$text = str_replace("⊥ю","ю",$text);		
		$text = str_replace("⊥Ю","Ю",$text);

		$text = str_replace("ъ⊥","",$text);		
		$text = str_replace("Ъ⊥","",$text);

		$text = str_replace("ѕ","з",$text);
		$text = str_replace("Ѕ","З",$text);

		$text = str_replace("ѯ","кс",$text);
		$text = str_replace("Ѯ","Кс",$text);		

		$text = str_replace("ѱ","пс",$text);
		$text = str_replace("Ѱ","Пс",$text);	

		$text = str_replace("ѡ","о",$text);
		$text = str_replace("Ѡ","О",$text);		

		$text = str_replace("ѫ","ю",$text);
		$text = str_replace("Ѫ","Ю",$text);		

		$text = str_replace("ѧ","я",$text);
		$text = str_replace("Ѧ","Я",$text);
		
		$text = str_replace("ѭ","ю",$text);
		$text = str_replace("Ѭ","Ю",$text);
		
		$text = str_replace("ѩ","я",$text);
		$text = str_replace("Ѩ","Я",$text);
	}
	else if ($lang == "mrj")
	{
		global $gr_allm;

		$current = "";

		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			
			if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
				$current = $current.$x;
			else
			{
				$replace = ortup_hill($current);
				$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
				$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
				$current = "";
			}
		}

		$text = str_replace("ѩ","ы",$text);
		$text = str_replace("Ѩ","Ы",$text);
	}
	else if ($lang == "kom")
	{	
		$text = str_replace("І","И", $text);
		$text = str_replace("і","и", $text);
		
		$text = str_replace("Ԁ","Д", $text);
		$text = str_replace("ԁ","д", $text);

		global $kom_pal;
		
		for ($i = 0; $i < count($kom_pal); $i++)
		{
			$text = str_replace($kom_pal{$i}."Е",$kom_pal{$i}."Э", $text);
			$text = str_replace($kom_pal{$i}."е",$kom_pal{$i}."э", $text);
			$text = str_replace($kom_pal{$i}."И",$kom_pal{$i}."І", $text);
			$text = str_replace($kom_pal{$i}."и",$kom_pal{$i}."і", $text);
		}
		
		
		$text = str_replace("Е","Еʷ", $text);
		$text = str_replace("е","еʷ", $text);

		
		global $gr_c;
			
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."Еʷ",$gr_c{$i}."Е", $text);
			$text = str_replace($gr_c{$i}."еʷ",$gr_c{$i}."е", $text);
		}
		
		$text = str_replace("Еʷ","Э", $text);
		$text = str_replace("еʷ","э", $text);
		
		$text = str_replace("дзэ","дзе", $text);
		$text = str_replace("Дзэ","Дзе", $text);
		$text = str_replace("ДЗЭ","ДЗЕ", $text);		

		$text = str_replace("дзі","дзи", $text);
		$text = str_replace("Дзі","Дзи", $text);
		$text = str_replace("ДЗІ","ДЗИ", $text);		
	
		$text = str_replace("Ԃ","Дʲ", $text);
		$text = str_replace("ԃ","дʲ", $text);
		
		$text = str_replace("Җ","Дж", $text);
		$text = str_replace("җ","дж", $text);
		
		$text = str_replace("Ԅ","Зʲ", $text);
		$text = str_replace("ԅ","зʲ", $text);

		$text = str_replace("Ԇ","Дз", $text);
		$text = str_replace("ԇ","дз", $text);
		
		$text = str_replace("Ԉ","Лʲ", $text);
		$text = str_replace("ԉ","лʲ", $text);

		$text = str_replace("Ԋ","Нʲ", $text);
		$text = str_replace("ԋ","нʲ", $text);

		$text = str_replace("Ԍ","Сʲ", $text);
		$text = str_replace("ԍ","сʲ", $text);

		$text = str_replace("Ԏ","Тʲ", $text);
		$text = str_replace("ԏ","тʲ", $text);

		$text = str_replace("ʲА","Я", $text);
		$text = str_replace("ʲа","я", $text);

		$text = str_replace("ʲЕ","Е", $text);
		$text = str_replace("ʲе","е", $text);		
		
		$text = str_replace("ʲИ","И", $text);
		$text = str_replace("ʲи","и", $text);

		$text = str_replace("ʲО","Ё", $text);
		$text = str_replace("ʲо","ё", $text);

		$text = str_replace("ʲУ","Ю", $text);
		$text = str_replace("ʲу","ю", $text);		
		
		$text = str_replace("ЈА","ʷЯ", $text);
		$text = str_replace("Ја","ʷЯ", $text);
		$text = str_replace("ја","ʷя", $text);
		
		$text = str_replace("ЈЭ","ʷЕ", $text);
		$text = str_replace("Јэ","ʷЕ", $text);
		$text = str_replace("јэ","ʷе", $text);
		
		$text = str_replace("ЈЕ","ʷЕ", $text);
		$text = str_replace("Је","ʷЕ", $text);
		$text = str_replace("је","ʷе", $text);
		
		$text = str_replace("ЈО","ʷЁ", $text);
		$text = str_replace("Јо","ʷЁ", $text);
		$text = str_replace("јо","ʷё", $text);	
		
		$text = str_replace("ЈУ","ʷЮ", $text);
		$text = str_replace("Ју","ʷЮ", $text);
		$text = str_replace("ју","ʷю", $text);
		
		$text = str_replace("Ј","Й", $text);
		$text = str_replace("ј","й", $text);
		
		$text = str_replace("ЙІ","ЙИ", $text);
		$text = str_replace("Йі","Йи", $text);
		$text = str_replace("йі","йи", $text);
		
		$text = str_replace("ʲʷ","ʲ", $text);
		
		$text = str_replace("ʲ","ь", $text);
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."ʷ",$gr_c{$i}."ъ", $text);
		}

		$text = str_replace("ДЗЪ","ДЗЬ", $text);		
		$text = str_replace("дзъ","дзь", $text);
		
		$text = str_replace("ʷ","", $text);
	}
	
	return $text;
}

function mixed_to_lat($text, $lang, $alph)	// Mixed Latin
{
	if ($alph == 1)
		return cyr_to_lat($text, $lang, false);
		
	if ($alph != 2)
		return $text;
		
	$text = str_replace("c","€¤€", $text);
	$text = str_replace("C","€¤€", $text);
	
	$text = cyr_to_lat($text, $lang, false);

	$text = upa_to_ipa($text, $lang, false);
	$text = str_replace("€¤€","c", $text);
	
	return $text;

}

function cyrprep($text, $lang)	// MARI TATAR RUSSIAN UDMURT KOMI CHUVASH
{
	$text = str_replace("•", "*", $text);
	$text = str_replace("́", "*", $text);
	$text = str_replace("̋", "*", $text);
	
	if ($lang != "chv")
	{
	//	$text = str_replace("ӳ", "у*", $text);
	//	$text = str_replace("Ӳ", "У*", $text);

		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	
	if ($lang == "mhr" || $lang == "mrj")
	{
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
		
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "Н" || $x == "О"|| $x == "У"|| $x == "А"|| $x == "Ы"  || $x == "Е" || $x == "З" || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("а:","ӓ", $text);
		$text = str_replace("А:","Ӓ", $text);
		$text = str_replace("ә","ӓ", $text);
		$text = str_replace("Ә","Ӓ", $text);
		
		$text = str_replace("о:","ӧ", $text);
		$text = str_replace("О:","Ӧ", $text);
		$text = str_replace("ө","ӧ", $text);
		$text = str_replace("Ө","Ӧ", $text);
		
		$text = str_replace("у:","ӱ", $text);
		$text = str_replace("У:","Ӱ", $text);
		$text = str_replace("ү","ӱ", $text);
		$text = str_replace("Ү","Ӱ", $text);
		$text = str_replace("ӳ","ӱ", $text);
		$text = str_replace("Ӳ","Ӱ", $text);

		
		$text = str_replace("ы:","ӹ", $text);
		$text = str_replace("Ы:","Ӹ", $text);
		
		$text = str_replace("н:","ҥ", $text);
		$text = str_replace("Н:","Ҥ", $text);
		
		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);

		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		
		
		$text = str_replace("н'","ҥ", $text);
		$text = str_replace("Н'","Ҥ", $text);
		
		$text = str_replace("ң","ҥ", $text);
		$text = str_replace("Ң","Ҥ", $text);
		$text = str_replace("ӈ","ҥ", $text);
		$text = str_replace("Ӈ","Ҥ", $text);	
		$text = str_replace("ԣ","ҥ", $text);
		$text = str_replace("Ԣ","Ҥ", $text);	
		
		$text = str_replace("ў","ӹ", $text);
		$text = str_replace("Ї","Ӹ", $text);
		$text = str_replace("‰","ҥ", $text);
		$text = str_replace("ˆ","Ҥ", $text);
		$text = str_replace("ў","ӱ", $text);
		$text = str_replace("™","Ӱ", $text);
		$text = str_replace("є","ӧ", $text);
		$text = str_replace("Є","Ӧ", $text);
	}
	else if ($lang == "tat")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "А" || $x == "О" || $x == "У" || $x == "Х" || $x == "Н" || $x == "Ж" || $x == "Е"  || $x == "З" || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("а:","ә", $text);
		$text = str_replace("А:","Ә", $text);
		$text = str_replace("ӓ","ә", $text);
		$text = str_replace("Ӓ","Ә", $text);
		$text = str_replace("ӑ","ә", $text);
		$text = str_replace("Ӑ","Ә", $text);
		
		$text = str_replace("о:","ө", $text);
		$text = str_replace("О:","Ө", $text);
		$text = str_replace("ӧ","ө", $text);
		$text = str_replace("Ӧ","Ө", $text);
		
		$text = str_replace("у:","ү", $text);
		$text = str_replace("У:","ү", $text);
		$text = str_replace("ӱ","ү", $text);
		$text = str_replace("Ӱ","ү", $text);
		$text = str_replace("ӳ","ү", $text);
		$text = str_replace("Ӳ","ү", $text);
		
		$text = str_replace("н:","ң", $text);
		$text = str_replace("Н:","Ң", $text);
		$text = str_replace("н,","ң", $text);
		$text = str_replace("Н,","Ң", $text);
		
		$text = str_replace("ҥ","ң", $text);
		$text = str_replace("Ҥ","Ң", $text);
		$text = str_replace("ӈ","ң", $text);
		$text = str_replace("Ӈ","Ң", $text);
		$text = str_replace("ԣ","ң", $text);
		$text = str_replace("Ԣ","Ң", $text);
		
		$text = str_replace("ж,","җ", $text);
		$text = str_replace("Ж,","Җ", $text);
		
		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		

		$text = str_replace("ж:","җ", $text);
		$text = str_replace("Ж:","Җ", $text);
		
		$text = str_replace("х:","һ", $text);
		$text = str_replace("Х:","Һ", $text);

		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	else if ($lang == "udm")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "Ж" || $x == "З" || $x == "И" || $x == "О" ||$x == "Ч" || $x == "Е"  || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("љ","ӝ", $text);
		$text = str_replace("Љ","Ӝ", $text);
		$text = str_replace("њ","ӟ", $text);
		$text = str_replace("Њ","Ӟ", $text);
		$text = str_replace("ћ","ӥ", $text);
		$text = str_replace("Ћ","Ӥ", $text);
		$text = str_replace("ќ","ӧ", $text);
		$text = str_replace("Ќ","Ӧ", $text);
		$text = str_replace("џ","ӵ", $text);
		$text = str_replace("Џ","Ӵ", $text);
		
		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);
		
		$text = str_replace("ж:","ӝ", $text);
		$text = str_replace("Ж:","Ӝ", $text);
		$text = str_replace("з:","ӟ", $text);
		$text = str_replace("З:","Ӟ", $text);
		$text = str_replace("и:","ӥ", $text);
		$text = str_replace("И:","Ӥ", $text);
		$text = str_replace("о:","ӧ", $text);
		$text = str_replace("О:","Ӧ", $text);
		$text = str_replace("ч:","ӵ", $text);
		$text = str_replace("Ч:","Ӵ", $text);
		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	else if ($lang == "chv")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "А" || $x == "Е"|| $x == "С"|| $x == "У"  || $x == "З" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}
		
		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);

		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		
		
		$text = str_replace("а:","ӑ", $text);
		$text = str_replace("А:","Ӑ", $text);
		
		$text = str_replace("ä","ӑ", $text);
		$text = str_replace("Ä","Ӑ", $text);

		$text = str_replace("Ə","Ӑ", $text);
		$text = str_replace("ә","ӑ", $text);
		
		$text = str_replace("е:","ӗ", $text);
		$text = str_replace("Е:","Ӗ", $text);
		$text = str_replace("с:","ҫ", $text);
		$text = str_replace("С:","ҫ", $text);
		
		$text = str_replace("ӱ","ӳ", $text);
		$text = str_replace("Ӱ","Ӳ", $text);
		$text = str_replace("ү","ӳ", $text);
		$text = str_replace("Ү","Ӳ", $text);
		$text = str_replace("у:","ӳ", $text);
		$text = str_replace("У:","Ӳ", $text);		
	}
	else if ($lang == "kom")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "И"|| $x == "О"  || $x == "Е"  || $x == "З" || $x == "С" || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}

		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);

		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);
		
		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		
		
		$text = str_replace("и:","і", $text);
		$text = str_replace("И:","І", $text);
		$text = str_replace("о:","ӧ", $text);
		$text = str_replace("О:","Ӧ", $text);
		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	else if ($lang == "bak")
	{
		global $gr_c;
		global $gr_v;
		
		$lower = false;
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			if ($lower && ($x == "А" || $x == "О" || $x == "У" || $x == "Х" || $x == "Н" || $x == "Г" || $x == "К" || $x == "З" || $x == "С"  || $x == "Д" || $x == "Т"  || $x == "Е"  || $x == "Ш" || $x == "Ц"))
			{
				$x = mb_strtolower($x, "UTF-8");
				$text = mb_substr($text,0,$i,"UTF-8").$x.":".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				
				$i++;
			}
	
			if ((in_array($x, $gr_c) || in_array($x, $gr_v)) && $x == mb_strtolower($x, "UTF-8"))
				$lower = true;
			else
				$lower = false;
		}



		$text = str_replace("ц:","ч", $text);
		$text = str_replace("Ц:","Ч", $text);		

		$text = str_replace("а:","ә", $text);
		$text = str_replace("А:","Ә", $text);
		$text = str_replace("ӓ","ә", $text);
		$text = str_replace("Ӓ","Ә", $text);
		$text = str_replace("ӑ","ә", $text);
		$text = str_replace("Ӑ","Ә", $text);
		
		$text = str_replace("о:","ө", $text);
		$text = str_replace("О:","Ө", $text);
		$text = str_replace("ӧ","ө", $text);
		$text = str_replace("Ӧ","Ө", $text);
		
		$text = str_replace("у:","ү", $text);
		$text = str_replace("У:","ү", $text);
		$text = str_replace("ӱ","ү", $text);
		$text = str_replace("Ӱ","ү", $text);
		$text = str_replace("ӳ","ү", $text);
		$text = str_replace("Ӳ","ү", $text);
		
		$text = str_replace("н:","ң", $text);
		$text = str_replace("Н:","Ң", $text);
		$text = str_replace("н,","ң", $text);
		$text = str_replace("Н,","Ң", $text);
		
		$text = str_replace("ҥ","ң", $text);
		$text = str_replace("Ҥ","Ң", $text);
		$text = str_replace("ӈ","ң", $text);
		$text = str_replace("Ӈ","Ң", $text);
		$text = str_replace("ԣ","ң", $text);
		$text = str_replace("Ԣ","Ң", $text);
		
		$text = str_replace("х:","һ", $text);
		$text = str_replace("Х:","Һ", $text);

		$text = str_replace("г:","ғ", $text);
		$text = str_replace("Г:","Ғ", $text);		
		
		$text = str_replace("к:","ҡ", $text);
		$text = str_replace("К:","Ҡ", $text);			

		$text = str_replace("з:","ж", $text);
		$text = str_replace("З:","Ж", $text);			
		
		$text = str_replace("с:","ш", $text);
		$text = str_replace("С:","Ш", $text);

		$text = str_replace("ш:","щ", $text);
		$text = str_replace("Ш:","Щ", $text);
		
		$text = str_replace("д:","ҙ", $text);
		$text = str_replace("Д:","Ҙ", $text);			
		
		$text = str_replace("т:","ҫ", $text);
		$text = str_replace("Т:","Ҫ", $text);

		$text = str_replace("е:","ё", $text);
		$text = str_replace("Е:","Ё", $text);
	}
	return $text;
}

function lat_to_cyr($text, $lang) // Latin to Cyrillic
{
	$text = str_replace("’", "'", $text);
	$text = str_replace("`", "'", $text);
	$text = str_replace("´", "'", $text);
	
	if ($lang != "chv")
	{
		$text = str_replace("e:" ,"ё", $text);
		$text = str_replace("E:" ,"Ё", $text);
	}
	
	if ($lang == "kom")
	{
		$text = str_replace("ǯ" ,"dž", $text);
		$text = str_replace("ž́" ,"dź", $text);
		$text = str_replace("č" ,"tš", $text);
	}
	
	if ($lang == "myv" || $lang = "mdf")
	{
		$text = str_replace("ŋ" ,"n", $text);	
	}
	
	if ($lang == "chv")
	{
		global $gr_clat;
		
		for ($i = 0; $i < count($gr_clat); $i++)
		{
			$text = str_replace($gr_clat{$i}."E",$gr_clat{$i}."Е", $text);
			$text = str_replace($gr_clat{$i}."e",$gr_clat{$i}."е", $text);
		}
		
		$text = str_replace("a" ,"а", $text);
		$text = str_replace("ă" ,"ӑ", $text);
		$text = str_replace("b" ,"б", $text);
		$text = str_replace("v" ,"в", $text);
		$text = str_replace("g" ,"г", $text);
		$text = str_replace("d" ,"д", $text);
		$text = str_replace("je" ,"е", $text);
		$text = str_replace("ĕ" ,"ӗ", $text);
		$text = str_replace("ž" ,"ж", $text);
		$text = str_replace("z" ,"з", $text);
		$text = str_replace("i" ,"и", $text);
		$text = str_replace("j" ,"й", $text);
		$text = str_replace("k" ,"к", $text);
		$text = str_replace("l" ,"л", $text);
		$text = str_replace("m" ,"м", $text);
		$text = str_replace("n" ,"н", $text);
		$text = str_replace("o" ,"о", $text);
		$text = str_replace("p" ,"п", $text);
		$text = str_replace("r" ,"р", $text);
		$text = str_replace("s" ,"с", $text);
		$text = str_replace("ś" ,"ҫ", $text);
		$text = str_replace("t" ,"т", $text);
		$text = str_replace("u" ,"у", $text);
		$text = str_replace("ü" ,"ӳ", $text);
		$text = str_replace("f" ,"ф", $text);
		$text = str_replace("χ" ,"х", $text);
		$text = str_replace("c" ,"ц", $text);
		$text = str_replace("č́" ,"ч", $text);
		$text = str_replace("š" ,"ш", $text);
		$text = str_replace("š́š́" ,"щ", $text);
		$text = str_replace("ï" ,"ы", $text);
		$text = str_replace("e" ,"э", $text);
		$text = str_replace("ju" ,"ю", $text);
		$text = str_replace("ja" ,"я", $text);
		
		$text = str_replace("A" ,"А", $text);
		$text = str_replace("Ă" ,"Ӑ", $text);
		$text = str_replace("B" ,"Б", $text);
		$text = str_replace("V" ,"В", $text);
		$text = str_replace("G" ,"Г", $text);
		$text = str_replace("D" ,"Д", $text);
		$text = str_replace("JE" ,"Е", $text);
		$text = str_replace("Je" ,"Е", $text);
		$text = str_replace("Ĕ" ,"Ӗ", $text);
		$text = str_replace("Ž" ,"Ж", $text);
		$text = str_replace("Z" ,"З", $text);
		$text = str_replace("I" ,"И", $text);
		$text = str_replace("J" ,"Й", $text);
		$text = str_replace("K" ,"К", $text);
		$text = str_replace("L" ,"Л", $text);
		$text = str_replace("M" ,"М", $text);
		$text = str_replace("N" ,"Н", $text);
		$text = str_replace("O" ,"О", $text);
		$text = str_replace("P" ,"П", $text);
		$text = str_replace("R" ,"Р", $text);
		$text = str_replace("S" ,"С", $text);
		$text = str_replace("Ś" ,"Ҫ", $text);
		$text = str_replace("T" ,"Т", $text);
		$text = str_replace("U" ,"У", $text);
		$text = str_replace("Ü" ,"Ӳ", $text);
		$text = str_replace("F" ,"Ф", $text);
		$text = str_replace("Χ" ,"Х", $text);
		$text = str_replace("C" ,"Ц", $text);
		$text = str_replace("Č́" ,"Ч", $text);
		$text = str_replace("Š" ,"Ш", $text);
		$text = str_replace("Š́Š́" ,"Щ", $text);
		$text = str_replace("Šš́́" ,"Щ", $text);
		$text = str_replace("Ï" ,"Ы", $text);
		$text = str_replace("E" ,"Э", $text);
		$text = str_replace("JU" ,"Ю", $text);
		$text = str_replace("Ju" ,"Ю", $text);
		$text = str_replace("JA" ,"Я", $text);
		$text = str_replace("Ja" ,"Я", $text);
	}	
	else if ($lang == "bak")
	{
		$text = str_replace("å" ,"a", $text);
		$text = str_replace("Å" ,"A", $text);

		$text = str_replace("aw","aу", $text);
		$text = str_replace("ow","oу", $text);
		$text = str_replace("ə̑w","ə̑у", $text);
		$text = str_replace("uw","uу", $text);

		$text = str_replace("äw","äү", $text);
		$text = str_replace("ew","eү", $text);
		$text = str_replace("öw","öү", $text);
		$text = str_replace("iw","iү", $text);
		$text = str_replace("üw","üү", $text);		

		$text = str_replace("AW","AУ", $text);
		$text = str_replace("OW","OУ", $text);
		$text = str_replace("Ə̑W","Ə̑У", $text);
		$text = str_replace("UW","UУ", $text);

		$text = str_replace("ÄW","ÄҮ", $text);
		$text = str_replace("EW","EҮ", $text);
		$text = str_replace("ÖW","ÖҮ", $text);
		$text = str_replace("IW","IҮ", $text);
		$text = str_replace("ÜW","ÜҮ", $text);


		$text = str_replace("Aw","Aу", $text);
		$text = str_replace("Ow","Oу", $text);
		$text = str_replace("Ə̑w","Ə̑у", $text);
		$text = str_replace("Uw","Uу", $text);

		$text = str_replace("Äw","Äү", $text);
		$text = str_replace("Ew","Eү", $text);
		$text = str_replace("Öw","Öү", $text);
		$text = str_replace("Iw","Iү", $text);
		$text = str_replace("Üw","Üү", $text);

		$text = str_replace("aʔ","aъ", $text);
		$text = str_replace("oʔ","oъ", $text);
		$text = str_replace("ə̑ʔ","ə̑ъ", $text);
		$text = str_replace("uʔ","uъ", $text);
		$text = str_replace("öʔ","öъ", $text);
		
		$text = str_replace("äʔ","äь", $text);
		$text = str_replace("eʔ","eь", $text);
		$text = str_replace("iʔ","iь", $text);
		$text = str_replace("üʔ","üь", $text);		

		$text = str_replace("Aʔ","AЪ", $text);
		$text = str_replace("Oʔ","OЪ", $text);
		$text = str_replace("Ə̑ʔ","Ə̑Ъ", $text);
		$text = str_replace("Uʔ","UЪ", $text);
		$text = str_replace("Öʔ","ÖЪ", $text);
		
		$text = str_replace("Äʔ","ÄЬ", $text);
		$text = str_replace("Eʔ","EЬ", $text);
		$text = str_replace("Iʔ","IЬ", $text);
		$text = str_replace("Üʔ","ÜЬ", $text);	

		$text = str_replace("ʔa","ъa", $text);
		$text = str_replace("ʔo","ъo", $text);
		$text = str_replace("ʔə̑","ъə̑", $text);
		$text = str_replace("ʔu","ъu", $text);
		$text = str_replace("ʔö","ъö", $text);
		
		$text = str_replace("ʔä","ьä", $text);
		$text = str_replace("ʔe","ьe", $text);
		$text = str_replace("ʔi","ьi", $text);
		$text = str_replace("ʔü","ьü", $text);		

		$text = str_replace("ʔA","ЪA", $text);
		$text = str_replace("ʔO","ЪO", $text);
		$text = str_replace("ʔƏ̑","ЪƏ̑", $text);
		$text = str_replace("ʔU","ЪU", $text);
		$text = str_replace("ʔÖ","ЪÖ", $text);
		
		$text = str_replace("ʔÄ","ЬÄ", $text);
		$text = str_replace("ʔE","ЬE", $text);
		$text = str_replace("ʔI","ЬI", $text);
		$text = str_replace("ʔÜ","ЬÜ", $text);	
		
		global $gr_vlat;
		global $gr_clat;
			
		for ($i = 0; $i < count($gr_clat); $i++)
		{
			$text = str_replace($gr_clat{$i}."JE",$gr_clat{$i}."ʷЕ", $text);
			$text = str_replace($gr_clat{$i}."je",$gr_clat{$i}."ʲе", $text);
			$text = str_replace($gr_clat{$i}."E",$gr_clat{$i}."Е", $text);
			$text = str_replace($gr_clat{$i}."e",$gr_clat{$i}."е", $text);
			$text = str_replace($gr_clat{$i}."JA",$gr_clat{$i}."ʷЯ", $text);
			$text = str_replace($gr_clat{$i}."ja",$gr_clat{$i}."ʲя", $text);
			$text = str_replace($gr_clat{$i}."JU",$gr_clat{$i}."ʷЮ", $text);
			$text = str_replace($gr_clat{$i}."ju",$gr_clat{$i}."ʲю", $text);
		}
		
		$pal = 0;
		
		global $tat_pal;
		
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$x = mb_substr($text, $i, 1,"UTF-8");
			
			if ($x == "ʲ" && $pal == 1)
				$text = mb_substr($text,0,$i,"UTF-8")."ь".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if ($x == "ʲ")
				$text = mb_substr($text,0,$i,"UTF-8")."ъ".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if ($x == "ʷ" && $pal == 1)
				$text = mb_substr($text,0,$i,"UTF-8")."Ь".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if ($x == "ʷ")
				$text = mb_substr($text,0,$i,"UTF-8")."Ъ".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			else if (in_array($x,  $tat_pal))
				$pal = 1;
			else if (in_array($x,  $gr_vlat) || !in_array($x,  $gr_clat))
				$pal = 0;
		}
		
		$text = str_replace("JE","Е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("je","е", $text);
		$text = str_replace("JA","Я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("ja","я", $text);
		$text = str_replace("JU","Ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("ju","ю", $text);
		
	
		
		$text = str_replace("a" ,"а", $text);		
		$text = str_replace("ä" ,"ә", $text);		
		$text = str_replace("b" ,"б", $text);
		$text = str_replace("v" ,"в", $text);
		$text = str_replace("w" ,"в", $text);
		$text = str_replace("g" ,"г", $text);
		$text = str_replace("γ" ,"ғ", $text);
		$text = str_replace("d" ,"д", $text);
		$text = str_replace("e" ,"э", $text);
		$text = str_replace("ž" ,"ж", $text);
		$text = str_replace("z" ,"з", $text);
		$text = str_replace("i" ,"и", $text);
		$text = str_replace("j" ,"й", $text);
		$text = str_replace("k" ,"к", $text);
		$text = str_replace("q" ,"ҡ", $text);
		$text = str_replace("l" ,"л", $text);
		$text = str_replace("ɫ" ,"л", $text);
		$text = str_replace("m" ,"м", $text);
		$text = str_replace("n" ,"н", $text);
		$text = str_replace("ŋ" ,"ң", $text);
		$text = str_replace("o" ,"о", $text);
		$text = str_replace("ö" ,"ө", $text);
		$text = str_replace("p" ,"п", $text);
		$text = str_replace("r" ,"р", $text);
		$text = str_replace("s" ,"с", $text);
		$text = str_replace("t" ,"т", $text);
		$text = str_replace("u" ,"у", $text);
		$text = str_replace("ü" ,"ү", $text);
		$text = str_replace("ə̑" ,"ы", $text);
		$text = str_replace("f" ,"ф", $text);
		$text = str_replace("χ" ,"х", $text);
		$text = str_replace("h" ,"һ", $text);
		$text = str_replace("c" ,"ц", $text);
		$text = str_replace("š́" ,"ч", $text);
		$text = str_replace("š" ,"ш", $text);
		$text = str_replace("ϑ" ,"ҫ", $text);
		$text = str_replace("δ" ,"ҙ", $text);

		$text = str_replace("A" ,"А", $text);
		$text = str_replace("Ä" ,"Ә", $text);
		$text = str_replace("B" ,"Б", $text);
		$text = str_replace("V" ,"В", $text);
		$text = str_replace("W" ,"В", $text);
		$text = str_replace("G" ,"Г", $text);
		$text = str_replace("Γ" ,"Ғ", $text);
		$text = str_replace("D" ,"Д", $text);
		$text = str_replace("E" ,"Э", $text);
		$text = str_replace("Ž" ,"Ж", $text);
		$text = str_replace("Z" ,"З", $text);
		$text = str_replace("I" ,"И", $text);
		$text = str_replace("J" ,"Й", $text);
		$text = str_replace("K" ,"К", $text);
		$text = str_replace("Q" ,"Ҡ", $text);
		$text = str_replace("L" ,"Л", $text);
		$text = str_replace("Ɫ" ,"Л", $text);
		$text = str_replace("M" ,"М", $text);
		$text = str_replace("N" ,"Н", $text);
		$text = str_replace("Ŋ" ,"Ң", $text);
		$text = str_replace("O" ,"О", $text);
		$text = str_replace("Ö" ,"Ө", $text);
		$text = str_replace("P" ,"П", $text);
		$text = str_replace("R" ,"Р", $text);
		$text = str_replace("S" ,"С", $text);
		$text = str_replace("T" ,"Т", $text);
		$text = str_replace("U" ,"У", $text);
		$text = str_replace("Ü" ,"Ү", $text);
		$text = str_replace("Ə̑" ,"Ы", $text);
		$text = str_replace("F" ,"Ф", $text);
		$text = str_replace("Χ" ,"Х", $text);
		$text = str_replace("H" ,"Һ", $text);
		$text = str_replace("C" ,"Ц", $text);
		$text = str_replace("Š́" ,"Ч", $text);
		$text = str_replace("Š" ,"Ш", $text);
		$text = str_replace("Θ" ,"Ҫ", $text);
		$text = str_replace("Δ" ,"Ҙ", $text);	
	}
	else if ($lang == "tat")
	{
		$text = str_replace("åk" ,"а¤к", $text);
		$text = str_replace("ÅK" ,"А¤К", $text);
			
		$text = str_replace("o¤" ,"ə̑", $text);
		$text = str_replace("O¤" ,"Ə̑", $text);
		$text = str_replace("ö¤" ,"e", $text);
		$text = str_replace("Ö¤" ,"E", $text);
		
		$text = str_replace("b" ,"б", $text);
		$text = str_replace("v" ,"в", $text);
		$text = str_replace("g" ,"г", $text);
		$text = str_replace("γ" ,"ғ", $text);
		$text = str_replace("d" ,"д", $text);
		$text = str_replace("ž'" ,"җ", $text);
		$text = str_replace("ž" ,"ж", $text);
		$text = str_replace("z" ,"з", $text);
		$text = str_replace("i" ,"и", $text);
		$text = str_replace("k" ,"к", $text);
		$text = str_replace("q" ,"ҡ", $text);
		$text = str_replace("l" ,"л", $text);
		$text = str_replace("ɫ" ,"л", $text);
		$text = str_replace("m" ,"м", $text);
		$text = str_replace("n" ,"н", $text);
		$text = str_replace("ŋ" ,"ң", $text);
		$text = str_replace("p" ,"п", $text);
		$text = str_replace("r" ,"р", $text);
		$text = str_replace("s" ,"с", $text);
		$text = str_replace("t" ,"т", $text);
		$text = str_replace("f" ,"ф", $text);
		$text = str_replace("χ" ,"х", $text);
		$text = str_replace("h" ,"һ", $text);
		$text = str_replace("c" ,"ц", $text);
		$text = str_replace("š́" ,"ч", $text);
		$text = str_replace("š" ,"ш", $text);
		$text = str_replace("juβ" ,"◌ю", $text);
		$text = str_replace("jüβ" ,"◌ю¤", $text);
		$text = str_replace("ju" ,"◌ю", $text);
		$text = str_replace("jü" ,"◌ю¤", $text);
		$text = str_replace("uβ" ,"у", $text);
		$text = str_replace("üβ" ,"ү", $text);
		$text = str_replace("u" ,"у", $text);
		$text = str_replace("ü" ,"ү", $text);
		$text = str_replace("β" ,"в", $text);
		$text = str_replace("ja" ,"◌я", $text);
		$text = str_replace("jå" ,"◌я", $text);
		$text = str_replace("jä" ,"◌я¤", $text);
		$text = str_replace("a" ,"а", $text);
		$text = str_replace("å" ,"а", $text);
		$text = str_replace("ä" ,"ә", $text);

		$text = str_replace("ojo" ,"ое¤", $text);
		$text = str_replace("öjö" ,"өе¤", $text);		
	
		$text = str_replace("jə̑" ,"◌еъ", $text);
		$text = str_replace("je" ,"◌е", $text);
		$text = str_replace("ə̑" ,"ы", $text);
		
		$text = str_replace("j" ,"й", $text);
		$text = str_replace("o" ,"о", $text);
		$text = str_replace("ö" ,"ө", $text);

		$text = str_replace("e" ,"⊥е", $text);
	
		$text = str_replace("B" ,"Б", $text);
		$text = str_replace("V" ,"В", $text);
		$text = str_replace("G" ,"Г", $text);
		$text = str_replace("Γ" ,"Ғ", $text);
		$text = str_replace("D" ,"Д", $text);
		$text = str_replace("Ž'" ,"Җ", $text);
		$text = str_replace("Ž" ,"Ж", $text);
		$text = str_replace("Z" ,"З", $text);
		$text = str_replace("I" ,"И", $text);
		$text = str_replace("K" ,"К", $text);
		$text = str_replace("Q" ,"Ҡ", $text);
		$text = str_replace("L" ,"Л", $text);
		$text = str_replace("Ɫ" ,"Л", $text);
		$text = str_replace("M" ,"М", $text);
		$text = str_replace("N" ,"Н", $text);
		$text = str_replace("Ŋ" ,"Ң", $text);
		$text = str_replace("P" ,"П", $text);
		$text = str_replace("R" ,"Р", $text);
		$text = str_replace("S" ,"С", $text);
		$text = str_replace("T" ,"Т", $text);
		$text = str_replace("F" ,"Ф", $text);
		$text = str_replace("Χ" ,"Х", $text);
		$text = str_replace("H" ,"Һ", $text);
		$text = str_replace("C" ,"Ц", $text);
		$text = str_replace("Š́" ,"Ч", $text);
		$text = str_replace("Š" ,"Ш", $text);
		
		$text = str_replace("JUΒ" ,"◌Ю", $text);
		$text = str_replace("JÜΒ" ,"◌Ю¤", $text);
		$text = str_replace("JU" ,"◌Ю", $text);
		$text = str_replace("JÜ" ,"◌Ю¤", $text);
		$text = str_replace("UΒ" ,"У", $text);
		$text = str_replace("ÜΒ" ,"Ү", $text);
		$text = str_replace("Juβ" ,"◌Ю", $text);
		$text = str_replace("Jüβ" ,"◌Ю¤", $text);
		$text = str_replace("Ju" ,"◌Ю", $text);
		$text = str_replace("Jü" ,"◌Ю¤", $text);
		$text = str_replace("Uβ" ,"У", $text);
		$text = str_replace("Üβ" ,"Ү", $text);	
		$text = str_replace("U" ,"У", $text);
		$text = str_replace("Ü" ,"Ү", $text);
		$text = str_replace("Β" ,"В", $text);
		$text = str_replace("JA" ,"◌Я", $text);
		$text = str_replace("JÅ" ,"◌Я", $text);
		$text = str_replace("JÄ" ,"◌Я¤", $text);
		$text = str_replace("Ja" ,"◌Я", $text);
		$text = str_replace("Jå" ,"◌Я", $text);
		$text = str_replace("Jä" ,"◌Я¤", $text);
		$text = str_replace("A" ,"А", $text);
		$text = str_replace("Å" ,"А", $text);
		$text = str_replace("Ä" ,"Ә", $text);

		$text = str_replace("OJO" ,"ОЕ¤", $text);
		$text = str_replace("ÖJÖ" ,"ӨЕ¤", $text);		
		$text = str_replace("Ojo" ,"ОЕ¤", $text);
		$text = str_replace("Öjö" ,"ӨЕ¤", $text);	
			
		$text = str_replace("JƏ̑" ,"◌ЕЪ", $text);
		$text = str_replace("JE" ,"◌Е", $text);
		$text = str_replace("Jə̑" ,"◌ЕЪ", $text);
		$text = str_replace("Je" ,"◌Е", $text);
		$text = str_replace("Ə̑" ,"Ы", $text);
			
		$text = str_replace("J" ,"Й", $text);
		$text = str_replace("O" ,"О", $text);
		$text = str_replace("Ö" ,"Ө", $text);

		$text = str_replace("E" ,"⊥Е", $text);
	
		$text = str_replace("ʔ" ,"⊥ʔ", $text);
			
		global $gr_c;
			
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."⊥",$gr_c{$i}, $text);
			$text = str_replace($gr_c{$i}."◌",$gr_c{$i}."ь", $text);
		}
					
		$text = str_replace("⊥Е" ,"Э", $text);
		$text = str_replace("⊥е" ,"э", $text);
		
		$text = str_replace("⊥ʔә" ,"а¤", $text);	
		$text = str_replace("⊥ʔӘ" ,"А¤", $text);	
			
		$text = str_replace("⊥ʔ" ,"", $text);	
		
		$text = str_replace("ʔ" ,"ь", $text);
			
		$text = str_replace("АВ" ,"АВ⊥", $text);		
		$text = str_replace("Ав" ,"Ав⊥", $text);
		$text = str_replace("ав" ,"ав⊥", $text);

		$text = str_replace("ӘВ" ,"ӘВ⊥", $text);
		$text = str_replace("Әв" ,"Әв⊥", $text);
		$text = str_replace("әв" ,"әв⊥", $text);
			
		global $gr_v;
			
		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace("⊥".$gr_v{$i},$gr_v{$i}, $text);
		}
					
		$text = str_replace("АВ⊥" ,"АУ", $text);		
		$text = str_replace("Ав⊥" ,"Ау", $text);
		$text = str_replace("ав⊥" ,"ау", $text);

		$text = str_replace("ӘВ⊥" ,"ӘҮ", $text);
		$text = str_replace("Әв⊥" ,"Әү", $text);
		$text = str_replace("әв⊥" ,"әү", $text);
			
		$text = str_replace("ҡә" ,"ка¤", $text);
		$text = str_replace("Ҡә" ,"Ка¤", $text);
		$text = str_replace("ҠӘ" ,"КА¤", $text);
			
		$text = str_replace("ҡе" ,"кы¤", $text);
		$text = str_replace("Ҡе" ,"Кы¤", $text);
		$text = str_replace("ҠЕ" ,"КЫ¤", $text);
		
		$text = str_replace("ҡи" ,"кы¤й", $text);
		$text = str_replace("Ҡи" ,"Кы¤й", $text);
		$text = str_replace("ҠИ" ,"КЫ¤Й", $text);
			
		$text = str_replace("ҡө" ,"ко¤", $text);
		$text = str_replace("Ҡө" ,"Ко¤", $text);
		$text = str_replace("ҠӨ" ,"КО¤", $text);
			
		$text = str_replace("ҡү" ,"ку¤", $text);
		$text = str_replace("Ҡү" ,"Ку¤", $text);
		$text = str_replace("ҠҮ" ,"КУ¤", $text);
		
		$text = str_replace("ғә" ,"га¤", $text);
		$text = str_replace("Ғә" ,"Га¤", $text);
		$text = str_replace("ҒӘ" ,"ГА¤", $text);
			
		$text = str_replace("ғе" ,"гы¤", $text);
		$text = str_replace("Ғе" ,"Гы¤", $text);
		$text = str_replace("ҒЕ" ,"ГЫ¤", $text);
		
		$text = str_replace("ғи" ,"гы¤й", $text);
		$text = str_replace("Ғи" ,"Гы¤й", $text);
		$text = str_replace("ҒИ" ,"ГЫ¤Й", $text);
		
		$text = str_replace("ғө" ,"го¤", $text);
		$text = str_replace("Ғө" ,"Го¤", $text);
		$text = str_replace("ҒӨ" ,"ГО¤", $text);
			
		$text = str_replace("ғү" ,"гу¤", $text);
		$text = str_replace("Ғү" ,"Гу¤", $text);
		$text = str_replace("ҒҮ" ,"ГУ¤", $text);
		
		$text = str_replace("әҡ" ,"әкъ", $text);
		$text = str_replace("Әҡ" ,"Әкъ", $text);
		$text = str_replace("ӘҠ" ,"ӘКЪ", $text);
			
		$text = str_replace("еҡ" ,"екъ", $text);
		$text = str_replace("Еҡ" ,"Екъ", $text);
		$text = str_replace("ЕҠ" ,"ЕКЪ", $text);
		
		$text = str_replace("иҡ" ,"икъ", $text);
		$text = str_replace("Иҡ" ,"Икъ", $text);
		$text = str_replace("ИҠ" ,"ИКЪ", $text);

		$text = str_replace("өҡ" ,"өкъ", $text);
		$text = str_replace("Өҡ" ,"Өкъ", $text);
		$text = str_replace("ӨҠ" ,"ӨКЪ", $text);

		$text = str_replace("үҡ" ,"үкъ", $text);
		$text = str_replace("Үҡ" ,"Үкъ", $text);
		$text = str_replace("ҮҠ" ,"ҮКЪ", $text);

		$text = str_replace("әғ" ,"әгъ", $text);
		$text = str_replace("Әғ" ,"Әгъ", $text);
		$text = str_replace("ӘҒ" ,"ӘГЪ", $text);
			
		$text = str_replace("еғ" ,"егъ", $text);
		$text = str_replace("Еғ" ,"Егъ", $text);
		$text = str_replace("ЕҒ" ,"ЕГЪ", $text);
		
		$text = str_replace("иғ" ,"игъ", $text);
		$text = str_replace("Иғ" ,"Игъ", $text);
		$text = str_replace("ИҒ" ,"ИГЪ", $text);

		$text = str_replace("өғ" ,"өгъ", $text);
		$text = str_replace("Өғ" ,"Өгъ", $text);
		$text = str_replace("ӨҒ" ,"ӨГЪ", $text);

		$text = str_replace("үғ" ,"үгъ", $text);
		$text = str_replace("Үғ" ,"Үгъ", $text);
		$text = str_replace("ҮҒ" ,"ҮГЪ", $text);

			
		$text = str_replace("ИЙ" ,"И", $text);
		$text = str_replace("Ий" ,"И", $text);
		$text = str_replace("ий" ,"и", $text);
			
		global $tat_vel;
		global $tat_pal;	
		
		$velar = 0;
		$pending = 0;
		$x = "";
				
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$prev = $x;
			$x = mb_substr($text, $i, 1,"UTF-8");
			
			if ($x == "ь" && mb_strtolower($prev, "UTF-8") != $prev)
			{
				$text = mb_substr($text,0,$i,"UTF-8")."Ь".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				$x = "Ь";
			}
			
			if ($x == "ь" && $velar == 1)
			{
				$text = mb_substr($text,0,$i,"UTF-8")."ъ".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			}
			else if ($x == "Ь" && $velar == 1)
			{
				$text = mb_substr($text,0,$i,"UTF-8")."Ъ".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			}
			else if(in_array($x, $tat_pal))
			{
				$velar = 0;
			}
			else if(in_array($x, $tat_vel))
			{
				$velar = 1;
			}
				
			if ($x == "¤")
			{
				$pending = 1;
			}
			else if(in_array($x, $tat_vel) || in_array($x, $tat_pal))
			{
				$pending = 0;
			}
			else if (!in_array($x, $gr_c) && $pending == 1 && in_array($prev, $gr_c))
			{
				$add = "ь";
				
				if (mb_strtolower($prev, "UTF-8") != $prev)
					$add = "Ь";
		
				$text = mb_substr($text,0,$i,"UTF-8").$add.mb_substr($text,$i,mb_strlen($text),"UTF-8");
				$pending = 0;
			}
			
			}
	}
	else if ($lang == "rus")
	{
		$text = str_replace("Ž'Ž'","ЗЖ", $text);
		$text = str_replace("ž'ž'","зж", $text);
		
		$text = str_replace("'A" ,"Я", $text);
		$text = str_replace("'а" ,"я", $text);
		
		$text = str_replace("JA" ,"Я", $text);
		$text = str_replace("Ja" ,"Я", $text);
		$text = str_replace("ja" ,"я", $text);
		
		$text = str_replace("'E" ,"Е", $text);
		$text = str_replace("'e" ,"е", $text);
		
		$text = str_replace("JE" ,"Е", $text);
		$text = str_replace("Je" ,"Е", $text);
		$text = str_replace("je" ,"е", $text);
		
		$text = str_replace("'О" ,"Ё", $text);
		$text = str_replace("'о" ,"ё", $text);
		
		$text = str_replace("JО" ,"Ё", $text);
		$text = str_replace("Jо" ,"Ё", $text);
		$text = str_replace("jo" ,"ё", $text);

		$text = str_replace("'U" ,"Ю", $text);
		$text = str_replace("'u" ,"ю", $text);

		$text = str_replace("JU" ,"Ю", $text);
		$text = str_replace("Ju" ,"Ю", $text);
		$text = str_replace("ju" ,"ю", $text);
		
		$text = str_replace("'i","и", $text);
		$text = str_replace("'I","И", $text);
				
		$text = str_replace("'", "ь", $text);
		$text = str_replace("*", "ъ", $text);

		$text = str_replace("Š́:", "Щ", $text);
		$text = str_replace("š́:", "щ", $text);
		
		$text = str_replace("ï","ы", $text);
		$text = str_replace("Ï","Ы", $text);
		
		$text = str_replace("n","н", $text);
		$text = str_replace("N","Н", $text);
			
		$text = str_replace("a","а", $text);			
		$text = str_replace("b","б", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("e","э", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("γ","г", $text);
		$text = str_replace("i","и", $text);
		$text = str_replace("j","[й]", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("o","о", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("š","ш", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("č","ч", $text);

		$text = str_replace("A","А", $text);
		$text = str_replace("B","Б", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("E","Э", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("Γ","Г", $text);
		$text = str_replace("I","И", $text);
		$text = str_replace("J","[Й]", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("O","О", $text);
		$text = str_replace("P","П", $text);
		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("U","У", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("Z","З", $text);

		$text = str_replace("Š","Ш", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Č","Ч", $text);
		
		global $gr_v;

		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace($gr_v{$i}."[",$gr_v{$i}, $text);
			$text = str_replace("]".$gr_v{$i},$gr_v{$i}, $text);
		}
		
		$text = str_replace("[Й]","Ь", $text);
		$text = str_replace("[й]","ь", $text);
	}
	else if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("ń","n'", $text);
		$text = str_replace("Ń","N'", $text);
		$text = str_replace("ś","s'", $text);
		$text = str_replace("Ś","S'", $text);
		$text = str_replace("ź","z'", $text);
		$text = str_replace("Ź","Z'", $text);
			

		$text = str_replace("'j","ьj", $text);
		$text = str_replace("'J","ЬJ", $text);

		$text = str_replace("e̮","ӧ", $text);
		$text = str_replace("E̮","Ӧ", $text);
		
		$text = str_replace("jӧ","йӧ", $text);
		$text = str_replace("Jӧ","Йӧ", $text);
		$text = str_replace("JӦ","ЙӦ", $text);


		$text = str_replace("i̮","ы", $text);
		$text = str_replace("I̮","Ы", $text);		
		
		$text = str_replace("jы","йы", $text);
		$text = str_replace("Jы","Йы", $text);		
		$text = str_replace("JЫ","ЙЫ", $text);
		
		global $udm_cl;
		
		for ($i = 0; $i < count($udm_cl); $i++)
		{
			$text = str_replace($udm_cl{$i}."j",$udm_cl{$i}."ъj", $text);
			$text = str_replace($udm_cl{$i}."J",$udm_cl{$i}."ЪJ", $text);
		}
		
		$text = str_replace("ja","я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("JA","Я", $text);
		$text = str_replace("'a","я", $text);
		$text = str_replace("'A","Я", $text);
		$text = str_replace("a","а", $text);
		$text = str_replace("A","А", $text);
		
		$text = str_replace("ju","ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("JU","Ю", $text);
		$text = str_replace("'u","ю", $text);
		$text = str_replace("'U","Ю", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("U","У", $text);
		
		$text = str_replace("jo","ё", $text);
		$text = str_replace("Jo","Ё", $text);
		$text = str_replace("JO","Ё", $text);
		$text = str_replace("'o","ё", $text);
		$text = str_replace("'O","Ё", $text);
		$text = str_replace("'o","о", $text);
		$text = str_replace("'O","О", $text);
		
		$text = str_replace("'i","и", $text);
		$text = str_replace("'I","И", $text);
		
		$text = str_replace("li","лӥ", $text);
		$text = str_replace("Li","Лӥ", $text);
		$text = str_replace("LI","ЛӤ", $text);

		$text = str_replace("ni","нӥ", $text);
		$text = str_replace("Ni","Нӥ", $text);
		$text = str_replace("NI","НӤ", $text);

		$text = str_replace("si","сӥ", $text);
		$text = str_replace("Si","Сӥ", $text);
		$text = str_replace("SI","СӤ", $text);

		$text = str_replace("zi","зӥ", $text);
		$text = str_replace("Zi","Зӥ", $text);
		$text = str_replace("ZI","ЗӤ", $text);

		$text = str_replace("di","дӥ", $text);
		$text = str_replace("Di","Дӥ", $text);
		$text = str_replace("DI","ДӤ", $text);

		$text = str_replace("ti","тӥ", $text);
		$text = str_replace("Ti","Тӥ", $text);
		$text = str_replace("TI","ТӤ", $text);
		
		$text = str_replace("i","и", $text);
		$text = str_replace("I","И", $text);
		
		$text = str_replace("je","е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("JE","Е", $text);
		$text = str_replace("'e","е", $text);
		$text = str_replace("'E","Е", $text);
		
		
		
		$text = str_replace("le","лэ", $text);
		$text = str_replace("Le","Лэ", $text);
		$text = str_replace("LE","ЛЭ", $text);

		$text = str_replace("ne","нэ", $text);
		$text = str_replace("Ne","Нэ", $text);
		$text = str_replace("NE","НЭ", $text);

		$text = str_replace("se","сэ", $text);
		$text = str_replace("Se","Сэ", $text);
		$text = str_replace("SE","СЭ", $text);

		$text = str_replace("ze","зэ", $text);
		$text = str_replace("Ze","Зэ", $text);
		$text = str_replace("ZE","ЗЭ", $text);

		$text = str_replace("de","дэ", $text);
		$text = str_replace("De","Дэ", $text);
		$text = str_replace("DE","ДЭ", $text);

		$text = str_replace("te","тэ", $text);
		$text = str_replace("Te","Тэ", $text);
		$text = str_replace("TE","ТЭ", $text);
		
		
		$text = str_replace("'","ь", $text);
			
		$text = str_replace("b","б", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("ǯ","ӝ", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("ʒ́","ӟ", $text);
		$text = str_replace("j","й", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("n","н", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("č́","ч", $text);
		$text = str_replace("č","ӵ", $text);
		$text = str_replace("š","ш", $text);
		$text = str_replace("š'š'","щ", $text);
										
		$text = str_replace("B","Б", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Ǯ","Ӝ", $text);
		$text = str_replace("Z","З", $text);
		$text = str_replace("Ʒ́","Ӟ", $text);
		$text = str_replace("J","Й", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("N","Н", $text);
		$text = str_replace("P","П", $text);
		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("Č́","Ч", $text);
		$text = str_replace("Č","Ӵ", $text);
		$text = str_replace("Š","Ш", $text);
		$text = str_replace("Š'Š'","Щ", $text);
		$text = str_replace("Š'š'","Щ", $text);

		$text = str_replace("льль","лль", $text);		
		$text = str_replace("ЛЬЛЬ","ЛЛЬ", $text);	

		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."e",$gr_c{$i}."е", $text);
			$text = str_replace($gr_c{$i}."E",$gr_c{$i}."Е", $text);
		}

		$text = str_replace("e","э", $text);
		$text = str_replace("E","Э", $text);		
			
	}
	else
	{

		$text = str_replace("t'ä" ,"t'a", $text);
		$text = str_replace("T'Ä" ,"T'A", $text);		
		$text = str_replace("n'ä" ,"n'a", $text);
		$text = str_replace("N'Ä" ,"N'A", $text);
		$text = str_replace("l'ä" ,"l'a", $text);
		$text = str_replace("L'Ä" ,"L'A", $text);
		
		$text = str_replace("č́" ,"č", $text);
		$text = str_replace("Č́" ,"Č", $text);

	
		$text = str_replace("ń" ,"n'", $text);
		$text = str_replace("ĺ" ,"l'", $text);
		$text = str_replace("ć" ,"c'", $text);
		$text = str_replace("ŕ" ,"r'", $text);
		$text = str_replace("ś" ,"s'", $text);
		$text = str_replace("ź" ,"z'", $text);		
		$text = str_replace("ḿ" ,"m'", $text);			
		$text = str_replace("ṕ" ,"p'", $text);	

		$text = str_replace("Ń" ,"N'", $text);
		$text = str_replace("Ĺ" ,"L'", $text);
		$text = str_replace("Ć" ,"C'", $text);
		$text = str_replace("Ŕ" ,"R'", $text);
		$text = str_replace("Ś" ,"S'", $text);
		$text = str_replace("Ź" ,"Z'", $text);		
		$text = str_replace("Ḿ" ,"M'", $text);			
		$text = str_replace("Ṕ" ,"P'", $text);	
	
		$text = str_replace("ʟ'" ,"льх", $text);
		$text = str_replace("ʟ" ,"лх", $text);
		$text = str_replace("ʀ́" ,"рьх", $text);		
		$text = str_replace("ʀ" ,"рх", $text);			
		$text = str_replace("ᴊ" ,"йх", $text);	
		
		
		$text = str_replace("'e","e", $text);
		$text = str_replace("'i","i", $text);

		$text = str_replace("'qqqqe","qqqqe", $text);
		$text = str_replace("'qqqqi","qqqqi", $text);
		
		$text = str_replace("je","е", $text);
		$text = str_replace("Je","Е", $text);
		$text = str_replace("JE","Е", $text);
		
		if ($lang == "mdf")
		{
			$text = str_replace("'ä" ,"я", $text);
			$text = str_replace("'Ä" ,"Я", $text);			

			$text = str_replace("ä" ,"я", $text);
			$text = str_replace("Ä" ,"Я", $text);		
		}
		

		$last = "|";
		
		if (strlen($text) > 1)
			$c = $text{strlen($text)-2};
		else
			$c = "";
		
		for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
		{
			$c = mb_substr($text, $i, 1,"UTF-8");

			if ($c == "e")
			{
				if (!is_clat($last) && !is_c($last))
					$text = mb_substr($text,0,$i,"UTF-8")."э".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
				else
					$text = mb_substr($text,0,$i,"UTF-8")."е".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			}
			else if ($c == "E")
			{
				if (!is_clat($last) && !is_c($last))
					$text = mb_substr($text,0,$i,"UTF-8")."Э".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
				else
					$text = mb_substr($text,0,$i,"UTF-8")."Е".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
			}
			
			$last = $c;
		}
		
		$text = str_replace("qqqq", "", $text);
			
		$text = str_replace("Š́:", "Щ", $text);
		$text = str_replace("š́:", "щ", $text);
				
		$text = str_replace("ja","я", $text);
		$text = str_replace("Ja","Я", $text);
		$text = str_replace("JA","Я", $text);

		$text = str_replace("'a","я", $text);
		$text = str_replace("'A","Я", $text);
		
		$text = str_replace("ju","ю", $text);
		$text = str_replace("Ju","Ю", $text);
		$text = str_replace("JU","Ю", $text);

		$text = str_replace("'u","ю", $text);
		$text = str_replace("'U","Ю", $text);
		
		$text = str_replace("ö","ӧ", $text);
		$text = str_replace("Ö","Ӧ", $text);	

		$text = str_replace("ü","ӱ", $text);
		$text = str_replace("Ü","Ӱ", $text);
		
		$text = str_replace("'", "ь", $text);
		$text = str_replace("*", "ъ", $text);

		$text = str_replace("ä","ӓ", $text);
		$text = str_replace("Ä","Ӓ", $text);
		
		$text = str_replace("ə̑","ы", $text);
		$text = str_replace("Ə̑","Ы", $text);
		$text = str_replace("ə","ӹ", $text);
		$text = str_replace("Ə","Ӹ", $text);
		
		$text = str_replace("lj","ль", $text);
		$text = str_replace("Lj","Ль", $text);
		$text = str_replace("LJ","ЛЬ", $text);
					
		$text = str_replace("nj","нь", $text);
		$text = str_replace("Nj","Нь", $text);
		$text = str_replace("NJ","НЬ", $text);

		$text = str_replace("tj","ть", $text);
		$text = str_replace("Tj","Ть", $text);
		$text = str_replace("TJ","ТЬ", $text);
		
		$text = str_replace("n","н", $text);
		$text = str_replace("N","Н", $text);
	
		$text = str_replace("ŋ","ҥ", $text);
		$text = str_replace("Ŋ","Ҥ", $text);

		$text = str_replace("a","а", $text);
		$text = str_replace("b","б", $text);
		$text = str_replace("c","ц", $text);
		$text = str_replace("d","д", $text);
		$text = str_replace("f","ф", $text);
		$text = str_replace("g","г", $text);
		$text = str_replace("h","х", $text);
		$text = str_replace("i","и", $text);
		$text = str_replace("j","[й]", $text);
		$text = str_replace("k","к", $text);
		$text = str_replace("l","л", $text);
		$text = str_replace("m","м", $text);
		$text = str_replace("o","о", $text);
		$text = str_replace("p","п", $text);
		$text = str_replace("q","ӹ", $text);
		$text = str_replace("r","р", $text);
		$text = str_replace("s","с", $text);
		$text = str_replace("t","т", $text);
		$text = str_replace("u","у", $text);
		$text = str_replace("v","в", $text);
		$text = str_replace("w","в", $text);
		$text = str_replace("x","х", $text);
		$text = str_replace("χ","х", $text);
		$text = str_replace("z","з", $text);
		$text = str_replace("š","ш", $text);
		$text = str_replace("ž","ж", $text);
		$text = str_replace("č","ч", $text);

		$text = str_replace("A","А", $text);
		$text = str_replace("B","Б", $text);
		$text = str_replace("C","Ц", $text);
		$text = str_replace("D","Д", $text);
		$text = str_replace("F","Ф", $text);
		$text = str_replace("G","Г", $text);
		$text = str_replace("H","Х", $text);
		$text = str_replace("I","И", $text);
		$text = str_replace("J","[Й]", $text);
		$text = str_replace("K","К", $text);
		$text = str_replace("L","Л", $text);
		$text = str_replace("M","М", $text);
		$text = str_replace("O","О", $text);
		$text = str_replace("P","П", $text);

		$text = str_replace("R","Р", $text);
		$text = str_replace("S","С", $text);
		$text = str_replace("T","Т", $text);
		$text = str_replace("U","У", $text);
		$text = str_replace("V","В", $text);
		$text = str_replace("W","В", $text);
		$text = str_replace("X","Х", $text);
		$text = str_replace("Χ","Х", $text);
		$text = str_replace("Z","З", $text);

		$text = str_replace("Š","Ш", $text);
		$text = str_replace("Ž","Ж", $text);
		$text = str_replace("Č","Ч", $text);
		
		global $gr_v;

		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace($gr_v{$i}."[",$gr_v{$i}, $text);
			$text = str_replace("]".$gr_v{$i},$gr_v{$i}, $text);
		}
		
		$text = str_replace("[Й]","Ь", $text);
		$text = str_replace("[й]","ь", $text);
		
		$text = str_replace("Й]","Й", $text);
		$text = str_replace("й]","й", $text);

		$text = str_replace("[Й","Й", $text);
		$text = str_replace("[й","й", $text);
	}
	
	return $text;
}

function cyr_to_lat($text, $lang, $assim)
{
	
	$text = str_replace("¤", "'", $text);
	
	if ($lang == "tat" || $lang == "bak")
	{
		if ($lang == "tat" )
		{
			$text = str_replace("ЮК", "ЮҠ", $text);
			$text = str_replace("Юк", "Юҡ", $text);
			$text = str_replace("юк", "юҡ", $text);

			$text = str_replace("ЯК", "ЯҠ", $text);
			$text = str_replace("Як", "Яҡ", $text);
			$text = str_replace("як", "яҡ", $text);		

			$text = str_replace("ГА", "ҒА", $text);
			$text = str_replace("Га", "Ға", $text);
			$text = str_replace("га", "ға", $text);

			$text = str_replace("КА", "ҠА", $text);
			$text = str_replace("Ка", "Ҡа", $text);
			$text = str_replace("ка", "ҡа", $text);		

			$text = str_replace("ГЫ", "ҒЫ", $text);
			$text = str_replace("Гы", "Ғы", $text);
			$text = str_replace("гы", "ғы", $text);

			$text = str_replace("КЫ", "ҠЫ", $text);
			$text = str_replace("Кы", "Ҡы", $text);
			$text = str_replace("кы", "ҡы", $text);	

			$text = str_replace("ГО", "ҒО", $text);
			$text = str_replace("Го", "Ғо", $text);
			$text = str_replace("го", "ғо", $text);

			$text = str_replace("КО", "ҠО", $text);
			$text = str_replace("Ко", "Ҡо", $text);
			$text = str_replace("ко", "ҡо", $text);	

			$text = str_replace("ГУ", "ҒУ", $text);
			$text = str_replace("Гу", "Ғу", $text);
			$text = str_replace("гу", "ғу", $text);
			
			$text = str_replace("КУ", "ҠУ", $text);
			$text = str_replace("Ку", "Ҡу", $text);
			$text = str_replace("ку", "ҡу", $text);			
			
			$text = str_replace("АГ", "АҒ", $text);
			$text = str_replace("Аг", "Ағ", $text);
			$text = str_replace("аг", "ағ", $text);

			$text = str_replace("АК", "АҠ", $text);
			$text = str_replace("Ак", "Аҡ", $text);
			$text = str_replace("ак", "аҡ", $text);		

			$text = str_replace("ЫГ", "ЫҒ", $text);
			$text = str_replace("Ыг", "Ығ", $text);
			$text = str_replace("ыг", "ығ", $text);

			$text = str_replace("ЫК", "ЫҠ", $text);
			$text = str_replace("Ык", "Ыҡ", $text);
			$text = str_replace("ык", "ыҡ", $text);	

			$text = str_replace("ОГ", "ОҒ", $text);
			$text = str_replace("Ог", "Оғ", $text);
			$text = str_replace("ог", "оғ", $text);

			$text = str_replace("ОК", "ОҠ", $text);
			$text = str_replace("Ок", "Оҡ", $text);
			$text = str_replace("ок", "оҡ", $text);	

			$text = str_replace("УГ", "УҒ", $text);
			$text = str_replace("Уг", "Уғ", $text);
			$text = str_replace("уг", "уғ", $text);
			
			$text = str_replace("УК", "УҠ", $text);
			$text = str_replace("Ук", "Уҡ", $text);
			$text = str_replace("ук", "уҡ", $text);			
			
			$text = str_replace("ЫЙК", "ЫЙҠ", $text);
			$text = str_replace("ыйк", "ыйҡ", $text);
			
			$text = str_replace("ЫЙГ", "ЫЙҒ", $text);
			$text = str_replace("ыйг", "ыйғ", $text);	
				
			$text = str_replace("АУ", "AΒ", $text);
			$text = str_replace("Ау", "Aβ", $text);
			$text = str_replace("ау", "aβ", $text);
		
			$text = str_replace("ӘҮ", "ÄΒ", $text);
			$text = str_replace("Әү", "Äβ", $text);
			$text = str_replace("әү", "äβ", $text);
			
			$text = str_replace("ЙЕ", "JJE", $text);
			$text = str_replace("Йе", "Jje", $text);
			$text = str_replace("йе", "jje", $text);
			
			$text = str_replace("ИИ", "IJИ", $text);
			$text = str_replace("Ии", "Ijи", $text);
			$text = str_replace("ии", "ijи", $text);
		
			$text = str_replace("АЕ", "АJƏ̑", $text);
			$text = str_replace("Ае", "Аjə̑", $text);
			$text = str_replace("ае", "аjə̑", $text);
			
			$text = str_replace("ӘЕ", "ÄJE", $text);
			$text = str_replace("Әе", "Äje", $text);
			$text = str_replace("әе", "äje", $text);

			$text = str_replace("ЕЕ", "EJE", $text);
			$text = str_replace("Ее", "Eje", $text);
			$text = str_replace("ее", "eje", $text);

			$text = str_replace("ИЕ", "IJE", $text);
			$text = str_replace("Ие", "Ije", $text);
			$text = str_replace("ие", "ije", $text);

			$text = str_replace("ОЕ", "OJO", $text);
			$text = str_replace("Ое", "Ojo", $text);
			$text = str_replace("ое", "ojo", $text);

			$text = str_replace("ӨЕ", "ÖJÖ", $text);
			$text = str_replace("Өе", "Öjö", $text);
			$text = str_replace("өе", "öjö", $text);

			$text = str_replace("УЕ", "UJƏ̑", $text);
			$text = str_replace("Уе", "Ujə̑", $text);
			$text = str_replace("уе", "ujə̑", $text);
			

			$text = str_replace("ҮЕ", "ÜJE", $text);
			$text = str_replace("Үе", "Üje", $text);
			$text = str_replace("үе", "üje", $text);

			$text = str_replace("ЫЕ", "Ə̑JƏ̑", $text);
			$text = str_replace("Ые", "Ə̑jə̑", $text);
			$text = str_replace("ые", "ə̑jə̑", $text);
			
			$text = str_replace("АЮ", "АJU⊥", $text);
			$text = str_replace("Аю", "Аju⊥", $text);
			$text = str_replace("аю", "аju⊥", $text);
			
			$text = str_replace("ӘЮ", "ÄJÜ⊥", $text);
			$text = str_replace("Әю", "Äjü⊥", $text);
			$text = str_replace("әю", "äjü⊥", $text);

			$text = str_replace("ЕЮ", "EJÜ⊥", $text);
			$text = str_replace("Ею", "Ejü⊥", $text);
			$text = str_replace("ею", "ejü⊥", $text);

			$text = str_replace("ИЮ", "IJÜ⊥", $text);
			$text = str_replace("Ию", "Ijü⊥", $text);
			$text = str_replace("ию", "ijü⊥", $text);
		
			$text = str_replace("ОЮ", "OJU⊥", $text);
			$text = str_replace("Ою", "Oju⊥", $text);
			$text = str_replace("ою", "oju⊥", $text);

			$text = str_replace("ӨЮ", "ÖJÜ⊥", $text);
			$text = str_replace("Өю", "Öjü⊥", $text);
			$text = str_replace("өю", "öjü⊥", $text);

			$text = str_replace("УЮ", "UJU⊥", $text);
			$text = str_replace("Ую", "Uju⊥", $text);
			$text = str_replace("ую", "uju⊥", $text);

			$text = str_replace("ҮЮ", "ÜJÜ⊥", $text);
			$text = str_replace("Үю", "Üjü⊥", $text);
			$text = str_replace("үю", "üjü⊥", $text);

			$text = str_replace("ЫЮ", "Ə̑JU⊥", $text);
			$text = str_replace("Ыю", "Ə̑ju⊥", $text);
			$text = str_replace("ыю", "ə̑ju⊥", $text);

			$text = str_replace("АЯ", "АJA", $text);
			$text = str_replace("Ая", "Аja", $text);
			$text = str_replace("ая", "аja", $text);
			
			$text = str_replace("ӘЯ", "ÄJÄ", $text);
			$text = str_replace("Әя", "Äjä", $text);
			$text = str_replace("әя", "äjä", $text);

			$text = str_replace("ЕЯ", "EJÄ", $text);
			$text = str_replace("Ея", "Ejä", $text);
			$text = str_replace("ея", "ejä", $text);

			$text = str_replace("ИЯ", "IJÄ", $text);
			$text = str_replace("Ия", "Ijä", $text);
			$text = str_replace("ия", "ijä", $text);

			$text = str_replace("ОЯ", "OJA", $text);
			$text = str_replace("Оя", "Oja", $text);
			$text = str_replace("оя", "oja", $text);

			$text = str_replace("ӨЯ", "ÖJÄ", $text);
			$text = str_replace("Өя", "Öjä", $text);
			$text = str_replace("өя", "öjä", $text);

			$text = str_replace("УЯ", "UJA", $text);
			$text = str_replace("Уя", "Uja", $text);
			$text = str_replace("уя", "uja", $text);

			$text = str_replace("ҮЯ", "ÜJÄ", $text);
			$text = str_replace("Үя", "Üjä", $text);
			$text = str_replace("үя", "üjä", $text);

			$text = str_replace("ЫЯ", "Ə̑JA", $text);
			$text = str_replace("Ыя", "Ə̑ja", $text);
			$text = str_replace("ыя", "ə̑ja", $text);

			$text = str_replace("ЪЯ", "Ъ⊥JA", $text);
			$text = str_replace("ъя", "ъ⊥ja", $text);

			$text = str_replace("ЬЯ", "Ь⊥JA", $text);
			$text = str_replace("ья", "ь⊥ja", $text);		
		
			$text = str_replace("ЪЮ", "Ъ⊥JU", $text);
			$text = str_replace("ъю", "ъ⊥ju", $text);

			$text = str_replace("ЬЮ", "Ь⊥JU", $text);
			$text = str_replace("ью", "ь⊥ju", $text);	

			$text = str_replace("ЪЕ", "Ъ⊥JU", $text);
			$text = str_replace("ъе", "ъ⊥ju", $text);

			$text = str_replace("ЬЕ", "Ь⊥JƏ̑", $text);
			$text = str_replace("ье", "ь⊥jə̑", $text);
		
			$text = str_replace("Я", "Ja", $text);
			$text = str_replace("я", "ja", $text);
		
			$text = str_replace("Ю", "Ju", $text);
			$text = str_replace("ю", "ju", $text);

			$text = str_replace("Е", "⊥Е", $text);
			$text = str_replace("е", "⊥e", $text);

			$text = str_replace("У", "U⊥", $text);
			$text = str_replace("у", "u⊥", $text);
			
			$text = str_replace("Ү", "Ü⊥", $text);
			$text = str_replace("ү", "ü⊥", $text);

			$text = str_replace("И", "И⊥", $text);
			$text = str_replace("и", "i⊥", $text);
			
			global $gr_c;
			
			for ($i = 0; $i < count($gr_c); $i++)
			{
				$text = str_replace($gr_c{$i}."⊥",$gr_c{$i}, $text);
				$text = str_replace("⊥".$gr_c{$i},$gr_c{$i}, $text);
			}
		
	
			$text = str_replace("⊥E", "Jə̑", $text);
			$text = str_replace("⊥e", "jə̑", $text);		
			
			$text = str_replace("⊥E", "Jə̑", $text);
			$text = str_replace("⊥e", "jə̑", $text);
	
			$text = str_replace("U⊥", "Uβ", $text);
			$text = str_replace("u⊥", "uβ", $text);
			
			$text = str_replace("Ü⊥", "Üβ", $text);
			$text = str_replace("ü⊥", "üβ", $text);

			$text = str_replace("I⊥", "Ij", $text);
			$text = str_replace("i⊥", "ij", $text);
		
			$text = str_replace("АҠЬ", "ÅK", $text);
			$text = str_replace("аҡь", "åk", $text);

			$text = str_replace("КЪ", "Ҡ", $text);
			$text = str_replace("Къ", "Ҡ", $text);
			$text = str_replace("къ", "ҡ", $text);

			$text = str_replace("ГЪ", "Ғ", $text);
			$text = str_replace("Гъ", "Ғ", $text);
			$text = str_replace("гъ", "ғ", $text);

			$text = str_replace("ӨА", "Ө⊥Ә", $text);
			$text = str_replace("өа", "ө⊥ә", $text);
		
			$text = str_replace("Э", "⊥E", $text);
			$text = str_replace("э", "⊥e", $text);
			
			$text = str_replace("Ъ", "Ъ⊥", $text);
			$text = str_replace("ъ", "ъ⊥", $text);	
			
			$text = str_replace("Ь", "Ь⊥", $text);
			$text = str_replace("ь", "ь⊥", $text);	
			
			global $gr_v;

			for ($i = 0; $i < count($gr_v); $i++)
			{
				$text = str_replace($gr_v{$i}."⊥",$gr_v{$i}."ʔ", $text);
				$text = str_replace("⊥".$gr_v{$i},"ʔ".$gr_v{$i}, $text);
			}
		
		}
		else
		{
			$text = str_replace("ЪЯ", "JA", $text);
			$text = str_replace("ъя", "ja", $text);

			$text = str_replace("ЪЮ", "JU", $text);
			$text = str_replace("ъю", "ju", $text);		

			$text = str_replace("ЪЕ", "JE", $text);
			$text = str_replace("ъе", "je", $text);

			$text = str_replace("ЬЯ", "JA", $text);
			$text = str_replace("ья", "ja", $text);

			$text = str_replace("ЬЮ", "JU", $text);
			$text = str_replace("ью", "ju", $text);		

			$text = str_replace("ЬЕ", "JE", $text);
			$text = str_replace("ье", "je", $text);
			
			$text = str_replace("Я", "Ja", $text);
			$text = str_replace("я", "ja", $text);

			$text = str_replace("Ю", "Ju", $text);
			$text = str_replace("ю", "ju", $text);		


	
			global $gr_c;

			for ($i = 0; $i < count($gr_c); $i++)
			{
				$text = str_replace($gr_c{$i}."Е",$gr_c{$i}."E", $text);
				$text = str_replace($gr_c{$i}."е",$gr_c{$i}."e", $text);
			}

			$text = str_replace("Е", "Je", $text);
			$text = str_replace("е", "je", $text);	
	

			$text = str_replace("ъ", "ʔ", $text);		
			$text = str_replace("ь", "ʔ", $text);
			
			global $gr_v;

			for ($i = 0; $i < count($gr_v); $i++)
			{
				$text = str_replace($gr_v{$i}."У",$gr_v{$i}."Β", $text);
				$text = str_replace($gr_v{$i}."Ү",$gr_v{$i}."Β", $text);
				$text = str_replace($gr_v{$i}."у",$gr_v{$i}."β", $text);
				$text = str_replace($gr_v{$i}."ү",$gr_v{$i}."β", $text);	
			}
			
			
			$text = str_replace("и", "i", $text);
			$text = str_replace("И", "I", $text);
		}
		
		$text = str_replace("а", "a", $text);
		$text = str_replace("ә", "ä", $text);
		$text = str_replace("б", "b", $text);
		$text = str_replace("в", "β", $text);
		$text = str_replace("д", "d", $text);
		$text = str_replace("ж", "ž", $text);
		$text = str_replace("җ", "ž'", $text);
		$text = str_replace("з", "z", $text);
		$text = str_replace("й", "j", $text);
		$text = str_replace("л", "ɫ", $text);
		$text = str_replace("м", "m", $text);
		$text = str_replace("н", "n", $text);
		$text = str_replace("ң", "ŋ", $text);
		$text = str_replace("о", "o", $text);
		$text = str_replace("ө", "ö", $text);
		$text = str_replace("п", "p", $text);
		$text = str_replace("р", "r", $text);
		$text = str_replace("с", "s", $text);
		$text = str_replace("т", "t", $text);
		$text = str_replace("у", "u", $text);
		$text = str_replace("ү", "ü", $text);
		$text = str_replace("ф", "f", $text);
		$text = str_replace("х", "χ", $text);
		$text = str_replace("һ", "h", $text);
		$text = str_replace("ц", "c", $text);
		$text = str_replace("ч", "š'", $text);
		$text = str_replace("ш", "š", $text);
		$text = str_replace("щ", "š'š'", $text);
		$text = str_replace("ы", "ə̑", $text);
		$text = str_replace("А", "A", $text);
		$text = str_replace("Ә", "Ä", $text);
		$text = str_replace("Б", "B", $text);
		$text = str_replace("В", "Β", $text);
		$text = str_replace("Д", "D", $text);
		$text = str_replace("Ж", "Ž", $text);
		$text = str_replace("Җ", "Ž'", $text);
		$text = str_replace("З", "Z", $text);
		$text = str_replace("Й", "J", $text);
		$text = str_replace("Л", "Ɫ", $text);
		$text = str_replace("М", "M", $text);
		$text = str_replace("Н", "N", $text);
		$text = str_replace("Ң", "Ŋ", $text);
		$text = str_replace("О", "O", $text);
		$text = str_replace("Ө", "Ö", $text);
		$text = str_replace("П", "P", $text);
		$text = str_replace("Р", "R", $text);
		$text = str_replace("С", "S", $text);
		$text = str_replace("Т", "T", $text);
		$text = str_replace("У", "U", $text);
		$text = str_replace("Ү", "Ü", $text);
		$text = str_replace("Ф", "F", $text);
		$text = str_replace("Х", "Χ", $text);
		$text = str_replace("Һ", "H", $text);
		$text = str_replace("Ц", "C", $text);
		$text = str_replace("Ч", "Š'", $text);
		$text = str_replace("Ш", "Š", $text);
		$text = str_replace("Щ", "Š'š'", $text);
		$text = str_replace("Ы", "Ə̑", $text);
		
		$text = str_replace("к", "k", $text);
		$text = str_replace("К", "K", $text);	

		$text = str_replace("г", "g", $text);
		$text = str_replace("Г", "G", $text);

		$text = str_replace("ҡ", "q", $text);
		$text = str_replace("Ҡ", "Q", $text);

		$text = str_replace("ғ", "γ", $text);
		$text = str_replace("Ғ", "Γ", $text);
		
		
		$text = str_replace("ҙ", "δ", $text);
		$text = str_replace("Ҙ", "Δ", $text);
		
		$text = str_replace("ҫ", "ϑ", $text);
		$text = str_replace("Ҫ", "Θ", $text);
		
		$text = str_replace("Ё", "Йo", $text);	
		$text = str_replace("ё", "йo", $text);	
		
		if ($lang == "tat" )
		{
			global $gr_clat;
			global $tat_vel;
			global $tat_pal;
			$palatal = 0;
			
			for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x, $tat_pal))
				{
					$palatal = 1;
				}
				else if (in_array($x, $tat_vel))
				{
					if ($x == "ъ" || $x == "Ъ")
						$palatal = 0;
					else if ($palatal == 1)
						$text = mb_substr($text,0,$i+1,"UTF-8")."¤".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				}
				else if (!in_array($x, $gr_clat))
				{
					$palatal = 0;
				}
			}
			
			$text = str_replace("¤̑¤", "̑¤", $text);

			$text = str_replace("Ə̑¤J", "I", $text);
			$text = str_replace("Ə̑¤j", "I", $text);
			$text = str_replace("ə̑¤j", "i", $text);

			$text = str_replace("a¤", "ä", $text);
			$text = str_replace("ə̑¤", "e", $text);
			$text = str_replace("o¤", "ö", $text);
			$text = str_replace("u¤", "ü", $text);
			
			$text = str_replace("A¤", "Ä", $text);
			$text = str_replace("Ə̑¤", "E", $text);
			$text = str_replace("O¤", "Ö", $text);
			$text = str_replace("U¤", "Ü", $text);
			
			if ($assim)
			{
				$text = str_replace("NB", "MB", $text);
				$text = str_replace("nb", "mb", $text);
				$text = str_replace("NM", "MM", $text);
				$text = str_replace("nm", "mm", $text);
			}

			$text = tat_prep($text);
		}
		else
			$text = bash_prep($text);
	}
	else if ($lang == "myv" || $lang == "mdf")
	{
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);

		$text = str_replace("'", "ʲ", $text);
		
		
		global $gr_c;
		global $mor_pal;
		
		if ($lang == "mdf")
		{
			for ($i = 0; $i < count($gr_c); $i++)
			{
				if (in_array($gr_c{$i},  $mor_pal))
				{
					$text = str_replace($gr_c{$i}."я",$gr_c{$i}."јä", $text);
					$text = str_replace($gr_c{$i}."Я",$gr_c{$i}."ЈÄ", $text);
				}
				else
				{
					$text = str_replace($gr_c{$i}."я",$gr_c{$i}."ä", $text);
					$text = str_replace($gr_c{$i}."Я",$gr_c{$i}."Ä", $text);
				}
			}
		}
		
		
		$text = str_replace("е", "јe", $text);
		$text = str_replace("ё", "јo", $text);
		$text = str_replace("и", "јi", $text);
		$text = str_replace("ю", "јu", $text);
		$text = str_replace("я", "јa", $text);		
		$text = str_replace("ь", "ј", $text);

		$text = str_replace("Е", "Јe", $text);
		$text = str_replace("Ё", "Јo", $text);
		$text = str_replace("И", "Јi", $text);
		$text = str_replace("Ю", "Јu", $text);
		$text = str_replace("Я", "Јa", $text);		
		$text = str_replace("Ь", "Ј", $text);
		
		
		for ($i = 0; $i < count($mor_pal); $i++)
		{
			$text = str_replace($mor_pal{$i}."ј",$mor_pal{$i}."'", $text);
			$text = str_replace($mor_pal{$i}."Ј",$mor_pal{$i}."'", $text);
		}
		
		$text = str_replace("јi", "i", $text);
		$text = str_replace("Јi", "I", $text);	
		
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."Јe",$gr_c{$i}."E", $text);
			$text = str_replace($gr_c{$i}."јe",$gr_c{$i}."e", $text);
		}
		
		$text = str_replace("Ј", "J", $text);
		$text = str_replace("ј", "j", $text);		
		
		$text = str_replace("а", "a", $text);
		$text = str_replace("б", "b", $text);
		$text = str_replace("в", "v", $text);
		$text = str_replace("г", "g", $text);
		$text = str_replace("д", "d", $text);
		$text = str_replace("ж", "ž", $text);
		$text = str_replace("з", "z", $text);
		$text = str_replace("й", "j", $text);
		$text = str_replace("к", "k", $text);
		$text = str_replace("л", "l", $text);
		$text = str_replace("м", "m", $text);
		$text = str_replace("н", "n", $text);
		$text = str_replace("о", "o", $text);
		$text = str_replace("п", "p", $text);
		$text = str_replace("р", "r", $text);
		$text = str_replace("с", "s", $text);
		$text = str_replace("т", "t", $text);
		$text = str_replace("у", "u", $text);
		$text = str_replace("ф", "f", $text);
		$text = str_replace("х", "χ", $text);
		$text = str_replace("ц", "c", $text);
		$text = str_replace("ч", "č'", $text);
		$text = str_replace("ш", "š", $text);
		$text = str_replace("щ", "š'š'", $text);
		$text = str_replace("ы", "ï", $text);
		$text = str_replace("э", "e", $text);
		$text = str_replace("А", "A", $text);
		$text = str_replace("Б", "B", $text);
		$text = str_replace("В", "V", $text);
		$text = str_replace("Г", "G", $text);
		$text = str_replace("Д", "D", $text);
		$text = str_replace("Ж", "Ž", $text);
		$text = str_replace("З", "Z", $text);
		$text = str_replace("Й", "J", $text);
		$text = str_replace("К", "K", $text);
		$text = str_replace("Л", "L", $text);
		$text = str_replace("М", "M", $text);
		$text = str_replace("Н", "N", $text);
		$text = str_replace("О", "O", $text);
		$text = str_replace("П", "P", $text);
		$text = str_replace("Р", "R", $text);
		$text = str_replace("С", "S", $text);
		$text = str_replace("Т", "T", $text);
		$text = str_replace("У", "U", $text);
		$text = str_replace("Ф", "F", $text);
		$text = str_replace("Х", "Χ", $text);
		$text = str_replace("Ц", "C", $text);
		$text = str_replace("Ч", "Č'", $text);
		$text = str_replace("Ш", "Š", $text);
		$text = str_replace("Щ", "Š'š'", $text);
		$text = str_replace("Ы", "Ï", $text);
		$text = str_replace("Э", "E", $text);

		$text = str_replace("J'", "J", $text);
		$text = str_replace("j'", "j", $text);
		
		$text = str_replace("''", "'", $text);

		$text = str_replace("Ъ", "", $text);
		$text = str_replace("ъ", "", $text);
		
		if ($lang == "mdf")
		{

		
			$text = str_replace("lχ", "ʟ", $text);
			$text = str_replace("LΧ", "ʟ", $text);
			$text = str_replace("Lχ", "ʟ", $text);
			
			$text = str_replace("l'χ", "ʟ'", $text);
			$text = str_replace("L'Χ", "ʟ'", $text);
			$text = str_replace("L'χ", "ʟ'", $text);
			
			$text = str_replace("rχ", "ʀ", $text);
			$text = str_replace("RΧ", "ʀ", $text);
			$text = str_replace("Rχ", "ʀ", $text);
			
			$text = str_replace("r'χ", "ʀ'", $text);
			$text = str_replace("R'Χ", "ʀ'", $text);
			$text = str_replace("R'χ", "ʀ'", $text);

			$text = str_replace("jχ", "ᴊ", $text);
			$text = str_replace("JΧ", "ᴊ", $text);
			$text = str_replace("Jχ", "ᴊ", $text);

			
			if ($assim)
			{
				global $gr_clat;
				global $gr_vlat;
				
				$vowels = 0;
				$pal = 0;
				
				for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
				{
					$x = mb_substr($text, $i, 1,"UTF-8");
					$x1 = mb_substr($text."#", $i+1, 1,"UTF-8");
					$x2 = mb_substr($text."##", $i+2, 1,"UTF-8");
					
					if ($vowels > 0)
					{
						if ($x == "e" && !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)))
							$text = mb_substr($text,0,$i,"UTF-8")."ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
						else if ($x == "E" && !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)))
							$text = mb_substr($text,0,$i,"UTF-8")."Ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
						else if ($x == "e" || $x == "o")
							$text = mb_substr($text,0,$i,"UTF-8")."ə".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");	
						else if ($x == "E" || $x == "O")
							$text = mb_substr($text,0,$i,"UTF-8")."Ə".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");						
					}
					
					if ($x == "a" && $pal == 1 &&	($x2 == "'" || !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)) ))
						$text = mb_substr($text,0,$i,"UTF-8")."ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
					else if ($x == "A" && $pal == 1 &&	($x2 == "'" || !(in_array($x1,  $gr_vlat) || in_array($x1,  $gr_clat)) ))
						$text = mb_substr($text,0,$i,"UTF-8")."Ä".mb_substr($text,$i+1,mb_strlen($text,"UTF-8"),"UTF-8");
					
					
					if (in_array($x,  $gr_vlat))
					{
						$vowels++;
						$pal = 0;
					}
					else if (in_array($x,  $gr_clat))
					{
						if ($x == "'")
							$pal = 1;
					}
					else
					{
						$vowels = 0;
						$pal = 0;
					}
				}
				
				$text = str_replace("ng", "ŋg", $text);
			}
		}
	}
	else if ($lang == "rus")
	{
		if ($assim)
		{
		
			$text = str_replace("ё", "ё*", $text);
			$text = str_replace("Ё", "Ё*", $text);
			
			while (strpos($text,"**") > -1)
				$text = str_replace("**", "*", $text);
			
			global $gr_allm;
			$current = "";
			
			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
					$current = $current.$x;
				else
				{
					$replace = stress_russian($current, $assim);
					$replace = str_replace("◌", "", $replace);
										
					$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
					$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
					$current = "";
				}
			}
		
			$text = str_replace("гч", "хч", $text);
			$text = str_replace("ГЧ", "ХЧ", $text);
			
			$text = str_replace("гк", "хк", $text);
			$text = str_replace("ГК", "ХК", $text);
			
			$text = str_replace("сщ", "щ", $text);
			$text = str_replace("стн", "сн", $text);
			$text = str_replace("вств", "ств", $text);
			$text = str_replace("лнц", "нц", $text);
			$text = str_replace("рдц", "рц", $text);
			$text = str_replace("рдч", "рч", $text);
			$text = str_replace("ндск", "нск", $text);
			$text = str_replace("стск", "ск", $text);
			
			$text = str_replace("СЩ", "Щ", $text);
			$text = str_replace("СТН", "СН", $text);
			$text = str_replace("ВСТВ", "СТВ", $text);
			$text = str_replace("ЛНЦ", "НЦ", $text);
			$text = str_replace("РДЦ", "РЦ", $text);
			$text = str_replace("РДЧ", "РЧ", $text);
			$text = str_replace("НДСК", "НСК", $text);
			$text = str_replace("СТСК", "СК", $text);
		
			$prior = "";
				
			global $gr_c;
			global $gr_v;
			
			for ($i = 0; $i < count($gr_c); $i++)
			{
				if (!($gr_c{$i} == "ч" || $gr_c{$i} == "Ч" || $gr_c{$i} == "щ" || $gr_c{$i} == "Щ"))
				{
					$text = str_replace($gr_c{$i}." И",$gr_c{$i}." Ы", $text);
					$text = str_replace($gr_c{$i}." и",$gr_c{$i}." ы", $text);
				}
			}
		}
		
		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);

		$text = str_replace("'", "ʲ", $text);
		
		$text = str_replace("е", "јe", $text);
		$text = str_replace("ё", "јo", $text);
		$text = str_replace("и", "ј[", $text);
		$text = str_replace("ю", "јu", $text);
		$text = str_replace("я", "јa", $text);		
		$text = str_replace("ь", "ј", $text);

		$text = str_replace("Е", "ЈE", $text);
		$text = str_replace("Ё", "ЈO", $text);
		$text = str_replace("И", "Ј]", $text);
		$text = str_replace("Ю", "ЈU", $text);
		$text = str_replace("Я", "ЈA", $text);		
		$text = str_replace("Ь", "Ј", $text);

		if ($assim)
		{
			$text = str_replace("ШЈ", "Ш", $text);
			$text = str_replace("Шј", "Ш", $text);
			$text = str_replace("шј", "ш", $text);
			$text = str_replace("ЖЈ", "Ж", $text);
			$text = str_replace("Жј", "Ж", $text);
			$text = str_replace("жј", "ж", $text);
			$text = str_replace("ЦЈ", "Ц", $text);
			$text = str_replace("Цј", "Ц", $text);
			$text = str_replace("цј", "ц", $text);
		}
		
		$text = str_replace("Ј]", "Јi", $text);
		$text = str_replace("ј[", "јi", $text);
		$text = str_replace("]", "Ï", $text);
		$text = str_replace("[", "ï", $text);

		$text = str_replace("ъ", "|", $text);
		$text = str_replace("Ъ", "|", $text);
	
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."Ј",$gr_c{$i}."'", $text);
			$text = str_replace($gr_c{$i}."ј",$gr_c{$i}."'", $text);
		}
		
		$text = str_replace("ЈI", "I", $text);
		$text = str_replace("јi", "i", $text);
		
		$text = str_replace("Ј", "J", $text);
		$text = str_replace("ј", "j", $text);		
		
		$text = str_replace("а", "a", $text);
		$text = str_replace("б", "b", $text);
		$text = str_replace("в", "v", $text);
		$text = str_replace("г", "g", $text);
		$text = str_replace("д", "d", $text);
		$text = str_replace("ж", "ž", $text);
		$text = str_replace("з", "z", $text);
		$text = str_replace("й", "j", $text);
		$text = str_replace("к", "k", $text);
		$text = str_replace("л", "l", $text);
		$text = str_replace("м", "m", $text);
		$text = str_replace("н", "n", $text);
		$text = str_replace("о", "o", $text);
		$text = str_replace("п", "p", $text);
		$text = str_replace("р", "r", $text);
		$text = str_replace("с", "s", $text);
		$text = str_replace("т", "t", $text);
		$text = str_replace("у", "u", $text);
		$text = str_replace("ф", "f", $text);
		$text = str_replace("х", "χ", $text);
		$text = str_replace("ц", "c", $text);
		$text = str_replace("ч", "č'", $text);
		$text = str_replace("ш", "š", $text);
		$text = str_replace("щ", "š'š'", $text);
		$text = str_replace("ы", "ï", $text);
		$text = str_replace("э", "e", $text);
		$text = str_replace("А", "A", $text);
		$text = str_replace("Б", "B", $text);
		$text = str_replace("В", "V", $text);
		$text = str_replace("Г", "G", $text);
		$text = str_replace("Д", "D", $text);
		$text = str_replace("Ж", "Ž", $text);
		$text = str_replace("З", "Z", $text);
		$text = str_replace("Й", "J", $text);
		$text = str_replace("К", "K", $text);
		$text = str_replace("Л", "L", $text);
		$text = str_replace("М", "M", $text);
		$text = str_replace("Н", "N", $text);
		$text = str_replace("О", "O", $text);
		$text = str_replace("П", "P", $text);
		$text = str_replace("Р", "R", $text);
		$text = str_replace("С", "S", $text);
		$text = str_replace("Т", "T", $text);
		$text = str_replace("У", "U", $text);
		$text = str_replace("Ф", "F", $text);
		$text = str_replace("Х", "Χ", $text);
		$text = str_replace("Ц", "C", $text);
		$text = str_replace("Ч", "Č'", $text);
		$text = str_replace("Ш", "Š", $text);
		$text = str_replace("Щ", "Š'š'", $text);
		$text = str_replace("Ы", "Ï", $text);
		$text = str_replace("Э", "E", $text);

		$text = str_replace("J'", "J", $text);
		$text = str_replace("j'", "j", $text);
			
		$text = str_replace("''", "'", $text);
			
		if ($assim)
		{
			$text = str_replace("ego", "ego¤", $text);
			$text = str_replace("Ego", "Ego¤", $text);		
			$text = str_replace("EGO", "EGO¤", $text);		
			$text = str_replace("ogo", "ogo¤", $text);
			$text = str_replace("OGO", "OGO¤", $text);
			
			$text = str_replace("SČ'", "Š'Š'", $text);
			$text = str_replace("Sč'", "Š'š'", $text);
			$text = str_replace("sč'", "š'š'", $text);

			$text = str_replace("ŽČ'", "Š'Š'", $text);
			$text = str_replace("žč'", "š'š'", $text);
		
			$text = str_replace("ST'", "S'T'", $text);
			$text = str_replace("st'", "s't'", $text);

			$text = str_replace("NŠ'Š'", "N'Š'Š'", $text);
			$text = str_replace("nš'š'", "n'š'š'", $text);
			
			$text = str_replace("NČ'", "N'Č'", $text);
			$text = str_replace("nč'", "n'č'", $text);
			
			$text = str_replace("t's'a", "ca", $text);
			$text = str_replace("T'S'A", "CA", $text);	

			$text = str_replace("zž", "ž'ž'", $text);
			$text = str_replace("ZŽ", "Ž'Ž'", $text);
			
			$text = str_replace("zž", "ž'ž'", $text);
			$text = str_replace("ZŽ", "Ž'Ž'", $text);
			
			$text = str_replace("zž", "ž'ž'", $text);
			$text = str_replace("ZŽ", "Ž'Ž'", $text);
			
			$text = str_replace("dt'", "t't'", $text);
			$text = str_replace("DT'", "T'T'", $text);
		
			global $rus_latal;
			
			for ($i = 0; $i < count($rus_latal); $i++)
			{
				$text = str_replace("¤".$rus_latal{$i},$rus_latal{$i}, $text);
			}
			
			$text = str_replace("go¤", "vo", $text);
			$text = str_replace("GO¤", "VO", $text);	

			$voice = -1; // 1: add voice, 0: keep, -1: remove voice
			
			for ($ix = 0; $ix < 2; $ix++)
			{			
				for ($i = mb_strlen($text,"UTF-8"); $i > -1; $i--)
				{
					
					$x = mb_substr($text, $i, 1,"UTF-8");
					if ($voice == -1)
					{
						$y = devoice($x);
						if ($x <> $y)
							$text = mb_substr($text,0,$i,"UTF-8").$y.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					}
					
					if ($voice == 1)
					{
						$y = voice($x);
						if ($x <> $y)
							$text = mb_substr($text,0,$i,"UTF-8").$y.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
					}
					
					global $trig_soft;
					global $trig_hard;

					if ($x != " " && $x != "'")
					{
						$voice = 0;
					
						if (in_array($x, $trig_soft))
							$voice = 1;
						else if (in_array($x, $trig_hard) || (! (in_array($x, $rus_latal))))
							$voice = -1;
					}
				}
			}
			
			$text = str_replace("Ǯ'", "Ǯ", $text);
			$text = str_replace("ǯ'", "ǯ", $text);
			
			$current = "";
			
			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x, $rus_latal))
					$current = $current.$x;
				else
				{
					$replace = $current;
					switch ($current) {
						case "č'to":
							$replace = "što";
							break;
						case "Č'to":
							$replace = "Što";
							break;
						case "Č'TO":
							$replace = "ŠTO";
							break;
						case "bog":
							$replace = "boχ";
							break;
						case "Bog":
							$replace = "Boχ";
							break;
						case "BOG":
							$replace = "BOΧ";
							break;
						case "požalujsta":
							$replace = "požalusta";
							break;
						case "Požalujsta":
							$replace = "Požalusta";
							break;
						case "POŽALUJSTA":
							$replace = "POŽALUSTA";
							break;
					}
					if ($replace <> $current)
						$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");

					$current = "";
				}
			}
		}
	}
	else if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("Ь","ᴶ", $text);
		$text = str_replace("ь","ʲ", $text);

		$text = str_replace("Я","ᵂA", $text);
		$text = str_replace("я","ʷa", $text);

		$text = str_replace("Е","ᵂE", $text);
		$text = str_replace("е","ʷe", $text);

		$text = str_replace("И","ᵂI", $text);
		$text = str_replace("и","ʷi", $text);

		$text = str_replace("Ё","ᵂO", $text);
		$text = str_replace("ё","ʷo", $text);

		$text = str_replace("Ю","ᵂU", $text);
		$text = str_replace("ю","ʷu", $text);



		$text = str_replace("ᴶᵂ","ᴶJ", $text);
		$text = str_replace("ʲᵂ","ʲJ", $text);
		$text = str_replace("ᴶʷ","ᴶj", $text);
		$text = str_replace("ʲʷ","ʲj", $text);

		
		$text = str_replace("ᵂ","ᴶ¤", $text);
		$text = str_replace("ʷ","ʲ¤", $text);




		$text = str_replace("дʲ","d'", $text);
		$text = str_replace("Дʲ","D'", $text);
		$text = str_replace("дᴶ","d'", $text);
		$text = str_replace("Дᴶ","D'", $text);

		$text = str_replace("тʲ","t'", $text);
		$text = str_replace("Тʲ","T'", $text);
		$text = str_replace("тᴶ","t'", $text);
		$text = str_replace("Тᴶ","T'", $text);

		$text = str_replace("зʲ","z'", $text);
		$text = str_replace("Зʲ","Z'", $text);
		$text = str_replace("зᴶ","z'", $text);
		$text = str_replace("Зᴶ","Z'", $text);

		$text = str_replace("сʲ","s'", $text);
		$text = str_replace("Сʲ","S'", $text);
		$text = str_replace("сᴶ","s'", $text);
		$text = str_replace("Сᴶ","S'", $text);
		
		$text = str_replace("ллʲ","l'l'", $text);
		$text = str_replace("ЛЛʲ","L'L'", $text);

		$text = str_replace("лʲ","l'", $text);
		$text = str_replace("Лʲ","L'", $text);
		$text = str_replace("лᴶ","l'", $text);
		$text = str_replace("Лᴶ","L'", $text);

		$text = str_replace("нʲ","n'", $text);
		$text = str_replace("Нʲ","N'", $text);
		$text = str_replace("нᴶ","n'", $text);
		$text = str_replace("Нᴶ","N'", $text);
	
		$text = str_replace("'¤","'", $text);		

		
		
		$text = str_replace("ᴶ¤I","I", $text);
		$text = str_replace("ʲ¤i","i", $text);
		
		$text = str_replace("ᴶ¤E","ᵂE", $text);
		$text = str_replace("ʲ¤e","ʷe", $text);
		
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."ᵂ",$gr_c{$i}, $text);
			$text = str_replace($gr_c{$i}."ʷ",$gr_c{$i}, $text);
		}
		
		$text = str_replace("¤","", $text);		

		$text = str_replace("ʲ","j", $text);
		$text = str_replace("ᴶ","J", $text);
		$text = str_replace("ʷ","j", $text);
		$text = str_replace("ᵂ","J", $text);
		
		if ($lang == "udm")
		{
			$text = str_replace("ӝ","ǯ", $text);
			$text = str_replace("ӟ","ʒ́", $text);
			$text = str_replace("ӥ","i", $text);
			$text = str_replace("ӵ","č", $text);

			$text = str_replace("Ӝ","Ǯ", $text);
			$text = str_replace("Ӟ","Ʒ́", $text);
			$text = str_replace("Ӥ","I", $text);
			$text = str_replace("Ӵ","Č", $text);		
		}
		else
		{
			$text = str_replace("дж","ǯ", $text);
			$text = str_replace("дз","ʒ́", $text);
			$text = str_replace("дz'","ʒ́", $text);
			$text = str_replace("і","i", $text);
			$text = str_replace("тш","č", $text);

			$text = str_replace("ДЖ","Ǯ", $text);
			$text = str_replace("ДЗ","Ʒ́", $text);
			$text = str_replace("ДZ'","Ʒ́", $text);
			$text = str_replace("І","I", $text);
			$text = str_replace("ТШ","Č", $text);

			$text = str_replace("Дж","Ǯ", $text);
			$text = str_replace("Дз","Ʒ́", $text);
			$text = str_replace("Дz'","Ʒ́", $text);
			$text = str_replace("Тш","Č", $text);
		}

		$text = str_replace("а","a", $text);
		$text = str_replace("б","b", $text);
		$text = str_replace("в","v", $text);
		$text = str_replace("г","g", $text);
		$text = str_replace("д","d", $text);
		$text = str_replace("ж","ž", $text);
		$text = str_replace("з","z", $text);
		$text = str_replace("й","j", $text);
		$text = str_replace("к","k", $text);
		$text = str_replace("л","l", $text);
		$text = str_replace("м","m", $text);
		$text = str_replace("н","n", $text);
		$text = str_replace("о","o", $text);
		$text = str_replace("ӧ","e̮", $text);
		$text = str_replace("п","p", $text);
		$text = str_replace("р","r", $text);
		$text = str_replace("с","s", $text);
		$text = str_replace("т","t", $text);
		$text = str_replace("у","u", $text);
		$text = str_replace("ф","f", $text);
		$text = str_replace("х","χ", $text);
		$text = str_replace("ц","c", $text);
		$text = str_replace("ч","č́", $text);
		$text = str_replace("ш","š", $text);
		$text = str_replace("щ","š'š'", $text);
		$text = str_replace("ъ","", $text);
		$text = str_replace("ы","i̮", $text);
		$text = str_replace("э","e", $text);
		
		$text = str_replace("А","A", $text);
		$text = str_replace("Б","B", $text);
		$text = str_replace("В","V", $text);
		$text = str_replace("Г","G", $text);
		$text = str_replace("Д","D", $text);
		$text = str_replace("Ж","Ž", $text);
		$text = str_replace("З","Z", $text);
		$text = str_replace("Й","J", $text);
		$text = str_replace("К","K", $text);
		$text = str_replace("Л","L", $text);
		$text = str_replace("М","M", $text);
		$text = str_replace("Н","N", $text);
		$text = str_replace("О","O", $text);
		$text = str_replace("Ӧ","E̮", $text);
		$text = str_replace("П","P", $text);
		$text = str_replace("Р","R", $text);
		$text = str_replace("С","S", $text);
		$text = str_replace("Т","T", $text);
		$text = str_replace("У","U", $text);
		$text = str_replace("Ф","F", $text);
		$text = str_replace("Х","Χ", $text);
		$text = str_replace("Ц","C", $text);
		$text = str_replace("Ч","Č́", $text);

		$text = str_replace("Ш","Š", $text);
		$text = str_replace("Щ","Š'Š'", $text);
		$text = str_replace("Ъ","", $text);
		$text = str_replace("Ы","I̮", $text);
		$text = str_replace("Э","E", $text);
	}
	else
	{	
		if ($lang == "chv")
		{
			$text = str_replace("Ӑ","Ă", $text);
			$text = str_replace("ӑ","ă", $text);			
			
			$text = str_replace("В","V", $text);
			$text = str_replace("в","v", $text);
			
			$text = str_replace("Ӗ","Ĕ", $text);
			$text = str_replace("ӗ","ĕ", $text);
			
			$text = str_replace("Ҫ","Ś", $text);
			$text = str_replace("ҫ","ś", $text);
			
			$text = str_replace("Ӳ","Ü", $text);
			$text = str_replace("ӳ","ü", $text);
			
			$text = str_replace("Ы","Ï", $text);
			$text = str_replace("ы","ï", $text);

			$text = str_replace("Ч","Č́", $text);
			$text = str_replace("ч","č́", $text);
		}
	
	
		if ($assim && $lang == "mhr")
		{
			global $gr_allm;

			$current = "";

			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
				
				if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
					$current = $current.$x;
				else
				{
				
					
					$replace = stress_meadow($current, $assim);
					$replace = str_replace("◌", "", $replace);
					
					if (strpos($replace,"*") > -1)
					{
						$replace = $replace."◌";

						$replace = str_replace("е◌", "е<sup>ə̑</sup>", $replace);
						$replace = str_replace("о◌", "о<sup>ə̑</sup>", $replace);
						$replace = str_replace("ӧ◌", "ӧ<sup>ə̑</sup>", $replace);
						
						$replace = str_replace("◌", "", $replace);
					}
										
					$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
					$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
					$current = "";
				}
			}
		}

		if ($lang == "mrj")
		{
			global $gr_allm;

			$current = "";

			for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
			{
				$x = mb_substr($text, $i, 1,"UTF-8");
					
				if (in_array($x,  $gr_allm) || $x == "|" || $x == "*")
					$current = $current.$x;
				else
				{
					if (strpos($current,"я") > -1 || strpos($current,"Я") > -1) 
					{
						$replace = ortup_hill($current);
						$replace = str_replace("я◌", "ьӓ", $replace);
						$replace = str_replace("Я◌", "ЬӒ", $replace);
						$text = mb_substr($text,0,$i-mb_strlen($current,"UTF-8"),"UTF-8").$replace.mb_substr($text,$i,mb_strlen($text),"UTF-8");
						$i = $i + mb_strlen($replace,"UTF-8") - mb_strlen($current,"UTF-8");
					}
					$current = "";
				}
			}
		}
		
		$text = str_replace("в","β", $text);
		$text = str_replace("в","Β", $text);

		$text = str_replace("’", "'", $text);
		$text = str_replace("´", "'", $text);
		$text = str_replace("`", "'", $text);
				
		$text = str_replace("'е", "'e", $text);
		$text = str_replace("'Е", "'E", $text);

		$text = str_replace("'и", "'i", $text);
		$text = str_replace("'И", "'I", $text);	
		
		$text = str_replace("ь", "'", $text);
		$text = str_replace("Ь","'", $text);
		
		$text = str_replace("[", "", $text);
		$text = str_replace("]", "", $text);
		
		$text = str_replace("<td>-е", "<td>-e", $text);
	
	
		global $gr_c;
		
		for ($i = 0; $i < count($gr_c); $i++)
		{
			$text = str_replace($gr_c{$i}."(Е",$gr_c{$i}."(E", $text);
			$text = str_replace($gr_c{$i}."(е",$gr_c{$i}."(e", $text);
		}
		
		$last = "|";

		$text = str_replace("Я", "ʷa", $text);
		$text = str_replace("я", "ʲa", $text);

		$text = str_replace("Е", "ʷe", $text);
		$text = str_replace("е", "ʲe", $text);

		$text = str_replace("Ё", "ʷo", $text);
		$text = str_replace("ё", "ʲo", $text);

		$text = str_replace("Ю", "ʷu", $text);
		$text = str_replace("ю", "ʲu", $text);

		$text = str_replace("ъʲ", "ъj", $text);
		$text = str_replace("Ъʲ", "Ъj", $text);		
		$text = str_replace("'ʲ", "'j", $text);		

		$text = str_replace("ъʷ", "ъJ", $text);
		$text = str_replace("Ъʷ", "ЪJ", $text);		
		$text = str_replace("'ʷ", "'J", $text);	

		$text = str_replace("а","a", $text);
		$text = str_replace("ӓ","ä", $text);
		$text = str_replace("б","b", $text);
		$text = str_replace("в","v", $text);
		$text = str_replace("г","g", $text);
		$text = str_replace("д","d", $text);
		$text = str_replace("ж","ž", $text);
		$text = str_replace("з","z", $text);
		$text = str_replace("и","i", $text);
		$text = str_replace("й","j", $text);
		$text = str_replace("к","k", $text);
		$text = str_replace("л","l", $text);
		$text = str_replace("м","m", $text);
		$text = str_replace("н","n", $text);
		$text = str_replace("ҥ","ŋ", $text);
		$text = str_replace("о","o", $text);
		$text = str_replace("ӧ","ö", $text);
		$text = str_replace("п","p", $text);
		$text = str_replace("р","r", $text);
		$text = str_replace("с","s", $text);
		$text = str_replace("т","t", $text);
		$text = str_replace("у","u", $text);
		$text = str_replace("ӱ","ü", $text);
		$text = str_replace("ф","f", $text);
		$text = str_replace("х","χ", $text);
		$text = str_replace("ц","c", $text);
		
		if ($lang == "mhr")
		{
			$text = str_replace("ч","č'", $text);
			$text = str_replace("Ч","Č'", $text);
		}
		else
		{
			$text = str_replace("ч","č", $text);
			$text = str_replace("Ч","Č", $text);
		}
		
		$text = str_replace("ш","š", $text);
		$text = str_replace("щ","š'š'", $text);
		$text = str_replace("ъ","", $text);
		$text = str_replace("ы","ə̑", $text);
		$text = str_replace("ӹ","ə", $text);	
		$text = str_replace("ь","'", $text);
		$text = str_replace("э","e", $text);
		
		$text = str_replace("А","A", $text);
		$text = str_replace("Ӓ","Ä", $text);	
		$text = str_replace("Б","B", $text);
		$text = str_replace("В","V", $text);
		$text = str_replace("Г","G", $text);
		$text = str_replace("Д","D", $text);
		$text = str_replace("Ж","Ž", $text);
		$text = str_replace("З","Z", $text);
		$text = str_replace("И","I", $text);
		$text = str_replace("Й","J", $text);
		$text = str_replace("К","K", $text);
		$text = str_replace("Л","L", $text);
		$text = str_replace("М","M", $text);
		$text = str_replace("Н","N", $text);
		$text = str_replace("Ҥ","Ŋ", $text);
		$text = str_replace("О","O", $text);
		$text = str_replace("Ӧ","Ö", $text);
		$text = str_replace("П","P", $text);
		$text = str_replace("Р","R", $text);
		$text = str_replace("С","S", $text);
		$text = str_replace("Т","T", $text);
		$text = str_replace("У","U", $text);
		$text = str_replace("Ӱ","Ü", $text);
		$text = str_replace("Ф","F", $text);
		$text = str_replace("Х","Χ", $text);
		$text = str_replace("Ц","C", $text);
		$text = str_replace("Ш","Š", $text);
		$text = str_replace("Щ","Š'š'", $text);
		$text = str_replace("Ъ","", $text);
		$text = str_replace("Ы","Ə̑", $text);
		$text = str_replace("Ӹ","Ə̑", $text);
		$text = str_replace("Э","E", $text);
		
		if ($assim && $lang == "mhr")
		{
			$text = str_replace("d","d◌", $text);
			$text = str_replace("D","D◌", $text);

			global $gr_vlat;
			
			for ($i = 0; $i < count($gr_vlat); $i++)
			{
				$text = str_replace("◌".$gr_vlat{$i},$gr_vlat{$i}, $text);
			}

			$text = str_replace("d◌","t", $text);
			$text = str_replace("D◌","T", $text);
			
			$text = str_replace("◌","", $text);
			
		
			$text = str_replace("d","◌d", $text);
			$text = str_replace("D","◌D", $text);
			
			$text = str_replace("g","◌g", $text);
			$text = str_replace("G","◌G", $text);	
		
			global $mar_latso;
			
			for ($i = 0; $i < count($mar_latso); $i++)
			{
				$text = str_replace($mar_latso{$i}."◌",$mar_latso{$i}, $text);
				$text = str_replace($mar_latso{$i}." ◌",$mar_latso{$i}." ", $text);
				$text = str_replace($mar_latso{$i}."* ◌",$mar_latso{$i}."* ", $text);
				$text = str_replace($mar_latso{$i}."*◌",$mar_latso{$i}."*", $text);
			}
			
			$text = str_replace("◌d","t", $text);
			$text = str_replace("◌D","T", $text);

			$text = str_replace("◌g","k", $text);
			$text = str_replace("◌G","K", $text);			

			$text = str_replace("◌","", $text);
			
			$text = str_replace("žt","št", $text);	
			$text = str_replace("ŽT","ŠT", $text);	
			$text = str_replace("zt","st", $text);	
			$text = str_replace("ZT","ST", $text);	
			$text = str_replace("žš","šš", $text);	
			$text = str_replace("ŽŠ","ŠŠ", $text);	
			$text = str_replace("zš","sš", $text);				
			$text = str_replace("ZŠ","SŠ", $text);		

			$text = str_replace("vk","pk", $text);	
			$text = str_replace("VK","PK", $text);	
			$text = str_replace("gk","kk", $text);				
			$text = str_replace("GK","KK", $text);
			
			$text = str_replace("nk","ŋg", $text);
			$text = str_replace("NK","ŊG", $text);

			$text = str_replace("ng","ŋg", $text);	
			$text = str_replace("NG","ŊG", $text);	
			
			$text = str_replace("nč'","n'č'", $text);	
			$text = str_replace("NČ'","N'Č'", $text);			
		}
	}
	
	
	global $gr_clat;

	for ($i = 0; $i < count($gr_clat); $i++)
	{
		$text = str_replace($gr_clat{$i}."ʲ",$gr_clat{$i}."⊥", $text);
		$text = str_replace($gr_clat{$i}."ʷ",$gr_clat{$i}."⊥", $text);	
	}
		
	$text = str_replace("⊥e", "e", $text);	
	$text = str_replace("⊥", "'", $text);			
	$text = str_replace("ʲ", "j", $text);
	$text = str_replace("ʷ", "J", $text);
		
	$text = str_replace("''", "'", $text);
	
	
	$text = str_replace("n'", "ń", $text);	
	$text = str_replace("N'", "Ń", $text);

	$text = str_replace("s'", "ś", $text);	
	$text = str_replace("S'", "Ś", $text);		


	$text = str_replace("z'", "ź", $text);	
	$text = str_replace("Z'", "Ź", $text);		

	$text = str_replace("m'", "ḿ", $text);	
	$text = str_replace("M'", "Ḿ", $text);		

	$text = str_replace("p'", "ṕ", $text);	
	$text = str_replace("P'", "Ṕ", $text);	
	
	$text = str_replace("r'", "ŕ", $text);	
	$text = str_replace("R'", "Ŕ", $text);

	$text = str_replace("č'","č́", $text);
	$text = str_replace("Č'","Č́", $text);

	$text = str_replace("š'","š́", $text);
	$text = str_replace("Š'","Š́", $text);

	$text = str_replace("c'","ć", $text);
	$text = str_replace("C'","Ć", $text);			

	$text = str_replace("ʀ'","ʀ́", $text);	
	
	return $text;
}

function cyr_to_iso($text, $lang)
{
	$text = str_replace("Ӏ", "‡", $text);
	$text = str_replace("ʼ", "`", $text);
	$text = str_replace("ˮ", "¨", $text);
	
	$text = str_replace("А", "A", $text);
	$text = str_replace("Ӓ", "Ä", $text);
	$text = str_replace("Ӓ̄", "Ạ̈", $text);
	$text = str_replace("Ӑ", "Ă", $text);
	$text = str_replace("А̄", "Ā", $text);
	$text = str_replace("Ӕ", "Æ", $text);
	$text = str_replace("А́", "Á", $text);
	$text = str_replace("А̊", "Å", $text);
	$text = str_replace("Б", "B", $text);
	$text = str_replace("В", "V", $text);
	$text = str_replace("Г", "G", $text);
	$text = str_replace("Ѓ", "Ǵ", $text);
	$text = str_replace("Ғ", "Ġ", $text);
	$text = str_replace("Ҕ", "Ğ", $text);
	$text = str_replace("Һ", "Ḥ", $text);
	$text = str_replace("Д", "D", $text);
	$text = str_replace("Ђ", "Đ", $text);
	$text = str_replace("Е", "E", $text);
	$text = str_replace("Ӗ", "Ĕ", $text);
	$text = str_replace("Ё", "Ë", $text);
	$text = str_replace("Є", "Ê", $text);
	$text = str_replace("Ж", "Ž", $text);
	$text = str_replace("Җ", "Ž̦", $text);
	$text = str_replace("Ӝ", "Z̄", $text);
	$text = str_replace("Ӂ", "Z̆", $text);
	$text = str_replace("З", "Z", $text);
	$text = str_replace("Ӟ", "Z̈", $text);
	$text = str_replace("Ҙ", "Ẓ", $text);
	$text = str_replace("Ӡ", "Ź", $text);
	$text = str_replace("Ѕ", "Ẑ", $text);
	$text = str_replace("И", "I", $text);
	$text = str_replace("Ӣ", "Ī", $text);
	$text = str_replace("И́", "Í", $text);
	$text = str_replace("Ӥ", "Î", $text);
	$text = str_replace("Й", "J", $text);
	$text = str_replace("І", "Ì", $text);
	$text = str_replace("Ї", "Ï", $text);
	$text = str_replace("І̄", "Ǐ", $text);
	$text = str_replace("Ј", "J̌", $text);
	$text = str_replace("Ј̵", "J́", $text);
	$text = str_replace("К", "K", $text);
	$text = str_replace("Ќ", "Ḱ", $text);
	$text = str_replace("Ӄ", "Ḳ", $text);
	$text = str_replace("Ҝ", "K̂", $text);
	$text = str_replace("Ҡ", "Ǩ", $text);
	$text = str_replace("Ҟ", "K̄", $text);
	$text = str_replace("Қ", "K̦", $text);
	$text = str_replace("К̨", "K̀", $text);
	$text = str_replace("Ԛ", "Q", $text);
	$text = str_replace("Л", "L", $text);
	$text = str_replace("Љ", "L̂", $text);
	$text = str_replace("Л’", "Ĺ", $text);
	$text = str_replace("Ԡ", "L̦", $text);
	$text = str_replace("М", "M", $text);
	$text = str_replace("Н", "N", $text);
	$text = str_replace("Њ", "N̂", $text);
	$text = str_replace("Ң", "N̦", $text);
	$text = str_replace("Ӊ", "Ṇ", $text);
	$text = str_replace("Ҥ", "Ṅ", $text);
	$text = str_replace("Ԋ", "Ǹ", $text);
	$text = str_replace("Ԣ", "Ń", $text);
	$text = str_replace("Ӈ", "Ň", $text);
	$text = str_replace("Н̄", "N̄", $text);
	$text = str_replace("О", "O", $text);
	$text = str_replace("Ӧ", "Ö", $text);
	$text = str_replace("Ө", "Ô", $text);
	$text = str_replace("Ӫ", "Ő", $text);
	$text = str_replace("Ӧ̄", "Ọ̈", $text);
	$text = str_replace("Ҩ", "Ò", $text);
	$text = str_replace("О́", "Ó", $text);
	$text = str_replace("О̄", "Ō", $text);
	$text = str_replace("Œ", "Œ", $text);
	$text = str_replace("П", "P", $text);
	$text = str_replace("Ҧ", "Ṕ", $text);
	$text = str_replace("Ԥ", "P̀", $text);
	$text = str_replace("Р", "R", $text);
	$text = str_replace("С", "S", $text);
	$text = str_replace("Ҫ", "Ș", $text);
	$text = str_replace("С̀", "S̀", $text);
	$text = str_replace("Т", "T", $text);
	$text = str_replace("Ћ", "Ć", $text);
	$text = str_replace("Ԏ", "T̀", $text);
	$text = str_replace("Т̌", "Ť", $text);
	$text = str_replace("Ҭ", "Ț", $text);
	$text = str_replace("У", "U", $text);
	$text = str_replace("Ӱ", "Ü", $text);
	$text = str_replace("Ӯ", "Ū", $text);
	$text = str_replace("Ў", "Ŭ", $text);
	$text = str_replace("Ӳ", "Ű", $text);
	$text = str_replace("У́", "Ú", $text);
	$text = str_replace("Ӱ̄", "Ụ̈", $text);
	$text = str_replace("Ү", "Ù", $text);
	$text = str_replace("Ұ", "U̇", $text);
	$text = str_replace("Ӱ̄", "Ụ̄", $text);
	$text = str_replace("Ԝ", "W", $text);
	$text = str_replace("Ф", "F", $text);
	$text = str_replace("Х", "H", $text);
	$text = str_replace("Ҳ", "H̦", $text);
	$text = str_replace("Ц", "C", $text);
	$text = str_replace("Ҵ", "C̄", $text);
	$text = str_replace("Џ", "D̂", $text);
	$text = str_replace("Ч", "Č", $text);
	$text = str_replace("Ҷ", "C̦", $text);
	$text = str_replace("Ӌ", "C̣", $text);
	$text = str_replace("Ӵ", "C̈", $text);
	$text = str_replace("Ҹ", "Ĉ", $text);
	$text = str_replace("Ч̀", "C̀", $text);
	$text = str_replace("Ҽ", "C̆", $text);
	$text = str_replace("Ҿ", "C̨̆", $text);
	$text = str_replace("Ш", "Š", $text);
	$text = str_replace("Щ", "Ŝ", $text);
	$text = str_replace("Ъ", "ʺ", $text);
	$text = str_replace("Ы", "Y", $text);
	$text = str_replace("Ӹ", "Ÿ", $text);
	$text = str_replace("Ы̄", "Ȳ", $text);
	$text = str_replace("Ь", "ʹ", $text);
	$text = str_replace("Э", "È", $text);
	$text = str_replace("Ә", "A̋", $text);
	$text = str_replace("Ӛ", "À", $text);
	$text = str_replace("Ю", "Û", $text);
	$text = str_replace("Ю̄", "Û̄", $text);
	$text = str_replace("Я", "Â", $text);
	$text = str_replace("Ґ", "G̀", $text);
	$text = str_replace("Ѣ", "Ě", $text);
	$text = str_replace("Ѫ", "Ǎ", $text);
	$text = str_replace("Ѳ", "F̀", $text);
	$text = str_replace("Ѵ", "Ỳ", $text);
	
	$text = str_replace("а", "a", $text);
	$text = str_replace("ӓ", "ä", $text);
	$text = str_replace("ӓ̄", "ạ̈", $text);
	$text = str_replace("ӑ", "ă", $text);
	$text = str_replace("а̄", "ā", $text);
	$text = str_replace("ӕ", "æ", $text);
	$text = str_replace("а́", "á", $text);
	$text = str_replace("а̊", "å", $text);
	$text = str_replace("б", "b", $text);
	$text = str_replace("в", "v", $text);
	$text = str_replace("г", "g", $text);
	$text = str_replace("ѓ", "ǵ", $text);
	$text = str_replace("ғ", "ġ", $text);
	$text = str_replace("ҕ", "ğ", $text);
	$text = str_replace("һ", "ḥ", $text);
	$text = str_replace("д", "d", $text);
	$text = str_replace("ђ", "đ", $text);
	$text = str_replace("е", "e", $text);
	$text = str_replace("ӗ", "ĕ", $text);
	$text = str_replace("ё", "ë", $text);
	$text = str_replace("є", "ê", $text);
	$text = str_replace("ж", "ž", $text);
	$text = str_replace("җ", "ž̦", $text);
	$text = str_replace("ӝ", "z̄", $text);
	$text = str_replace("ӂ", "z̆", $text);
	$text = str_replace("з", "z", $text);
	$text = str_replace("ӟ", "z̈", $text);
	$text = str_replace("ҙ", "ẓ", $text);
	$text = str_replace("ӡ", "ź", $text);
	$text = str_replace("ѕ", "ẑ", $text);
	$text = str_replace("и", "i", $text);
	$text = str_replace("ӣ", "ī", $text);
	$text = str_replace("и́", "í", $text);
	$text = str_replace("ӥ", "î", $text);
	$text = str_replace("й", "j", $text);
	$text = str_replace("і", "ì", $text);
	$text = str_replace("ї", "ï", $text);
	$text = str_replace("і̄", "ǐ", $text);
	$text = str_replace("ј", "ǰ", $text);
	$text = str_replace("ј̵", "j́", $text);
	$text = str_replace("к", "k", $text);
	$text = str_replace("ќ", "ḱ", $text);
	$text = str_replace("ӄ", "ḳ", $text);
	$text = str_replace("ҝ", "k̂", $text);
	$text = str_replace("ҡ", "ǩ", $text);
	$text = str_replace("ҟ", "k̄", $text);
	$text = str_replace("қ", "k̦", $text);
	$text = str_replace("к̨", "k̀", $text);
	$text = str_replace("ԛ", "q", $text);
	$text = str_replace("л", "l", $text);
	$text = str_replace("љ", "l̂", $text);
	$text = str_replace("Л’", "ĺ", $text);
	$text = str_replace("ԡ", "l̦", $text);
	$text = str_replace("м", "m", $text);
	$text = str_replace("н", "n", $text);
	$text = str_replace("њ", "n̂", $text);
	$text = str_replace("ң", "n̦", $text);
	$text = str_replace("ӊ", "ṇ", $text);
	$text = str_replace("ҥ", "ṅ", $text);
	$text = str_replace("ԋ", "ǹ", $text);
	$text = str_replace("ԣ", "ń", $text);
	$text = str_replace("ӈ", "ň", $text);
	$text = str_replace("н̄", "n̄", $text);
	$text = str_replace("о", "o", $text);
	$text = str_replace("ӧ", "ö", $text);
	$text = str_replace("ө", "ô", $text);
	$text = str_replace("ӫ", "ő", $text);
	$text = str_replace("о̄̈", "ọ̈", $text);
	$text = str_replace("ҩ", "ò", $text);
	$text = str_replace("о́", "ó", $text);
	$text = str_replace("о̄", "ō", $text);
	$text = str_replace("œ", "œ", $text);
	$text = str_replace("п", "p", $text);
	$text = str_replace("ҧ", "ṕ", $text);
	$text = str_replace("ԥ", "p̀", $text);
	$text = str_replace("р", "r", $text);
	$text = str_replace("с", "s", $text);
	$text = str_replace("ҫ", "ș", $text);
	$text = str_replace("с̀", "s̀", $text);
	$text = str_replace("т", "t", $text);
	$text = str_replace("ћ", "ć", $text);
	$text = str_replace("ԏ", "t̀", $text);
	$text = str_replace("т̌", "ť", $text);
	$text = str_replace("ҭ", "ț", $text);
	$text = str_replace("у", "u", $text);
	$text = str_replace("ӱ", "ü", $text);
	$text = str_replace("ӯ", "ū", $text);
	$text = str_replace("ў", "ŭ", $text);
	$text = str_replace("ӳ", "ű", $text);
	$text = str_replace("у́", "ú", $text);
	$text = str_replace("ӱ̄", "ụ̈", $text);
	$text = str_replace("ү", "ù", $text);
	$text = str_replace("ұ", "u̇", $text);
	$text = str_replace("ӱ̄", "ụ̄", $text);
	$text = str_replace("ԝ", "w", $text);
	$text = str_replace("ф", "f", $text);
	$text = str_replace("х", "h", $text);
	$text = str_replace("ҳ", "h̦", $text);
	$text = str_replace("ц", "c", $text);
	$text = str_replace("ҵ", "c̄", $text);
	$text = str_replace("џ", "d̂", $text);
	$text = str_replace("ч", "č", $text);
	$text = str_replace("ҷ", "c̦", $text);
	$text = str_replace("ӌ", "c̣", $text);
	$text = str_replace("ӵ", "c̈", $text);
	$text = str_replace("ҹ", "ĉ", $text);
	$text = str_replace("ч̀", "c̀", $text);
	$text = str_replace("ҽ", "c̆", $text);
	$text = str_replace("ҿ", "c̨̆", $text);
	$text = str_replace("ш", "š", $text);
	$text = str_replace("щ", "ŝ", $text);
	$text = str_replace("ъ", "ʺ", $text);
	$text = str_replace("ы", "y", $text);
	$text = str_replace("ӹ", "ÿ", $text);
	$text = str_replace("ы̄", "ȳ", $text);
	$text = str_replace("ь", "ʹ", $text);
	$text = str_replace("э", "è", $text);
	$text = str_replace("ә", "a̋", $text);
	$text = str_replace("ӛ", "à", $text);
	$text = str_replace("ю", "û", $text);
	$text = str_replace("ю̄", "û̄", $text);
	$text = str_replace("я", "â", $text);
	$text = str_replace("ґ", "g̀", $text);
	$text = str_replace("ѣ", "ě", $text);
	$text = str_replace("ѫ", "ǎ", $text);
	$text = str_replace("ѳ", "f̀", $text);
	$text = str_replace("ѵ", "ỳ", $text);

	return $text;	
}

function iso_to_cyr($text, $lang)
{
	$text = str_replace("a", "а", $text);
	$text = str_replace("ä", "ӓ", $text);
	$text = str_replace("ạ̈", "ӓ̄", $text);
	$text = str_replace("ă", "ӑ", $text);
	$text = str_replace("ā", "а̄", $text);
	$text = str_replace("æ", "ӕ", $text);
	$text = str_replace("á", "а́", $text);
	$text = str_replace("å", "а̊", $text);
	$text = str_replace("b", "б", $text);
	$text = str_replace("v", "в", $text);
	$text = str_replace("g", "г", $text);
	$text = str_replace("ǵ", "ѓ", $text);
	$text = str_replace("ġ", "ғ", $text);
	$text = str_replace("ğ", "ҕ", $text);
	$text = str_replace("ḥ", "һ", $text);
	$text = str_replace("d", "д", $text);
	$text = str_replace("đ", "ђ", $text);
	$text = str_replace("e", "е", $text);
	$text = str_replace("ĕ", "ӗ", $text);
	$text = str_replace("ë", "ё", $text);
	$text = str_replace("ê", "є", $text);
	$text = str_replace("ž", "ж", $text);
	$text = str_replace("ž̦", "җ", $text);
	$text = str_replace("z̄", "ӝ", $text);
	$text = str_replace("z̆", "ӂ", $text);
	$text = str_replace("z", "з", $text);
	$text = str_replace("z̈", "ӟ", $text);
	$text = str_replace("ẓ", "ҙ", $text);
	$text = str_replace("ź", "ӡ", $text);
	$text = str_replace("ẑ", "ѕ", $text);
	$text = str_replace("i", "и", $text);
	$text = str_replace("ī", "ӣ", $text);
	$text = str_replace("í", "и́", $text);
	$text = str_replace("î", "ӥ", $text);
	$text = str_replace("j", "й", $text);
	$text = str_replace("ì", "і", $text);
	$text = str_replace("ï", "ї", $text);
	$text = str_replace("ǐ", "і̄", $text);
	$text = str_replace("ǰ", "ј", $text);
	$text = str_replace("j́", "ј̵", $text);
	$text = str_replace("k", "к", $text);
	$text = str_replace("ḱ", "ќ", $text);
	$text = str_replace("ḳ", "ӄ", $text);
	$text = str_replace("k̂", "ҝ", $text);
	$text = str_replace("ǩ", "ҡ", $text);
	$text = str_replace("k̄", "ҟ", $text);
	$text = str_replace("k̦", "қ", $text);
	$text = str_replace("k̀", "к̨", $text);
	$text = str_replace("q", "ԛ", $text);
	$text = str_replace("l", "л", $text);
	$text = str_replace("l̂", "љ", $text);
	$text = str_replace("ĺ", "Л’", $text);
	$text = str_replace("l̦", "ԡ", $text);
	$text = str_replace("m", "м", $text);
	$text = str_replace("n", "н", $text);
	$text = str_replace("n̂", "њ", $text);
	$text = str_replace("n̦", "ң", $text);
	$text = str_replace("ṇ", "ӊ", $text);
	$text = str_replace("ṅ", "ҥ", $text);
	$text = str_replace("ǹ", "ԋ", $text);
	$text = str_replace("ń", "ԣ", $text);
	$text = str_replace("ň", "ӈ", $text);
	$text = str_replace("n̄", "н̄", $text);
	$text = str_replace("o", "о", $text);
	$text = str_replace("ö", "ӧ", $text);
	$text = str_replace("ô", "ө", $text);
	$text = str_replace("ő", "ӫ", $text);
	$text = str_replace("ọ̈", "о̄̈", $text);
	$text = str_replace("ò", "ҩ", $text);
	$text = str_replace("ó", "о́", $text);
	$text = str_replace("ō", "о̄", $text);
	$text = str_replace("œ", "œ", $text);
	$text = str_replace("p", "п", $text);
	$text = str_replace("ṕ", "ҧ", $text);
	$text = str_replace("p̀", "ԥ", $text);
	$text = str_replace("r", "р", $text);
	$text = str_replace("s", "с", $text);
	$text = str_replace("ș", "ҫ", $text);
	$text = str_replace("s̀", "с̀", $text);
	$text = str_replace("t", "т", $text);
	$text = str_replace("ć", "ћ", $text);
	$text = str_replace("t̀", "ԏ", $text);
	$text = str_replace("ť", "т̌", $text);
	$text = str_replace("ț", "ҭ", $text);
	$text = str_replace("u", "у", $text);
	$text = str_replace("ü", "ӱ", $text);
	$text = str_replace("ū", "ӯ", $text);
	$text = str_replace("ŭ", "ў", $text);
	$text = str_replace("ű", "ӳ", $text);
	$text = str_replace("ú", "у́", $text);
	$text = str_replace("ụ̈", "ӱ̄", $text);
	$text = str_replace("ù", "ү", $text);
	$text = str_replace("u̇", "ұ", $text);
	$text = str_replace("ụ̄", "ӱ̄", $text);
	$text = str_replace("w", "ԝ", $text);
	$text = str_replace("f", "ф", $text);
	$text = str_replace("h", "х", $text);
	$text = str_replace("h̦", "ҳ", $text);
	$text = str_replace("c", "ц", $text);
	$text = str_replace("c̄", "ҵ", $text);
	$text = str_replace("d̂", "џ", $text);
	$text = str_replace("č", "ч", $text);
	$text = str_replace("c̦", "ҷ", $text);
	$text = str_replace("c̣", "ӌ", $text);
	$text = str_replace("c̈", "ӵ", $text);
	$text = str_replace("ĉ", "ҹ", $text);
	$text = str_replace("c̀", "ч̀", $text);
	$text = str_replace("c̆", "ҽ", $text);
	$text = str_replace("c̨̆", "ҿ", $text);
	$text = str_replace("š", "ш", $text);
	$text = str_replace("ŝ", "щ", $text);
	$text = str_replace("ʺ", "ъ", $text);
	$text = str_replace("y", "ы", $text);
	$text = str_replace("ÿ", "ӹ", $text);
	$text = str_replace("ȳ", "ы̄", $text);
	$text = str_replace("ʹ", "ь", $text);
	$text = str_replace("è", "э", $text);
	$text = str_replace("a̋", "ә", $text);
	$text = str_replace("à", "ӛ", $text);
	$text = str_replace("û", "ю", $text);
	$text = str_replace("û̄", "ю̄", $text);
	$text = str_replace("â", "я", $text);
	$text = str_replace("g̀", "ґ", $text);
	$text = str_replace("ě", "ѣ", $text);
	$text = str_replace("ǎ", "ѫ", $text);
	$text = str_replace("f̀", "ѳ", $text);
	$text = str_replace("ỳ", "ѵ", $text);

	$text = str_replace("A", "А", $text);
	$text = str_replace("Ä", "Ӓ", $text);
	$text = str_replace("Ạ̈", "Ӓ̄", $text);
	$text = str_replace("Ă", "Ӑ", $text);
	$text = str_replace("Ā", "А̄", $text);
	$text = str_replace("Æ", "Ӕ", $text);
	$text = str_replace("Á", "А́", $text);
	$text = str_replace("Å", "А̊", $text);
	$text = str_replace("B", "Б", $text);
	$text = str_replace("V", "В", $text);
	$text = str_replace("G", "Г", $text);
	$text = str_replace("Ǵ", "Ѓ", $text);
	$text = str_replace("Ġ", "Ғ", $text);
	$text = str_replace("Ğ", "Ҕ", $text);
	$text = str_replace("Ḥ", "Һ", $text);
	$text = str_replace("D", "Д", $text);
	$text = str_replace("Đ", "Ђ", $text);
	$text = str_replace("E", "Е", $text);
	$text = str_replace("Ĕ", "Ӗ", $text);
	$text = str_replace("Ë", "Ё", $text);
	$text = str_replace("Ê", "Є", $text);
	$text = str_replace("Ž", "Ж", $text);
	$text = str_replace("Ž̦", "Җ", $text);
	$text = str_replace("Z̄", "Ӝ", $text);
	$text = str_replace("Z̆", "Ӂ", $text);
	$text = str_replace("Z", "З", $text);
	$text = str_replace("Z̈", "Ӟ", $text);
	$text = str_replace("Ẓ", "Ҙ", $text);
	$text = str_replace("Ź", "Ӡ", $text);
	$text = str_replace("Ẑ", "Ѕ", $text);
	$text = str_replace("I", "И", $text);
	$text = str_replace("Ī", "Ӣ", $text);
	$text = str_replace("Í", "И́", $text);
	$text = str_replace("Î", "Ӥ", $text);
	$text = str_replace("J", "Й", $text);
	$text = str_replace("Ì", "І", $text);
	$text = str_replace("Ï", "Ї", $text);
	$text = str_replace("Ǐ", "І̄", $text);
	$text = str_replace("J̌", "Ј", $text);
	$text = str_replace("J́", "Ј̵", $text);
	$text = str_replace("K", "К", $text);
	$text = str_replace("Ḱ", "Ќ", $text);
	$text = str_replace("Ḳ", "Ӄ", $text);
	$text = str_replace("K̂", "Ҝ", $text);
	$text = str_replace("Ǩ", "Ҡ", $text);
	$text = str_replace("K̄", "Ҟ", $text);
	$text = str_replace("K̦", "Қ", $text);
	$text = str_replace("K̀", "К̨", $text);
	$text = str_replace("Q", "Ԛ", $text);
	$text = str_replace("L", "Л", $text);
	$text = str_replace("L̂", "Љ", $text);
	$text = str_replace("Ĺ", "Л’", $text);
	$text = str_replace("L̦", "Ԡ", $text);
	$text = str_replace("M", "М", $text);
	$text = str_replace("N", "Н", $text);
	$text = str_replace("N̂", "Њ", $text);
	$text = str_replace("N̦", "Ң", $text);
	$text = str_replace("Ṇ", "Ӊ", $text);
	$text = str_replace("Ṅ", "Ҥ", $text);
	$text = str_replace("Ǹ", "Ԋ", $text);
	$text = str_replace("Ń", "Ԣ", $text);
	$text = str_replace("Ň", "Ӈ", $text);
	$text = str_replace("N̄", "Н̄", $text);
	$text = str_replace("O", "О", $text);
	$text = str_replace("Ö", "Ӧ", $text);
	$text = str_replace("Ô", "Ө", $text);
	$text = str_replace("Ő", "Ӫ", $text);
	$text = str_replace("Ọ̈", "Ӧ̄", $text);
	$text = str_replace("Ò", "Ҩ", $text);
	$text = str_replace("Ó", "О́", $text);
	$text = str_replace("Ō", "О̄", $text);
	$text = str_replace("Œ", "Œ", $text);
	$text = str_replace("P", "П", $text);
	$text = str_replace("Ṕ", "Ҧ", $text);
	$text = str_replace("P̀", "Ԥ", $text);
	$text = str_replace("R", "Р", $text);
	$text = str_replace("S", "С", $text);
	$text = str_replace("Ș", "Ҫ", $text);
	$text = str_replace("S̀", "С̀", $text);
	$text = str_replace("T", "Т", $text);
	$text = str_replace("Ć", "Ћ", $text);
	$text = str_replace("T̀", "Ԏ", $text);
	$text = str_replace("Ť", "Т̌", $text);
	$text = str_replace("Ț", "Ҭ", $text);
	$text = str_replace("U", "У", $text);
	$text = str_replace("Ü", "Ӱ", $text);
	$text = str_replace("Ū", "Ӯ", $text);
	$text = str_replace("Ŭ", "Ў", $text);
	$text = str_replace("Ű", "Ӳ", $text);
	$text = str_replace("Ú", "У́", $text);
	$text = str_replace("Ụ̈", "Ӱ̄", $text);
	$text = str_replace("Ù", "Ү", $text);
	$text = str_replace("U̇", "Ұ", $text);
	$text = str_replace("Ụ̄", "Ӱ̄", $text);
	$text = str_replace("W", "Ԝ", $text);
	$text = str_replace("F", "Ф", $text);
	$text = str_replace("H", "Х", $text);
	$text = str_replace("H̦", "Ҳ", $text);
	$text = str_replace("C", "Ц", $text);
	$text = str_replace("C̄", "Ҵ", $text);
	$text = str_replace("D̂", "Џ", $text);
	$text = str_replace("Č", "Ч", $text);
	$text = str_replace("C̦", "Ҷ", $text);
	$text = str_replace("C̣", "Ӌ", $text);
	$text = str_replace("C̈", "Ӵ", $text);
	$text = str_replace("Ĉ", "Ҹ", $text);
	$text = str_replace("C̀", "Ч̀", $text);
	$text = str_replace("C̆", "Ҽ", $text);
	$text = str_replace("C̨̆", "Ҿ", $text);
	$text = str_replace("Š", "Ш", $text);
	$text = str_replace("Ŝ", "Щ", $text);
	$text = str_replace("ʺ", "Ъ", $text);
	$text = str_replace("Y", "Ы", $text);
	$text = str_replace("Ÿ", "Ӹ", $text);
	$text = str_replace("Ȳ", "Ы̄", $text);
	$text = str_replace("ʹ", "Ь", $text);
	$text = str_replace("È", "Э", $text);
	$text = str_replace("A̋", "Ә", $text);
	$text = str_replace("À", "Ӛ", $text);
	$text = str_replace("Û", "Ю", $text);
	$text = str_replace("Û̄", "Ю̄", $text);
	$text = str_replace("Â", "Я", $text);
	$text = str_replace("G̀", "Ґ", $text);
	$text = str_replace("Ě", "Ѣ", $text);
	$text = str_replace("Ǎ", "Ѫ", $text);
	$text = str_replace("F̀", "Ѳ", $text);
	$text = str_replace("Ỳ", "Ѵ", $text);

	$text = str_replace("‡", "Ӏ", $text);
	$text = str_replace("`", "ʼ", $text);
	$text = str_replace("¨", "ˮ", $text);

	return $text;	
}

function ipa_to_upa($text, $lang)
{
	$x = "";
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$prev = $x;
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if ($x == "ː")
		{
			$text = mb_substr($text,0,$i,"UTF-8").$prev.mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
			$x = $prev;
		}
	}
	
	if ($lang == "chv")
	{
		$text = str_replace("ə", "ă", $text);
		$text = str_replace("ɛ", "e", $text);	
		$text = str_replace("ɘ", "ĕ", $text);		
		$text = str_replace("ɕ", "ś", $text);			
		$text = str_replace("y", "ü", $text);			
		$text = str_replace("ʐ", "ž", $text);			
		$text = str_replace("ʋ", "v", $text);	
		$text = str_replace("ʂ", "š", $text);			
		$text = str_replace("ɯ", "ï", $text);	
	}
	
	
	$text = str_replace("̪", "", $text);
	$text = str_replace("o̞", "o", $text);
	
	$text = str_replace("ʲ", "'", $text);

	$text = str_replace("s'", "ś", $text);
	$text = str_replace("z'", "ź", $text);
	$text = str_replace("n'", "ń", $text);

	
	$text = str_replace("æ", "ä", $text);
	$text = str_replace("ɒ", "å", $text);
	$text = str_replace("ð", "δ", $text);
	$text = str_replace("θ", "ϑ", $text);
	$text = str_replace("ʒ", "ž", $text);
	$text = str_replace("ʎ", "l'", $text);
	$text = str_replace("ɲ", "ń", $text);
	
	$text = str_replace("e̽", "ə", $text);

	
	$text = str_replace("ɫ", "l", $text);

	$text = str_replace("ɨ", "i̮", $text);
	$text = str_replace("ɘ", "e̮", $text);
	
	$text = str_replace("ə", "e̮", $text);
	
	$text = str_replace("ɯ", "i̮", $text);
	$text = str_replace("ʌ", "e̮", $text);	
	

	$text = str_replace("ø", "ö", $text);
	$text = str_replace("y", "ü", $text);
	$text = str_replace("x", "χ", $text);
	$text = str_replace("c", "t'", $text);
	$text = str_replace("t͡s", "c", $text);
	$text = str_replace("t͡ɕ", "č́", $text);
	$text = str_replace("t͡ʃ", "č", $text);
	$text = str_replace("d͡z", "ʒ́", $text);
	$text = str_replace("d͡ʑ", "ǯ", $text);
	
	$text = str_replace("ɟ", "d'", $text);
	
	if ($lang == "udm" || $lang == "kom" )
	{
		$text = str_replace("ɕ", "ś", $text);
		$text = str_replace("ʑ", "ź", $text);
		
	}
	
	$text = str_replace("ʃ", "š", $text);
	$text = str_replace("ɕː", "š́š́", $text);
	$text = str_replace("ɕ", "š́", $text);
	$text = str_replace("ɤ̘", "ə̑", $text);
	$text = str_replace("ɤ", "ə̑", $text);
	$text = str_replace("w", "β", $text);
	$text = str_replace("ʁ", "γ", $text);
	$text = str_replace("ʑ", "ž'", $text);
	
	return $text;	
}

function upa_to_ipa($text, $lang, $assim)
{
	$text = mb_strtolower($text, 'UTF-8');
	
	$text = str_replace("š́š́", "ɕɕ", $text);
	
	if ($lang == "chv")
	{
		$text = str_replace("ă", "ə", $text);
		$text = str_replace("e", "ɛ", $text);	
		$text = str_replace("ĕ", "ɘ", $text);		
		$text = str_replace("ś", "ɕ", $text);			
		$text = str_replace("ü", "y", $text);			
		$text = str_replace("ž", "ʐ", $text);			
		$text = str_replace("v", "ʋ", $text);	
		$text = str_replace("š", "ʂ", $text);			
		$text = str_replace("ï", "ɯ", $text);	
	}
	else if ($lang == "rus")
	{
		$text = str_replace("ń", "nʲ", $text);	
		$text = str_replace("ś", "sʲ", $text);	
		$text = str_replace("ź", "zʲ", $text);	

		
		$text = str_replace("š", "ʂ", $text);
		$text = str_replace("ž'", "ʑ", $text);
		$text = str_replace("ž", "ʐ", $text);


		$text = str_replace("č́", "t͡ɕ", $text);
		$text = str_replace("'", "ʲ", $text);		
		$text = str_replace("̪ʲ", "ʲ", $text);	
	}
	else if ($lang == "myv" || $lang == "mdf")
	{
		$text = str_replace("ń", "nʲ", $text);	
		$text = str_replace("ś", "sʲ", $text);	
		$text = str_replace("ź", "zʲ", $text);
		$text = str_replace("ŕ", "rʲ", $text);	
		$text = str_replace("ć", "t͡sʲ", $text);			
		$text = str_replace("t'", "tʲ", $text);	
		$text = str_replace("d'", "dʲ", $text);
		$text = str_replace("l'", "lʲ", $text);	
		$text = str_replace("ʟ'", "l̥ʲ", $text);	
		$text = str_replace("ʀ́", "r̥ʲ", $text);			
		$text = str_replace("ʟ", "l̥", $text);	
		$text = str_replace("ʀ", "r̥", $text);
		$text = str_replace("ᴊ", "j̊", $text);
	}
	
	
	if ($lang == "tat" || $lang == "bak")
	{
		$text = str_replace("γ", "ʁ", $text);
		$text = str_replace("β", "w", $text);
	}
	//$text = str_replace("q", "", $text);	// ????????????????????
	
	


	$text = str_replace("å", "ɒ", $text);
	$text = str_replace("ä", "æ", $text);
	$text = str_replace("δ", "ð", $text);
	$text = str_replace("ϑ", "θ", $text);
	$text = str_replace("γ", "ɣ", $text);
	$text = str_replace("ž'", "ʑ", $text);
	$text = str_replace("ž", "ʒ", $text);
	$text = str_replace("l'", "ʎ", $text);
	$text = str_replace("ń", "ɲ", $text);
	$text = str_replace("ö", "ø", $text);
	$text = str_replace("ü", "y", $text);
	$text = str_replace("χ", "x", $text);
	$text = str_replace("c", "t͡s", $text);
	$text = str_replace("č́", "t͡ɕ", $text);
	$text = str_replace("č", "t͡ʃ", $text);
	$text = str_replace("ʒ́", "d͡z", $text);
	$text = str_replace("ǯ", "d͡ʑ", $text);
	$text = str_replace("š́", "ɕ", $text);
	$text = str_replace("š", "ʃ", $text);
	$text = str_replace("ə̑", "ɤ̘", $text);

	
	if ($lang == "udm" || $lang == "kom")
	{
		$text = str_replace("ś", "ɕ", $text);
		$text = str_replace("ź", "ʑ", $text);
		$text = str_replace("d'", "ɟ", $text);
		$text = str_replace("t'", "c", $text);
		$text = str_replace("l", "ɫ", $text);
		$text = str_replace("e̮", "ɘ", $text);
	}

	$text = str_replace("i̮", "ɨ", $text);
	$text = str_replace("e̮", "ə", $text);
	
	$text = str_replace("ï", "ɨ", $text);

	if ($lang == "mrj")
	{
		$text = str_replace("t'", "c", $text);	
		$text = str_replace("ə", "e̽", $text);
	}
	
	$text = str_replace("'", "ʲ", $text);

	$x = "";
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$prev = $x;
		$x = mb_substr($text, $i, 1,"UTF-8");
			
		if ($prev == $x)
			$text = mb_substr($text,0,$i,"UTF-8")."ː".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");			
	}
	while (strpos($text,"ːː") > -1)
		$text = str_replace("ːː", "ː", $text);
	
	$text = str_replace("\nː", "\n", $text);
	
	if ($lang == "rus" && $assim)
	{
		$text = str_replace("i❁","ɪ", $text);		// И
		$text = str_replace("i❀","ɪ", $text);
		
		$text = str_replace("ɨ❁","ɪ̈", $text);		// Ы
		$text = str_replace("ɨ❀","ɪ̈", $text);

		$text = str_replace("jo*","jɵ̞*", $text);	// О, Ё
		$text = str_replace("ʲo*","ʲɵ̞*", $text);	
		$text = str_replace("o*","o̞*", $text);
		
		$text = str_replace("o❁","ɐ", $text);
		$text = str_replace("o❀","ə", $text);
		
		$text = str_replace("ʲe","ʲ❁", $text);		// E, Э
		$text = str_replace("je","j❁", $text);		
		$text = str_replace("e*","ɛ", $text);
		$text = str_replace("e❁","ɪ̈", $text);
		$text = str_replace("e❀","ɪ̈", $text);
		$text = str_replace("ʲ❁","ʲe", $text);
		$text = str_replace("j❁","je", $text);
		$text = str_replace("e❁","ɪ", $text);
		$text = str_replace("e❀","ɪ", $text);
		
		$text = str_replace("u❁","ʊ", $text);		// У, Ю
		$text = str_replace("u❀","ʊ", $text);
		
		$text = str_replace("ja*","j❁", $text);	
		$text = str_replace("ʲa*","ʲ❁", $text);
		$text = str_replace("a*l̪","ɑ*l̪", $text);
		$text = str_replace("j❁","ja*", $text);	
		$text = str_replace("ʲ❁","ʲa*", $text);
		
		$text = str_replace("ja❁","jɪ", $text);		// А, Я
		$text = str_replace("ja❀","jɪ", $text);	
		$text = str_replace("ʲa❁","ʲɪ", $text);
		$text = str_replace("ʲa❀","ʲɪ", $text);	
		$text = str_replace("а❁","ɐ", $text);
		$text = str_replace("а❀","ə", $text);
		
		global $rus_pal;
		
		for ($i = 0; $i < count($rus_pal); $i++)
		{
			$text = str_replace("ʲa*".$rus_pal{$i},"ʲæ*".$rus_pal{$i}, $text);
			$text = str_replace("ja*".$rus_pal{$i},"jæ*".$rus_pal{$i}, $text);
			$text = str_replace("ʲa*❉".$rus_pal{$i},"ʲæ*❉".$rus_pal{$i}, $text);
			$text = str_replace("ja*❉".$rus_pal{$i},"jæ*❉".$rus_pal{$i}, $text);

			$text = str_replace("ʲʊ".$rus_pal{$i},"ʲʊ̈".$rus_pal{$i}, $text);
			$text = str_replace("jʊ".$rus_pal{$i},"jʊ̈".$rus_pal{$i}, $text);			
		}
			
	}

	return $text;	
}

//---------------------------------------------------------------------------------------------------------------------------------------

// CHECKS IF CHARACTER IS IN GROUPING

function is_l($c)
{
	global $gr_l;
	return in_array($c,$gr_l);
}

function is_lj($c)
{
	global $gr_lj;
	return in_array($c,$gr_lj);
}

function is_ly($c)
{
	global $gr_ly;
	return in_array($c,$gr_ly);
}

function is_c($c)
{
	global $gr_c;
	return in_array($c,$gr_c);
}

function is_clat($c)
{
	global $gr_clat;
	return in_array($c,$gr_clat);
}

function is_c1($c)
{
	global $gr_c1;
	return in_array($c,$gr_c1);
}

function is_c2($c)
{
	global $gr_c2;
	return in_array($c,$gr_c2);
}

function is_ce($c)
{
	global $gr_ce;
	return in_array($c,$gr_ce);
}

function is_csh($c)
{
	global $gr_csh;
	return in_array($c,$gr_csh);
}

function is_cl($c)
{
	global $gr_cl;
	return in_array($c,$gr_cl);
}

function is_ck($c)
{
	global $gr_ck;
	return in_array($c,$gr_ck);
}

function is_cp($c)
{
	global $gr_cp;
	return in_array($c,$gr_cp);
}

function is_co($c,$c2)
{
	if ($c == "ь") $c = $c2;
	
	global $gr_co;
	return in_array($c,$gr_co);
}

function is_cs($c,$c2)
{
	if ($c == "ь") $c = $c2;
	
	global $gr_cs;
	for ($i=0; $i < count($gr_cs); $i++)
	{
		if ($gr_cs[$i] == $c) return true;
	}
	return false;
}

function is_v($c)
{
	global $gr_v;
	return in_array($c,$gr_v);
}

function is_v1($c)
{
	global $gr_v1;
	return in_array($c,$gr_v1);
}

function is_v2($c)
{
	global $gr_v2;
	return in_array($c,$gr_v2);
}

function is_v3($c)
{
	global $gr_v3;
	return in_array($c,$gr_v3);
}

function is_vn($c)
{
	global $gr_vn;
	return in_array($c,$gr_vn);
}

function is_vr($c)
{
	global $gr_vr;
	return in_array($c,$gr_vr);
}

function is_vl($c)
{
	global $gr_vl;
	return in_array($c,$gr_vl);
}

function is_hm_cl($c)
{
	global $hm_cl;
	return in_array($c,$hm_cl);
}

//---------------------------------------------------------------------------------------------------------------------------------------

// GENERAL PROCEDURES

function substr_unicode($str, $s, $l = null) // Courtesy of qeremy [atta] gmail [dotta] com, http://php.net/manual/en/function.mb-substr.php
{
	return join("", array_slice(preg_split("//u", $str, -1, PREG_SPLIT_NO_EMPTY), $s, $l));
}

function strlen_unicode($s) // http://forums.phpfreaks.com/topic/137101-strlen-and-unicode/
{
  $a = preg_split("//u", $s);
  $i = -2;
  foreach ($a as $b)
    $i++;
  return $i;
}

function comp_end($input, $suffix)	// Checks if suffix is at end of word
{
		
	if (strpos($suffix,"H") >-1)
	{
		$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
		$har = harm_w($min1.$suffix);
		$suffix = str_replace("H",$har,$suffix);
	}
	
	if (substr_unicode($input,strlen_unicode($input)-strlen_unicode($suffix)) == $suffix) return true;

	return false;
}

function decomment($input) // Remove annotation
{
	$input = str_replace(" ","",$input);
	$input = str_replace("'","",$input);
	$input = str_replace("%","",$input);
	$input = str_replace("\[","",$input);				
	$input = str_replace("\]","",$input);
	$input = str_replace("•","",$input);
	$input = str_replace("¤","",$input);
	$input = str_replace("‰","",$input);
	$input = str_replace("«","",$input);
	$input = str_replace("»","",$input);
	$input = str_replace("\<","",$input);
	$input = str_replace("\>","",$input);
	$input = str_replace("\{","",$input);
	$input = str_replace("\}","",$input);
	$input = str_replace("ь\\","ь",$input);	
	$input = str_replace("\\","",$input);		
	return ($input);
}

function deparent($input) // Remove parenthesis
{
	$input = str_replace(" ","",$input);
	$input = str_replace("\[","",$input);				
	$input = str_replace("\]","",$input);					
	$input = str_replace("«","",$input);
	$input = str_replace("»","",$input);
	$input = str_replace("\<","",$input);
	$input = str_replace("\>","",$input);
	$input = str_replace("\{","",$input);
	$input = str_replace("\}","",$input);
	
	return ($input);
}

function killparent($input) // Remove parenthesis and their contents
{
	$input = str_replace(" ","",$input);
	
	if (strpos($input,"[") > -1)
		$input = substr($input,0,strpos($input,"["));

	if (strpos($input,"(") > -1)
		$input = substr($input,0,strpos($input,"("));
		
	return ($input);
}

function destress($input) // Remove stress annotation
{
	$input = str_replace("•","",$input);
	$input = str_replace("¤","",$input);

	return ($input);
}

function  spirantize($input)
{
	global $gr_cvv;
		
	for ($i = 0; $i < count($gr_cvv); $i++)
	{
		$input = str_replace($gr_cvv{$i}."п",$gr_cvv{$i}."в¤", $input);
		$input = str_replace($gr_cvv{$i}."к",$gr_cvv{$i}."г¤", $input);
		$input = str_replace($gr_cvv{$i}."т",$gr_cvv{$i}."д¤", $input);

		$input = str_replace($gr_cvv{$i}."П",$gr_cvv{$i}."В¤", $input);
		$input = str_replace($gr_cvv{$i}."К",$gr_cvv{$i}."Г¤", $input);
		$input = str_replace($gr_cvv{$i}."Т",$gr_cvv{$i}."Д¤", $input);
		
		$input = str_replace($gr_cvv{$i}."ьп",$gr_cvv{$i}."ьв¤", $input);
		$input = str_replace($gr_cvv{$i}."ьк",$gr_cvv{$i}."ьг¤", $input);
		$input = str_replace($gr_cvv{$i}."ьт",$gr_cvv{$i}."ьд¤", $input);

		$input = str_replace($gr_cvv{$i}."ЬП",$gr_cvv{$i}."ЬВ¤", $input);
		$input = str_replace($gr_cvv{$i}."ЬК",$gr_cvv{$i}."ЬГ¤", $input);
		$input = str_replace($gr_cvv{$i}."ЬТ",$gr_cvv{$i}."ЬД¤", $input);
	}
	
	global $gr_v;
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace("¤".$gr_v{$i},$gr_v{$i}, $input);
	}
	
	$input = str_replace("в¤","п", $input);
	$input = str_replace("г¤","к", $input);
	$input = str_replace("д¤","т", $input);
	$input = str_replace("В¤","П", $input);
	$input = str_replace("Г¤","К", $input);
	$input = str_replace("Д¤","Т", $input);
	
	return ($input);
	
}


function presuffix($input, $suffix, $numchar) // Characters preceding suffix
{
	return substr_unicode($input,strlen_unicode($input)-strlen_unicode($suffix)-$numchar,$numchar);
}

function isVel ($word) // Return true if harmonic vowel is velar
{
	global $gr_hmp;
	global $gr_hmv;
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (in_array($c, $gr_hmp)) return false;
		if (in_array($c, $gr_hmv)) return true;			
	}
	return true;
}

function harm_hill ($word, $charAdd) // Return harmonic vowel - Hill Mari
{
	global $gr_hmp;
	global $gr_hmv;

	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (in_array($c, $gr_hmp)) return "\{ӹ$charAdd\}";
		if (in_array($c, $gr_hmv)) return "\{ы$charAdd\}";			
	}
	return "\{ы\}";
}



function harm ($word) // Return harmonic vowel
{
	$word = str_replace("ы•","е",$word);
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "\{ӧ¤\}";
		if (is_v2($c)) return "\{о¤\}";
		if (is_v1($c) || $c == "|" || $c == "-")  return "%\{е¤\}";				
	}
	return "%\{е¤\}";
}

function harm_fromy ($word) // "Unreduce" ы
{
	$word = str_replace("ы•","е",$word);
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "«ӧ¤»";
		if (is_v2($c)) return "«о¤»";
		if (is_v1($c) || $c == "|" || $c == "-") return "«е¤»";				
	}
	return "«е¤»";
}

function harm_w ($word) // Return harmonic vowel without annotation
{
	$word = str_replace("ы•","е",$word);
	$word = str_replace("ы*","е",$word);
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "ӧ";
		if (is_v2($c)) return "о";
		if (is_v1($c) || $c == "|" || $c == "-") return "е";				
	}
	return "е";
}

function harm_wx ($word) // Return harmonic vowel without annotation; x if there are no vowels in the word
{
	$word = str_replace("ы•","е",$word);

	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "ӧ";
		if (is_v2($c)) return "о";
		if (is_v1($c) || $c == "|" || $c == "-") return "е";				
	}
		
	if (!(strpos($word,"ы") > -1))
		return "x";

	return "е";
}





function harm_j ($word) // Return harmonic vowel, preceded by й if not е
{
	$word = str_replace("ы•","е",$word);

	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "\[й\]\{ӧ¤\}";
		if (is_v2($c)) return "\[й\]\{о¤\}";
		if (is_v1($c) || $c == "|" || $c == "-") return "\<е¤\>";				
	}
	return "\<е¤\>";
}

function harm_j_from_j ($word) // add harmonic vowel to imperative in й
{
	$word = str_replace("ы•","е",$word);
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "й\{ӧ¤\}";
		if (is_v2($c)) return "й\{о¤\}";
		if (is_v1($c) || $c == "|" || $c == "-") return "\<е¤\>";			
	}
	return "\<е¤\>";
}

function harm_soft ($word) // Return harmonic vowel, preceded by ь if not е, brackets around ь
{
	$word = str_replace("ы•","е",$word);
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "\[ь\]\{ӧ¤\}";
		if (is_v2($c)) return "\[ь\]\{о¤\}";
		if (is_v1($c) || $c == "|" || $c == "-") return "\['\]\{е¤\}";				
	}
	return "\['\]\{е¤\}";
}

function harm_soft_fromy ($word) // "Unreduce" ьы
{
	$word = str_replace("ы•","е",$word);
	
	for ($i=strlen_unicode($word)-1; $i > -1; $i--)
	{
		$c = substr_unicode($word,$i,1);
		if (is_v3($c)) return "ь«ӧ¤»";
		if (is_v2($c)) return "ь«о¤»";
		if (is_v1($c) || $c == "|" || $c == "-") return "\['\]«е¤»";				
	}
	return "\['\]«е¤»";
}

function patternMatch ($pattern, $seg) // Check if segment is compatible with pattern, return "" if not, rest of pattern if is
{
	$seg1 = str_replace("«","*«",$seg)."*";
	
	if ($seg == "") return $pattern;
	else if (fnmatch($seg1,$pattern))
	{
		$kill = substr($seg,0,strpos($seg,"»")+2);
		return substr($pattern,0,strpos($pattern,$kill));
	}
}

function display ($archive, $input, $c_word, $c_pos, $c_gloss, $c_ilin, $dic_word, $dic_pos, $eng, $c_orig, $c_num) // Display interlinearized data
{
	$c_ilin = substr_unicode($c_ilin,0,strlen_unicode($c_ilin)-strlen_unicode("|"));
	$c_orig = substr_unicode($c_orig,0,strlen_unicode($c_orig)-strlen_unicode("|"));
	$c_gloss = substr_unicode($c_gloss,0,strlen_unicode($c_gloss)-strlen_unicode("|"));
	$c_pos = substr_unicode($c_pos,0,strlen_unicode($c_pos)-strlen_unicode("|"));
	
	$c_ilin = str_replace("|","</td><td>",$c_ilin);
	$c_orig = str_replace("|","</td><td>",$c_orig);
	
	if ($c_gloss != "") $c_gloss = "-".str_replace("|","</td><td>-",$c_gloss);	
	if ($c_pos != "") $c_pos = "-".str_replace("|","</td><td>-",$c_pos);

	$eng_short = $eng;
	
	$eng_short = preg_replace('/\s*\{[^}]*\}/', '', $eng);
	$eng_short = preg_replace('/\s*\<[^>]*\>/', '', $eng_short);
	$eng_short = preg_replace('/\s*\([^)]*\)/', '', $eng_short);
	
	while (strpos($eng_short,"• •") > -1)
		$eng_short = str_replace("• •","•",$eng_short);
	
	if (strpos($eng_short," •") > -1) $eng_short = substr($eng_short,0,strpos($eng_short," •"));
	$eng_short = str_replace("•","",$eng_short);
	$eng_short = str_replace("%to ","","%".$eng_short);
	$eng_short = str_replace("%","",$eng_short);
	$eng_short = depun($eng_short);
	$eng_short = str_replace(" ",".",$eng_short);
	if (strpos($eng_short,",") > -1) $eng_short = substr($eng_short,0,strpos($eng_short,","));
	
	if ($eng_short=="")
	{
		$eng_short ="[X]";
	}
	else if ($eng_short=="he")
	{
		$eng_short ="(s)he";
	}
	else if ($eng_short=="him")
	{
		$eng_short ="him/her";
	}
	else if ($eng_short=="his")
	{
		$eng_short ="his/her";
	}
	
	$c_word1 = str_replace("\{з\}","ч",$c_word);

	$line1 = "<tr class=\"div\"><td>$c_word1</td><td>$c_ilin</td></tr>\n";
	$line1 = str_replace("\\","",$line1);
	$line1 = str_replace("¤","",$line1);
	$line1 = str_replace("•","",$line1);
	$line1 = str_replace("%","",$line1);
	$line1 = preg_replace('/\s*\{[^}]*\}/', '', $line1);
	$line1 = str_replace("<е></td><td>-е","[й]</td><td>-е",$line1);
	$line1 = str_replace("<е></td><td>-Ø","й</td><td>-Ø",$line1);
	$line1 = str_replace("[й]</td><td>-<е></td><td>-[а]","[й]</td><td>-[]</td><td>-[а]",$line1);	
	$line1 = str_replace("<е></td><td>-[а]","[й]</td><td>-[а]",$line1);	

	$line1 = str_replace("<е>","йы",$line1);
	
	$line1 = str_replace("[']«е»","ьы",$line1);	
	$line1 = str_replace("«е»","ы",$line1);
	$line1 = str_replace("«о»","ы",$line1);
	$line1 = str_replace("«ӧ»","ы",$line1);
	
	$line1 = str_replace("«а-ӹ»","ӹ",$line1);
	$line1 = str_replace("«а-ы»","ы",$line1);	
	$line1 = str_replace("«о-ӹ»","ӹ",$line1);
	$line1 = str_replace("«о-ы»","ы",$line1);
	$line1 = str_replace("«я-ьӹ»","ьӹ",$line1);
	$line1 = str_replace("«я-ьы»","ьы",$line1);
	
	
	$line1 = str_replace("[']","[ь]",$line1);
	
	$dic_two = mb_strtolower($dic_word, "UTF-8");
	
	$c_word = str_replace("\[ь\]\{а\}","я",$c_word);
	
	if ($dic_word == $dic_two)
		$c_word = mb_strtolower($c_word, "UTF-8");
	
	$line2 = "<tr class=\"orig\"><td>$c_word</td><td>$c_orig</td></tr>\n";
	$line2 = str_replace("\[","",$line2);
	$line2 = str_replace("\]","",$line2);
	$line2 = str_replace("\<","",$line2);
	$line2 = str_replace("\>","",$line2);
	
	$line2 = str_replace("«а-ӹ»","а",$line2);
	$line2 = str_replace("«а-ы»","а",$line2);	
	$line2 = str_replace("«о-ӹ»","о",$line2);
	$line2 = str_replace("«о-ы»","о",$line2);
	$line2 = str_replace("«я-ьӹ»","я",$line2);
	$line2 = str_replace("«я-ьы»","я",$line2);	
	
	$line2 = str_replace("«","",$line2);
	$line2 = str_replace("»","",$line2);
	$line2 = str_replace("\{","",$line2);
	$line2 = str_replace("\}","",$line2);
	$line2 = str_replace("%","",$line2);
	$line2 = str_replace("¤","",$line2);
	$line2 = str_replace("•","",$line2);
	$line2 = str_replace("H","Е",$line2);
	
	$n = substr_count($line1,"<td>");
	
	$line0 = "<table>\n<tr class=\"headword\"><td class=\"headword\" colspan=\"$n\">¤ID:{$c_num}:ID¤ $input</td></tr>\n";
	
	
	$line3 = "<tr class=\"gloss\"><td><span title=\"$dic_word: $eng\" class=\"english\">$eng_short</span></td><td>$c_gloss</td></tr>\n";
	$line4 = "<tr class=\"pos\"><td>$dic_pos</td><td>$c_pos</td></tr>\n";
	$line5 = "</table>\n";
	
	$whole = $line0.$line1.$line2.$line3.$line4.$line5;
	
	$whole = str_replace("'[ь]","[ь]",$whole);
	$whole = str_replace("''","'",$whole);
	$whole = str_replace("-[ь]е","-'е",$whole);
	
	if (strpos($archive,"$whole") > -1)
		return "";
	return ($whole);
}

//---------------------------------------------------------------------------------------------------------------------------------------

// SUFFIX EXTRACTION AND TRANSFORMATION

function extract_suf ($type, $input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $conj, $doingHill)
{
	if (strpos($class,"{") > -1)
	{
		if ($conj < 1) $conj = 0;
		$c_ilin = $c_ilin."[".$conj."]";
	}

	if ($type == ("V"))
	{
		if ($doingHill)
			 return extractVhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);		
		else
			 return extractV ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
	}

	$input = str_replace("%","",$input);

	$suffix_disp = str_replace("|","|-",$suffix);	
	$orig = str_replace("|","|-",$orig);
	$suffix = str_replace("|","",$suffix);
	$suffix = str_replace("Ø","",$suffix);
	
	if ($doingHill)
	{
			 if ($type == ("E")) return extractEhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("A")) return extractAhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("T")) return extractThill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("S")) return extractShill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("N")) return extractNhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("O")) return extractOhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("3")) return extract3hill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("H")) return extractH ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("I")) return extractIhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("X")) return extractXhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
	}
	else
	{
			 if ($type == ("E")) return extractE ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("A")) return extractA ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("T")) return extractT ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("S")) return extractS ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("N")) return extractN ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp);
		else if ($type == ("O")) return extractO ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("3")) return extract3 ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("H")) return extractH ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("I")) return extractI ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
		else if ($type == ("X")) return extractX ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig);
	}
}

function extractEhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strlen_unicode($input) < 3)
		return;
		
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	
	if (comp_end($input, "йе".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "э".$suffix))
	{
		$last = presuffix($input, "э".$suffix, 1);
		
		global $gr_v;
		$h = harm_hill($min2, "¤");
		
		if (in_array($last, $gr_v))
		{
			return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-э$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2$h~1~$class$c_class~2~$gloss|$c_gloss~3~-э$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}

		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е".$suffix) && is_v(presuffix($input, "е".$suffix, 1)))
	{
		$h = harm_hill($min2, "¤");
		
		return ("$min2\[й\]~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min2}\[й\]{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е".$suffix) && is_c2(presuffix($input, "е".$suffix, 1)))
	{
		$h = harm_hill($min2, "¤");
		
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е".$suffix) && is_c1(presuffix($input, "е".$suffix, 1)))
	{	
		$h = harm_hill($min2, "¤");
		$hs = "\[ь\]".$h;
		
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\[ь\]~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractE ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strlen_unicode($input) < 3)
		return;
	
	if (strpos($suffix_disp,"H") >-1)
	{
		if (strpos($input,"\{") > -1)
		{ 	
			$suffix_disp = str_replace("H","\{H\}",$suffix_disp);
			$input = str_replace("\{","",$input);
			$input = str_replace("\}","",$input);
			$input = str_replace("¤","",$input);
		}
		else if (strpos($input,"«") > -1)
		{ 		
			$suffix_disp = str_replace("H","«H»",$suffix_disp);
			$input = str_replace("«","",$input);
			$input = str_replace("»","",$input);
			$input = str_replace("¤","",$input);
		}

		$suffix_disp = str_replace("H","е",$suffix_disp);
	}
		
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	
	if (comp_end($input, "а".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "я".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "э".$suffix))
	{
		$h = harm($min2);
		
		$last = presuffix($input, "э".$suffix, 1);
		
		global $gr_ve;
		global $gr_ves;
		
		if (in_array($last, $gr_ve))
		{
			return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-э$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{{$h}¤\}~1~$class$c_class~2~$gloss|$c_gloss~3~-э$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
		else if (in_array($last, $gr_ves))
		{
			return ("{$min2}•~1~$class$c_class~2~$gloss|$c_gloss~3~-э$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
		else
		{
			return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
	}
	else if (comp_end($input, "ье".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "йе".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е".$suffix) && is_v(presuffix($input, "е".$suffix, 1)))
	{
		$hj = harm_j($min2);
		
		return ("$min2\[й\]~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$hj}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е".$suffix) && is_c2(presuffix($input, "е".$suffix, 1)))
	{
		$h = harm($min2);
		
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е".$suffix) && is_c1(presuffix($input, "е".$suffix, 1)))
	{	
		$h = harm($min2);
		$hs = harm_soft($min2);
		
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\[ь\]~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-е$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractAhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strlen_unicode($input) < 3 || comp_end($input, "ьа".$suffix) || comp_end($input, "ьӓ".$suffix))
		return;

	
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$a = "ӓ";
	
	if(isVel($min2))
	{
		$suffix = str_replace("А","а",$suffix);
		$suffix = str_replace("Ы","ы",$suffix);
		$suffix_disp = str_replace("А","а",$suffix_disp);
		$suffix_disp = str_replace("Ы","ы",$suffix_disp);
		$a = "а";
	}
	else
	{
		$suffix = str_replace("А","ӓ",$suffix);
		$suffix = str_replace("Ы","ӹ",$suffix);	
		$suffix_disp = str_replace("А","ӓ",$suffix_disp);
		$suffix_disp = str_replace("Ы","ӹ",$suffix_disp);
	}

	if (comp_end($input, "я".$suffix) && is_v(presuffix($input, "я".$suffix, 1)))
	{
		$h = harm_hill($min2, "");
		return ("$min2\[й\]~1~$class$c_class~2~$gloss|$c_gloss~3~-\[$a\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\[й\]$h~1~$class$c_class~2~$gloss|$c_gloss~3~-\[$a\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "я".$suffix))
	{
		$h = harm_hill($min2, "");
		return ("$min2\[ь\]~1~$class$c_class~2~$gloss|$c_gloss~3~-\[$a\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\[ь\]$h~1~$class$c_class~2~$gloss|$c_gloss~3~-\[$a\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");		
	}
	else if (comp_end($input, $a.$suffix) && is_v(presuffix($input, "а".$suffix, 1)))
	{
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-$a$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");		
	}
	else if (comp_end($input, $a.$suffix))
	{
		$h = harm_hill($min2, "");
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-$a$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2$h~1~$class$c_class~2~$gloss|$c_gloss~3~-$a$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");		
	}
	
	$a = "а";
	$suffix = str_replace("ӓ","а",$suffix);
	$suffix = str_replace("ӹ","ы",$suffix);
	$suffix_disp = str_replace("ӓ","а",$suffix_disp);
	$suffix_disp = str_replace("ӹ","ы",$suffix_disp);
		
	if (comp_end($input, $a.$suffix))
	{
		$h = harm_hill($min2, "‰");
		return ("$min2$h~1~$class$c_class~2~$gloss|$c_gloss~3~-$a$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");		
	}
}

function extractA ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strlen_unicode($input) < 3)
		return;
	
	if (strpos($suffix_disp,"H") >-1)
	{
		if (strpos($input,"\{") > -1)
		{ 	
			$suffix_disp = str_replace("H","\{H\}",$suffix_disp);
			$input = str_replace("\{","",$input);
			$input = str_replace("\}","",$input);
			$input = str_replace("¤","",$input);
		}
		else if (strpos($input,"«") > -1)
		{ 		
			$suffix_disp = str_replace("H","«H»",$suffix_disp);
			$input = str_replace("«","",$input);
			$input = str_replace("»","",$input);
			$input = str_replace("¤","",$input);
		}

		$suffix_disp = str_replace("H","е",$suffix_disp);
	}
		
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	
	if (comp_end($input, "я".$suffix) && is_v(presuffix($input, "я".$suffix, 1)))
	{
		$hj = harm_j($min2);
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\[й\]~1~$class$c_class~2~$gloss|$c_gloss~3~-\[а\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$hj}~1~$class$c_class~2~$gloss|$c_gloss~3~-\[а\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "я".$suffix))
	{
		$hs = harm_soft($min2);
		
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\[ь\]~1~$class$c_class~2~$gloss|$c_gloss~3~-\[а\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-\[а\]$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "а".$suffix) && is_cl(presuffix($input, "а".$suffix, 1)))
	{
		$h = harm($min2);
	
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-а$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-а$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьеа".$suffix))
	{
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-а$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "а".$suffix) && is_v(presuffix($input, "а".$suffix, 1)) && is_v(presuffix($input, "Vа".$suffix, 1)) )
	{
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-а$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "иа".$suffix))
	{
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-а$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "а".$suffix) && is_vr(presuffix($input, "а".$suffix, 1)))
	{
		return ("{$min2}•~1~$class$c_class~2~$gloss|$c_gloss~3~-а$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractThill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strlen_unicode($input) < 2)
		return;
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$t = "ӹ";
	
	$velar = isVel($min2);
	
	$x = presuffix($input, $suffix, 1);
	
	if (is_v($x) && $x != "ы" && $x != "ӹ")
		$velar = isVel($min1);

	if($velar)
	{
		$suffix = str_replace("А","а",$suffix);
		$suffix = str_replace("Ы","ы",$suffix);
		$suffix_disp = str_replace("А","а",$suffix_disp);
		$suffix_disp = str_replace("Ы","ы",$suffix_disp);
		$t = "ы";
	}
	else
	{
		$suffix = str_replace("А","ӓ",$suffix);
		$suffix = str_replace("Ы","ӹ",$suffix);		
		$suffix_disp = str_replace("А","ӓ",$suffix_disp);
		$suffix_disp = str_replace("Ы","ӹ",$suffix_disp);	}
	
	if (comp_end($input, $t.$suffix) && !(is_v(presuffix($input, $t.$suffix, 1))))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-$t$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}

	if (comp_end($input, $suffix) && is_v(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	
	
	if(!$velar)
	{
		$suffix = str_replace("ӓ","а",$suffix);
		$suffix = str_replace("ӹ","ы",$suffix);
		
		if (comp_end($input, "ы".$suffix))
		{
		return ("{$min1}‰~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
	}
}

function extractT ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_d)
{
	if (strlen_unicode($input) < 2)
		return;

	if (strpos($input,"\{") > -1)
	{ 	
		$suffix_d = str_replace("H","\{H\}",$suffix_d);
		$input = str_replace("\{","",$input);
		$input = str_replace("\}","",$input);
		$input = str_replace("¤","",$input);
	}
	else if (strpos($input,"«") > -1)
	{ 		
		$suffix_d = str_replace("H","«H»",$suffix_d);
		$input = str_replace("«","",$input);
		$input = str_replace("»","",$input);
		$input = str_replace("¤","",$input);
	}
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$min3 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-2);

	if (strpos($suffix_d,"H") >-1)
	{
		$har = harm_w($min1.$suffix);
		$suffix_d = str_replace("H",$har,$suffix_d);
	}
	
	if (comp_end($input, $suffix) && is_vn(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ье".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_v(presuffix($input, $suffix." ", 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_c(presuffix($input, $suffix." ", 1)))
	{
		return ("{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьы".$suffix))
	{
		$hs = harm_soft_fromy($min2);
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-ы$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min3{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ы".$suffix))
	{
		$h = harm_fromy($min2);
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-ы$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2%{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractShill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strlen_unicode($input) < 4)
		return;
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$t = "ӹ";
	
	$velar = isVel($min2);
	
	$x = presuffix($input, $suffix, 1);
	
	if (is_v($x) && $x != "ы" && $x != "ӹ")
		$velar = isVel($min1);

	if($velar)
	{
		$suffix = str_replace("А","а",$suffix);
		$suffix = str_replace("Ы","ы",$suffix);
		$suffix_disp = str_replace("А","а",$suffix_disp);
		$suffix_disp = str_replace("Ы","ы",$suffix_disp);
		$t = "ы";
	}
	else
	{
		$suffix = str_replace("А","ӓ",$suffix);
		$suffix = str_replace("Ы","ӹ",$suffix);
		$suffix_disp = str_replace("А","ӓ",$suffix_disp);
		$suffix_disp = str_replace("Ы","ӹ",$suffix_disp);
	}
	
	$s_suffix = str_replace("ш","\{ш\}",$suffix);
	$s_suffix_disp = str_replace("ш","\{ш\}",$suffix_disp);
	
	if (comp_end($input, $t.$suffix) && !(is_v(presuffix($input, $t.$suffix, 1))))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-$t$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}ш~1~$class$c_class~2~$gloss|$c_gloss~3~-$s_suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}

	if (comp_end($input, $suffix) && is_v(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}ш~1~$class$c_class~2~$gloss|$c_gloss~3~-$s_suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	
	if(!$velar)
	{
		$suffix = str_replace("ӓ","а",$suffix);
		$suffix = str_replace("ӹ","ы",$suffix);
		$suffix_disp = str_replace("ӓ","а",$suffix_disp);
		$suffix_disp = str_replace("ӹ","ы",$suffix_disp);

		if (comp_end($input, "ы".$suffix))
		{
		return ("{$min1}‰~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
	}
}

function extractS ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	if (strlen_unicode($input) < 4)
		return;
		
	$suffix_d = $suffix;	// Suffix as displayed in gloss
	
	if (strpos($input,"\{") > -1)
	{ 	
		$suffix_d = str_replace("H","\{H\}",$suffix_d);
		$input = str_replace("\{","",$input);
		$input = str_replace("\}","",$input);
		$input = str_replace("¤","",$input);
	}
	else if (strpos($input,"«") > -1)
	{ 	
		$suffix_d = str_replace("H","«H»",$suffix_d);
		$input = str_replace("«","",$input);
		$input = str_replace("»","",$input);
		$input = str_replace("¤","",$input);
	}

	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	
	if (strpos($suffix_d,"H") >-1)
	{
		$har = harm_w($min1.$suffix);

		if ($har != "е" && comp_end($input, "е"))
		{
			$suffix_d = str_replace("H","е",$suffix_d);
			$x = max(strpos($input,"o"),strpos($input,"ӧ"),strpos($input,"у"),strpos($input,"ӱ"));
			$y = strpos($input,"ы", $x);
			$input = substr($input,0,$y + strlen("ы"))."•".substr($input,$y + strlen("ы"),strlen($input));	
		}
		else
			$suffix_d = str_replace("H",$har,$suffix_d);
	}

	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$min3 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-2);
		
	$s_suffix = str_replace("ш","\{ш\}",$suffix_d);
		
	if (comp_end($input, $suffix) && is_vn(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}ш~1~$class$c_class~2~$gloss|$c_gloss~3~-$s_suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ье".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_v(presuffix($input, $suffix." ", 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_c(presuffix($input, $suffix." ", 1)))
	{
		return ("{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}ш~1~$class$c_class~2~$gloss|$c_gloss~3~-$s_suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьы".$suffix))
	{
		$hs = harm_soft_fromy($min2);
	
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-ы$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min3{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}ш~1~$class$c_class~2~$gloss|$c_gloss~3~-$s_suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ы".$suffix))
	{
		$h = harm_fromy($min2);
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-ы$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2%{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$min1}ш~1~$class$c_class~2~$gloss|$c_gloss~3~-$s_suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractNhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	
	if(isVel($min1))
	{
		$suffix = str_replace("А","а",$suffix);
		$suffix = str_replace("Ы","ы",$suffix);
		$suffix_disp = str_replace("А","а",$suffix_disp);
		$suffix_disp = str_replace("Ы","ы",$suffix_disp);
	}
	else
	{
		$suffix = str_replace("А","ӓ",$suffix);
		$suffix = str_replace("Ы","ӹ",$suffix);
		$suffix_disp = str_replace("А","ӓ",$suffix_disp);
		$suffix_disp = str_replace("Ы","ӹ",$suffix_disp);
	}
	
	if (comp_end($input, $suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractN ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $suffix_disp)
{
	if (strpos($suffix,"•") > -1)
	{
		if (strpos($input,"¤") > -1)
			return;
			
		$input = str_replace("•","",$input);
		$suffix = str_replace("•","",$suffix);
	}


	if (strpos($input,"\{е¤\}") > -1)
	{
		$input = str_replace("\{е¤\}","е",$input);
		$suffix = str_replace("H","е",$suffix);
		$suffix_disp = str_replace("H","",$suffix_disp);
	}
	else if (strpos($input,"\{о¤\}") > -1)
	{
		$input = str_replace("\{о¤\}","о",$input);
		$suffix = str_replace("H","о",$suffix);
		$suffix_disp = str_replace("H","",$suffix_disp);
	}
	else if (strpos($input,"\{ӧ¤\}") > -1)
	{
		$input = str_replace("\{ӧ¤\}","ӧ",$input);
		$suffix = str_replace("H","ӧ",$suffix);
		$suffix_disp = str_replace("H","",$suffix_disp);
	}
	else if (strpos($suffix,"H") > -1)
	{
		$last = substr_unicode($input,strlen_unicode($input)-1,1);
		if ($last == "е")
			$suffix_disp = str_replace("H","е",$suffix_disp);
		else if ($last == "о")
			$suffix_disp = str_replace("H","о",$suffix_disp);
		else if ($last == "ӧ")
			$suffix_disp = str_replace("H","ӧ",$suffix_disp);
	}

	if (strpos($input,"\{") > -1 && comp_end($suffix, "е"))
	{ 	
		$suffix_disp = substr_unicode($suffix_disp,0,strlen_unicode($suffix_disp)-1);
		$input = str_replace("\{","",$input);
		$input = str_replace("\}","",$input);
		$input = str_replace("¤","",$input);
	}
	else if (strpos($input,"«") > -1)
	{ 	
		$suffix_disp = substr_unicode($suffix_disp,0,strlen_unicode($suffix_disp)-1)."ы";
		$input = str_replace("«","",$input);
		$input = str_replace("»","",$input);
		$input = str_replace("¤","",$input);
	}

	if (strlen_unicode($input) < 3)
		return;
		
	
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$min3 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-2);
	
	if (comp_end($input, $suffix) && is_c(presuffix($input, $suffix, 1)))
	{
		if (strpos($class,"{") > -1 || strpos($class,"DERIV") > -1)
		{
			if ($suffix != "ыт")	// No stem simplification before suffix of third person plural in first conjugation
			{
				if (presuffix($input, $suffix, 1) == "к")
				{
					if (strpos("-".$suffix_disp,"-ы") > -1)
						return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
					
					return ("$min1\{т\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
				}
				else if (presuffix($input, $suffix, 1) == "ч")
				{
					return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min1\{к\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{н\}ч~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{з\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
				}
				else if (presuffix($input, $suffix, 1) == "ш")
				{
					return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min1\{к\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
				}
			}
		}
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vn(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ье".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ь".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_v(presuffix($input, $suffix." ", 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_c(presuffix($input, $suffix." ", 1)))
	{
		return ("{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьы".$suffix))
	{
		$hs = harm_soft_fromy($min2);
		return ("$min3{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "йы".$suffix))
	{
		$hj = harm_j($min2);
		return ("$min3{$hj}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ы".$suffix))
	{
		$h = harm_fromy($min2);
		return ("$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_disp|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractOhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
}

function extractO ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	if (strlen_unicode($input) < 3)
		return;
		
	$suffix_vl = str_replace("з","с",$suffix);
	$suffix_vl = str_replace("ж","ш",$suffix_vl);
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$min3 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-2);
		
	$suffix_d = str_replace("H",harm_w($min1),$suffix);
	$suffix_vl_d = str_replace("H",harm_w($min1),$suffix_vl);
		
	if (comp_end($input, $suffix) && is_cs(presuffix($input, $suffix, 1),"x"))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix_vl) && is_co(presuffix($input, $suffix, 1),"x"))
	{

		if (presuffix($input, $suffix, 1) == "к")
		{
			return ("$min1\{т\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
		else if (presuffix($input, $suffix, 1) == "ч")
		{
			return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min1\{к\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{н\}ч~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{з\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}
		else if (presuffix($input, $suffix, 1) == "ш")
		{
			return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min1\{к\}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		}

		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if  (comp_end($input, "ы".$suffix) && is_cl(presuffix($input, "ы".$suffix, 1)))
	{
		$h = harm_fromy($min2);
		
		return ("$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}	
	else if  (comp_end($input, "ьы".$suffix))
	{
		$hs = harm_soft_fromy($min2);
		
		return ("$min3{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if  (comp_end($input, "йы".$suffix))
	{
		$hj = harm_j_from_j($min2);
		
		return ("$min3{$hj}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extract3hill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	
	if (strlen_unicode($input) < 2)
			return;

	$suffix_s = "ж";
	
	if (strpos("€€€".$c_ilin,"€€€-ы") > -1 || strpos("€€€".$c_ilin,"€€€-ӹ") > -1)
		$suffix_s = "€€€";
	
	if (comp_end($input, $suffix_s) && is_v(presuffix($input, $suffix_s, 1)))
	{
		$min0 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode("ж"));
		$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode("ж")-1);
		
		if (isVel($min0) == isVel($min1))
			return ("$min0~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		else if (isVel($min0))
			return ("{$min0}‰~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		else return;
	}
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode("жы"));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode("жы")-1);
	$a = presuffix($min1, "", 1);	

	if (isVel($min1) && !isVel($min2) && comp_end($input, "ыжы"))
		return ("{$min1}‰~1~$class$c_class~2~$gloss|$c_gloss~3~-жы|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		
	if (isVel($min1) == isVel($min2) || ($a != "ы" && $a != "ӹ") )
	{
		$suf = "ӹжӹ";
		$suf_s = "жӹ";
		
		if (isVel($min1))
		{
			$suf = "ыжы";
			$suf_s = "жы";
		}
		
		if (comp_end($input, "ш".$suf))
			return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-$suf|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suf_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		
		$a = presuffix($input, $suf, 1);
		$b = presuffix($input, $suf_s, 1);

		if (is_co(presuffix($input, $suf_s, 1),presuffix($input, $suf, 1)))
			$suf_s = str_replace("ж","ш",$suf_s);
			
		if (comp_end($input, $suf_s))
			return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suf_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	
	}
}

function extract3 ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	if (strlen_unicode($input) < 2)
		return;

	$suffix_s = "ж";
	
	if (strpos("€€€".$c_ilin,"€€€-ы") > -1)
		$suffix_s = "€€€";
			
	$suffix_vl = "шH";

	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));

	$h = harm_w($min1);
	
	if ((comp_end($input, "же") || comp_end($input, "ше")) && $h != "е")
	{
		$h = "е";
		$x = max(strpos($input,"o"),strpos($input,"ӧ"),strpos($input,"у"),strpos($input,"ӱ"));
		$y = strpos($input,"ы", $x);
		$input = substr($input,0,$y + strlen("ы"))."•".substr($input,$y + strlen("ы"),strlen($input));
	}
	
	
	$suffix_d = "ж".$h;
	$suffix_vl_d = "ш".$h;
	
	if (strpos($input,"\{") > -1)
	{
		$suffix_d = "ж\{".$h."\}";
		$suffix_vl_d = "ш\{".$h."\}";
		
		$input = str_replace("\{","",$input);
		$input = str_replace("\}","",$input);
		$input = str_replace("¤","",$input);
	}
	
	if (strpos($input,"¤»") > -1)
	{
		$suffix_d = "ж«".$h."»";
		$suffix_vl_d = "ш«".$h."»";
		
		$input = str_replace("%","",$input);
		$input = str_replace("«","",$input);
		$input = str_replace("»","",$input);
		$input = str_replace("¤","",$input);
	}
	
	$min0 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode("ж"));
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$min3 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-2);
				
	if (comp_end($input, $suffix) && is_cs(presuffix($input, $suffix, 1),presuffix($input, $suffix."_", 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vn(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix_s) && is_vn(presuffix($input, $suffix_s, 1)))
	{
		return ("$min0~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix_vl) && is_co(presuffix($input, $suffix_vl, 1),presuffix($input, $suffix."_", 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_vl_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьеже"))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьеж"))
	{
		return ("$min0~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_v(presuffix($input, $suffix." ", 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix_s) && is_vr(presuffix($input, $suffix_s, 1)) && is_v(presuffix($input, $suffix_s." ", 1)))
	{
		return ("$min0~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_vr(presuffix($input, $suffix, 1)) && is_c(presuffix($input, $suffix." ", 1)))
	{
		return ("{$min1}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix_s) && is_vr(presuffix($input, $suffix_s, 1)) && is_c(presuffix($input, $suffix_s." ", 1)))
	{
		return ("{$min0}•~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}	
	else if (comp_end($input, "шы".$suffix))
	{
		$h = harm_fromy($min2);
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-ы$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "шы".$suffix_s))
	{
		$h = harm_fromy($min2);
		
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-ы$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min1{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьы".$suffix))
	{
		$hs = harm_soft_fromy($min3);
		
		return ("$min3{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьы".$suffix_s))
	{
		$hs = harm_soft_fromy($min2);
		
		return ("$min2{$hs}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ы".$suffix))
	{
		$h = harm_fromy($min3);
		
		return ("$min2{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_d|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ы".$suffix_s))
	{
		$h = harm_fromy($min2);
	
		return ("$min1{$h}~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix_s|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}

}

function extractH ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	
	if (comp_end($input, "-".$suffix))
	{
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractIhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
}

function extractI ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	$red = false;

	$inputPre = $input;
	$input = str_replace("\{","",$input);
	$input = str_replace("\}","",$input);
	$input = str_replace("«","",$input);
	$input = str_replace("»","",$input);
	$input = str_replace("¤","",$input);
	$input = str_replace("%","",$input);
	
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	
	if (comp_end($input, "й"))
	{
		$hj = harm_j_from_j($min1);
		
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2{$hj}~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "е") && comp_end($input, "H") && is_v(presuffix($input, "е", 1)))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ьH") && !comp_end($input, "ье"))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "H") && !comp_end($input, "йе") && is_c(presuffix($input, "H", 1)))
	{
		if ($red)
			return ("{$min2}%«е¤»~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
		
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "у"))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß{$input}\{о\}~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	} 
	else if (comp_end($input, "ӱ"))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (is_ck(presuffix($input, "", 1)))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "к"))
	{
		return ("$inputPre\{т\}~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ч"))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$input\{к\}~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{н\}ч~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$min2\{з\}~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ш"))
	{
		return ("$inputPre~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß$input\{к\}~1~$class$c_class~2~$gloss|$c_gloss~3~-Ø|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

function extractVhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
}

function extractV ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	if (strlen_unicode($input) < 3)
		return;
		
	$suffix = "H";

	$showE = "е";
	
	$showS = "ь";
	
	if (strpos($input,"\[ь\]") > -1)
			$showS = "[ь]";
	
	$x = harm_w($input);

	if (strpos($input,"\{") > -1)
	{ 	
		$input = str_replace("\{","",$input);
		$input = str_replace("\}","",$input);
		$input = str_replace("¤","",$input);
		$input = str_replace("л%","ль",$input);
		$input = str_replace("н%","нь",$input);
		$input = str_replace("%","",$input);
		$input = str_replace("\[ь\]","ь",$input);
		$x = "\{".$x."\}";
	}
	else if (strpos($input,"«") > -1)
	{ 	
		$input = str_replace("«","",$input);
		$input = str_replace("»","",$input);
		$input = str_replace("¤","",$input);
		$x = "«".$x."»";
	}
	else if (strpos($input,"\<") > -1)
	{ 	
		if (strpos($input,"\<е") > -1)
			$showE = "\<е¤\>";
			
		$input = str_replace("\<","",$input);
		$input = str_replace("\>","",$input);
		$input = str_replace("¤","",$input);
		$x = "«".$x."»";
		
		
	}

	$input = str_replace("\['\]","",$input);

	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);

	if (comp_end($input, "е") && is_v(presuffix($input, $suffix, 1)))
	{	
		return ("{$min1}\[й\]~1~$class$c_class~2~$gloss|$c_gloss~3~-$showE|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß"); 
	}
	else if (comp_end($input, "й".$suffix) && !comp_end($input,"е"))
	{
		return ("{$min1}~1~$class$c_class~2~$gloss|$c_gloss~3~-$x|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß"); 
	}
	else if (comp_end($input, $suffix) && is_ce(presuffix($input, $suffix, 1)))
	{
		return ("{$min1}~1~$class$c_class~2~$gloss|$c_gloss~3~-$x|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß"); 
	}
	else if (comp_end($input, $suffix) && comp_end($input, "е") && is_cp(presuffix($input, $suffix, 1)))
	{
		return ("{$min1}~1~$class$c_class~2~$gloss|$c_gloss~3~-\['\]е|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß"); 
	}
	else if (comp_end($input, $suffix) && !comp_end($input, "е") && presuffix($input, $suffix, 1) == "ь")
	{	
		return ("{$min2}~1~$class$c_class~2~$gloss|$c_gloss~3~-$showS$x|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß"); 
	}
}

function extractXhill ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
}

function extractX ($input, $suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig)
{
	$x = presuffix($input, $suffix, 1);
	$min1 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix));
	$min2 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-1);
	$min3 = substr_unicode($input,0,strlen_unicode($input)-strlen_unicode($suffix)-2);

	if (comp_end($input, "й".$suffix))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, $suffix) && is_ce(presuffix($input, $suffix, 1)))
	{
		return ("$min1~1~$class$c_class~2~$gloss|$c_gloss~3~-$suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
	else if (comp_end($input, "ь".$suffix) && is_cp(presuffix($input, "ь".$suffix, 1)))
	{
		return ("$min2~1~$class$c_class~2~$gloss|$c_gloss~3~-ь$suffix|{$c_ilin}~4~$pos{$c_pos}~5~$orig|{$c_orig}ß");
	}
}

//---------------------------------------------------------------------------------------------------------------------------------------

// ADDING SUFFIXES (FOR PARADIGM GENERATOR)

function add ($input, $suffix, $type, $ort)
{

		$input == mb_strtolower($input, "UTF-8");
		
		$min1 = substr_unicode($input,0,strlen_unicode($input)-1);
		
		if (harm_wx($min1) == "x")
		{
			$min1 = $input;
		}
		
		
		if (harm_wx($min1) != harm_wx($input))
			$input = $input."¤";
		
		
		$input = str_replace("ье€","ье¤",$input."€");
		$input = str_replace("€","",$input);
		
		$suffix = str_replace("H",harm_w($input),$suffix);
	
		
			 if ($type == ("E")) $output = addE($input, $suffix);
		else if ($type == ("A")) $output = addA($input, $suffix);
		else if ($type == ("T")) $output = addT($input, $suffix);
		else if ($type == ("N")) $output = addN($input, $suffix);
		else if ($type == ("O")) $output = addO($input, $suffix);
		else if ($type == ("3")) $output = add3($input, $suffix);
		else if ($type == ("H")) $output = addH($input, $suffix);
		else if ($type == ("I")) $output = addI($input, $suffix);
		else if ($type == ("V")) $output = addV($input, $suffix);
		else $output = $input;
		
		$input = str_replace("£","",$input);

		$output = stress_meadow($output);
		
		$output = stress_fix($output);
		
		if ($ort == 1)
			$output = cyr_to_lat($output, "mhr", false);
		else if ($ort == 2)
			$output = upa_to_ipa(cyr_to_lat($output, "mhr", false), "mhr", false);
		
		return ($output);
}

function addE ($input, $suffix)
{
	$input = str_replace("£","",$input);
	$input = $input."€е".$suffix;

	$input = str_replace("*","•", $input);
	
	$input = str_replace("а•€е","а•€€",$input);
	$input = str_replace("я•€е","я•€€",$input);
	$input = str_replace("а€е","а€€",$input);
	$input = str_replace("я€е","я€€",$input);


	$input = str_replace("е•€е","е•€€",$input);
	$input = str_replace("э•€е","э•€€",$input);

	$input = str_replace("е¤€е","е¤€€",$input);
	$input = str_replace("э¤€е","э¤€€",$input);
	
	$input = str_replace("э€е","э€€",$input);
	
	
	
	$input = str_replace("е€е","е•€€",$input);
	
	$input = str_replace("уйо€е","уе•€€",$input);
	$input = str_replace("ӱйӧ€е","ӱе•€€",$input);
	
	
	$input = str_replace("ьо€е","'е•€€",$input);
	$input = str_replace("ьӧ€е","'е•€€",$input);
	$input = str_replace("уо€е","уэ•€€",$input);
	$input = str_replace("о€е","е•€€",$input);
	$input = str_replace("ӧ€е","е•€€",$input);
	
	$input = str_replace("й€е","€€е•",$input);
	$input = str_replace("ь€е","€€'е•",$input);
	
	
	
	$input = str_replace("у€е","у€€э•",$input);	
	$input = str_replace("у•€е","у€€э•",$input);		
	
	$input = str_replace("ӱ€е","ӱ€€э•",$input);	
	$input = str_replace("ӱ•€е","ӱ€€э•",$input);		
	
	$input = str_replace("и€е","и€€э•",$input);	
	$input = str_replace("и•€е","и€€э•",$input);	

	$input = str_replace("ю€е","ю€€э•",$input);	
	$input = str_replace("ю•€е","ю€€э•",$input);

	$input = str_replace("ӧ•€е","ӧ€€э•",$input);			
	$input = str_replace("о•€е","о€€э•",$input);		
	$input = str_replace("о¤€е","о€€э•",$input);		

	$input = str_replace("€е","€е•",$input);
	
	$input = str_replace("€","",$input);
	
	return ($input);
}

function addA ($input, $suffix)
{
	$input = str_replace("£","",$input);
	$input = $input."€а".$suffix;
	
	$input = str_replace("*","•", $input);
	
	
	
	global $gr_v;
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace($gr_v{$i}."е€а",$gr_v{$i}."я", $input);
	}
	
	
	
	$input = str_replace("а•€а","а•€€",$input);
	$input = str_replace("я•€а","я•€€",$input);
	$input = str_replace("а€а","а€€",$input);
	$input = str_replace("я€а","я€€",$input);


	$input = str_replace("•€а","€€а•",$input);
	$input = str_replace("¤€а","€€а•",$input);

	$input = str_replace("е€а","€а•",$input);
	$input = str_replace("о€а","€а•",$input);
	$input = str_replace("ӧ€а","€а•",$input);	
	
	$input = str_replace("€","",$input);	
	
	$input = str_replace("ьа","я",$input);	
	$input = str_replace("йа","я",$input);
	$input = str_replace("'а","я",$input);
	
	$input = str_replace("€","",$input);
	
	return ($input);
}

function addT ($input, $suffix)
{
	$input = str_replace("£","",$input);
	$input = $input."€ы".$suffix;
	
	$input = str_replace("*","•", $input);
	
	$input = str_replace("•€ы","•€", $input);
	$input = str_replace("¤€ы","¤€", $input);
	
	global $gr_vn;
	
	for ($i = 0; $i < count($gr_vn); $i++)
	{
		$input = str_replace($gr_vn{$i}."€ы",$gr_vn{$i}."€", $input);
	}
	
	global $gr_v;
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace($gr_v{$i}."е€ы",$gr_v{$i}."йы", $input);
	}

	$input = str_replace("'е€ы","ьы€€", $input);	
	$input = str_replace("е€ы","ы€€", $input);
	$input = str_replace("о€ы","ы€€", $input);
	$input = str_replace("ӧ€ы","ы€€", $input);

	$input = str_replace("€","",$input);
	
	return ($input);
}

function addN ($input, $suffix)
{
	$c = substr_unicode($suffix,0,1);
	
	if ($c != "ы")
	{
		$input = str_replace("кт£","к",$input);
		$input = str_replace("нч£","ч",$input);
		$input = str_replace("шк£","ш",$input);
		$input = str_replace("чк£","ч",$input);
		$input = str_replace("з£","ч",$input);	
	}
	
	$input = str_replace("£","",$input);	
	

	$input = $input."€".$suffix;

	global $gr_v;
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace($gr_v{$i}."е€",$gr_v{$i}."йы€", $input);
	}
	
	$input = str_replace("'е€","ьы€€", $input);	
	$input = str_replace("е€","ы€€", $input);
	$input = str_replace("о€","ы€€", $input);
	$input = str_replace("ӧ€","ы€€", $input);

	$input = str_replace("€","",$input);
	
	return ($input);
}

function addO ($input, $suffix)
{
	$input = str_replace("кт£","к",$input);
	$input = str_replace("нч£","ч",$input);
	$input = str_replace("шк£","ш",$input);
	$input = str_replace("чк£","ч",$input);
	$input = str_replace("з£","ч",$input);	
	
	$input = str_replace("£","",$input);
	
	$input = $input."€".$suffix;
	
	global $gr_v;
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace($gr_v{$i}."е€",$gr_v{$i}."йы€", $input);
	}
	
	$input = str_replace("'е€","ьы€€", $input);	
	$input = str_replace("е€","ы€€", $input);
	$input = str_replace("о€","ы€€", $input);
	$input = str_replace("ӧ€","ы€€", $input);
	
	
	
	
	global $gr_co;
		
	for ($i = 0; $i < count($gr_co); $i++)
	{
		$input = str_replace($gr_co{$i}."€з",$gr_co{$i}."€с", $input);
		$input = str_replace($gr_co{$i}."€ж",$gr_co{$i}."€ш", $input);
		$input = str_replace($gr_co{$i}."ь€з",$gr_co{$i}."ь€с", $input);
		$input = str_replace($gr_co{$i}."ь€ж",$gr_co{$i}."ь€ш", $input);
	}
	
	$input = str_replace("€","",$input);
	
	return ($input);
}

function add3 ($input, $suffix)
{
	$input = str_replace("£","",$input);
	$input = $input."€".$suffix;
	
		global $gr_v;
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace($gr_v{$i}."е€",$gr_v{$i}."йы€", $input);
	}
	
	$input = str_replace("'е€","ьы€", $input);	
	$input = str_replace("е€","ы€", $input);
	$input = str_replace("о€","ы€", $input);
	$input = str_replace("ӧ€","ы€", $input);
	

	
	global $gr_co;
		
	for ($i = 0; $i < count($gr_co); $i++)
	{
		$input = str_replace($gr_co{$i}."€ж",$gr_co{$i}."€ш", $input);
		$input = str_replace($gr_co{$i}."ь€ж",$gr_co{$i}."ь€ш", $input);
	}
	
	$suffixP = str_replace("е","(е¤)", $suffix);
	$suffixP = str_replace("о","(о¤)", $suffixP);
	$suffixP = str_replace("ӧ","(ӧ¤)", $suffixP);
	
	$input = str_replace("•€".$suffix,"•€".$suffixP, $input);
	$input = str_replace("¤€".$suffix,"¤€".$suffixP, $input);
	
	global $gr_v;
	
	$input = str_replace("•€".$suffix,"•€".$suffixP, $input);
	$input = str_replace("*€".$suffix,"*€".$suffixP, $input);
	$input = str_replace("¤€".$suffix,"¤€".$suffixP, $input);
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$input = str_replace($gr_v{$i}."€".$suffix,$gr_v{$i}."€".$suffixP, $input);
	}
		
	$input = str_replace("€","",$input);
	
	return ($input);
}

function addH ($input, $suffix)
{
	$input = str_replace("£","",$input);
	$input = $input."-".$suffix;	
	
	return ($input);
}

function addI ($input, $suffix)
{
	
	$input = str_replace("кт£","к",$input);
	$input = str_replace("нч£","ч",$input);
	$input = str_replace("шк£","ш",$input);
	$input = str_replace("чк£","ч",$input);
	$input = str_replace("з£","ч",$input);	
	
	$input = str_replace("£","",$input);	
	
	
	$input = $input."€";
	
	$input = str_replace("уо€","у€", $input);
	
	if (strpos($input,"ае€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("ае€","ай", $input);

	if (strpos($input,"ие€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("ие€","ий", $input);

	if (strpos($input,"ее€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("ее€","ей", $input);

	if (strpos($input,"яе€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("яе€","яй", $input);

	if (strpos($input,"ӱйӧ€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("ӱйӧ€","ӱй", $input);

	if (strpos($input,"ойо€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("ойо€","ой", $input);

	if (strpos($input,"ые€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("ые€","ый", $input);

	if (strpos($input,"уйо€") > -1)
		$input = str_replace("€","", $input)."/".str_replace("уйо€","уй", $input);

	
	$input = str_replace("€","",$input);
	
	return ($input);
}

function addV ($input, $suffix)
{
	$input = str_replace("£","",$input);
	$input = $input."€".$suffix;
	
	$input = str_replace("л€","ль€", $input);	
	$input = str_replace("н€","нь€", $input);
	$input = str_replace("ь€е","'€е", $input);
	
	$input = str_replace("й€е","е", $input);
	
	$input = str_replace("€","",$input);
	
	return ($input);
}

//---------------------------------------------------------------------------------------------------------------------------------------

// ANALYSIS MECHANISMS

function analyze_text($input,$chap,$hill) // Analyze text fragment
{
	$relDB = "meadow";
	$suffixes = "";
	$doingHill = false;
	
	if ($chap > -1)
		$relDB = "omjcheck";
	
	if ($hill > 0)
	{
		$relDB = "hill";
		$suffixes = "_hill";
		$doingHill = true;
	}
	
	$input = str_replace("<br>"," ",$input);
	
	while (strpos($input,"  "))
		$input = str_replace("  "," ",$input);

	$input = str_replace("¤"," ",$input);	// character used in annotation, occurrences thus removed from analyzed text
	$input = str_replace("ß","ss",$input);  // character used in annotation, occurrences thus removed from analyzed text
	$input = str_replace("|"," ",$input);   // character used in annotation, occurrences thus removed from analyzed text
	$input = str_replace("~"," ",$input);   // character used in annotation, occurrences thus removed from analyzed text
	
	include('passwords.php');

	global $arrangements;
	
	$mysqli = new mysqli($host,$user,$pw,$db_name);

	if ($mysqli->connect_errno)
	{
		printf("Connect failed: %s\n", $mysqli->connect_error);
		exit();
	}
	
	$mysqli->query("SET CHARACTER SET utf8");
	$mysqli->query("SET SESSION collation_connection =’utf8_general_ci");
		

	$sqlord_inf = "SELECT * FROM `suffixes_inf$suffixes`";
	$sqlres_inf = $mysqli->query($sqlord_inf);
	$rows_inf = $sqlres_inf->num_rows;

	$sqlord_der = "SELECT * FROM `suffixes_der$suffixes`";
	$sqlres_der = $mysqli->query($sqlord_der);
	$rows_der =  $sqlres_der->num_rows;
	
	$sqlord_func = "SELECT * FROM `function_words$suffixes`";
	$sqlres_func = $mysqli->query($sqlord_func);
	$rows_func =  $sqlres_func->num_rows;
	
	$words = explode(" ", $input);
	
	$cyrout = "<table>\n<tr class=\"whoknows\">\n";
	
	for ($j = 0; $j < count($words); $j++)
	{
		$input = $words[$j];
		$archive = "";
				
		if ($doingHill)
		{
			$inputOrd = str_replace("-шы", "", $input);
			$inputOrd = str_replace("-шӹ", "", $inputOrd);
		}
		else
		{
			$inputOrd = str_replace("-ше", "", $input);
			$inputOrd = str_replace("-шо", "", $inputOrd);
			$inputOrd = str_replace("-шӧ", "", $inputOrd);
		}
		
		$inputD = $input;
		
		$inputD = depun($inputD);

		$queue = $input."~1~~2~~3~~4~~5~ß";
		if (is_numeric($inputD))
		{
			$archive = "<table>\n<tr class=\"headword\"><td class=\"headword\">¤ID:{$j}:ID¤ $input</td></tr>\n<tr class=\"div\"><td>$inputD</td><td></td></tr>\n<tr class=\"orig\"><td>$inputD</td><td></td></tr>\n<tr class=\"gloss\"><td><span title=\"$inputD\" class=\"english\">$inputD</span></td><td></td></tr>\n<tr class=\"pos\"><td>nm</td><td></td></tr>\n</table>\n";
		}
		else if (is_numeric($inputOrd))
		{
			$inputEng = str_replace("-ше", "-", $input);
			$inputEng = str_replace("-шо", "-", $inputEng);
			$inputEng = str_replace("-шӧ", "-", $inputEng);
			$inputEng = str_replace("-шы", "-", $inputEng);
			$inputEng = str_replace("-шӹ", "-", $inputEng);
			
			$inputEng = str_replace("11-", "11th", $inputEng);
			$inputEng = str_replace("12-", "12th", $inputEng);
			$inputEng = str_replace("13-", "13th", $inputEng);
			
			$inputEng = str_replace("1-", "1st", $inputEng);
			$inputEng = str_replace("2-", "2nd", $inputEng);
			$inputEng = str_replace("3-", "3rd", $inputEng);
			
			$inputEng = str_replace("-", "th", $inputEng);
			
			$archive = "<table>\n<tr class=\"headword\"><td class=\"headword\">¤ID:{$j}:ID¤ $input</td></tr>\n<tr class=\"div\"><td>$input</td><td></td></tr>\n<tr class=\"orig\"><td>$input</td><td></td></tr>\n<tr class=\"gloss\"><td><span title=\"$input\" class=\"english\">$inputEng</span></td><td></td></tr>\n<tr class=\"pos\"><td>nm</td><td></td></tr>\n</table>\n";
		}
		else if (strlen($inputD) < 1)
		{
		}
		else while (strpos($queue,"ß") > -1)
		{
			$look = substr($queue,0,strpos($queue,"ß"));	// Take first item out of queue
			$queue = substr($queue, strpos($queue,"ß")+2);	// Remove said item from queue
			
			echo "<!--$look-->\n";							// Give current analysis point as HTML comment
	
			$c_word = depun(substr($look,0,strpos($look,"~1~")));	// Divide queue element into its parts
			
			$look = substr($look,strpos($look,"~1~")+3);
			
			$c_class= substr($look,0,strpos($look,"~2~"));
			$look = substr($look,strpos($look,"~2~")+3);
			
			$c_gloss   = substr($look,0,strpos($look,"~3~"));
			$look = substr($look,strpos($look,"~3~")+3);
			
			$c_ilin = substr($look,0,strpos($look,"~4~"));
			$look = substr($look,strpos($look,"~4~")+3);
		
			$c_pos = substr($look,0,strpos($look,"~5~"));
			
			$c_orig = substr($look,strpos($look,"~5~")+3);			
		
			$want = ""; // Determine which suffixes would still be desired
		
			for ($i = 0; $i < count($arrangements); $i++)	
			{
 				$want = $want.patternMatch($arrangements[$i],$c_class);
			}
			
			if   (!(strpos($c_word,"-шам") > -1 || strpos($c_word,"-вл") > -1)) // Look up word in Lexicon, or extract derivational suffixes - unless the plural suffixes -влак or -шамыч are still attached to stem
			{
				$c_word_diccheck = $c_word;
				for ($i = 0; $i < $rows_der; $i++)	// Derivation - Extracting suffixes
				{
					$class= db_result($sqlres_der,$i,"class");
					
					$pos = db_result($sqlres_der,$i,"pos")."|";
					$gloss = db_result($sqlres_der,$i,"gloss"); 
						
					$source = db_result($sqlres_der,$i,"s_cl");
					$target = db_result($sqlres_der,$i,"t_cl"); 
						
					$type = db_result($sqlres_der,$i,"type");
			
					$suffix =  db_result($sqlres_der,$i,"suffix");
					$orig = $suffix;
							
					if ($type == "A") $orig = "а".$orig;
					else if ($type == "E") $orig = "е".$orig;
						
					$orig = "-".$orig;
					
					$derivn = false;
					$derivv = false;
					
					if ($c_class == "DERIVN")
						$derivn = true;
					else if ($c_class == "DERIVV")
						$derivv = true;
											
					if ($class == "derN" && $source == "vb" && ($derivn || !(strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[1]") > -1 || strpos($c_ilin,"[2]") > -1))) // V-N
					{							
						$queue = $queue.extract_suf($type,$c_word_diccheck,$suffix, "DERIVV", $c_class, $gloss, $c_gloss, $c_ilin."[0]", $c_pos, $pos, $c_orig, $orig, 0, $doingHill);
					}
					else if ($class == "derN" && $source == "n" && ($derivn || !(strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[1]") > -1 || strpos($c_ilin,"[2]") > -1)))  // N-N
					{
						$queue = $queue.extract_suf($type,$c_word_diccheck,$suffix, "DERIVN", $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, 0, $doingHill);
					}
					else if ($class == "derV" && $source == "vb" && (strpos($c_ilin,"[0]") > -1 || (strpos($c_ilin,"[1]") > -1 && $target == "vb1") || (strpos($c_ilin,"[2]") > -1 && $target == "vb2") || $derivv)) // V-V
					{
						$c_now = str_replace("[1]","[0]",$c_ilin); 
						$c_now = str_replace("[2]","[0]",$c_now); 
						$queue = $queue.extract_suf($type,$c_word_diccheck,$suffix, "DERIVV", $c_class, $gloss, $c_gloss, $c_now, $c_pos, $pos, $c_orig, $orig, 0, $doingHill);
					}
					else if ($class == "derV" && $source == "n" && (strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[1]") > -1 || strpos($c_ilin,"[2]") > -1 || $derivv)) // N-V
					{
						$c_now = str_replace("[0]","",$c_ilin); 
						$c_now = str_replace("[1]","",$c_now); 
						$c_now = str_replace("[2]","",$c_now); 
						$queue = $queue.extract_suf($type,$c_word_diccheck,$suffix, "DERIVN", $c_class, $gloss, $c_gloss, $c_now, $c_pos, $pos, $c_orig, $orig, 0, $doingHill);
					}
				}
				
				if ( !strpos($c_word_diccheck,"•") && (strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[1]") > -1 || strpos($c_ilin,"[2]") > -1)) // Look up verbs in lexicon
				{
					$do_search = "";

					$search = str_replace("\['\]\{е¤\}","ье",$c_word_diccheck);

					$red = false;
					$finalE =  false;

					if (strpos($c_word_diccheck,"\<е¤\>") > -1)
						$finalE = true;
					
					$search = str_replace("¤","",$search);
					
					$search = str_replace("\{ӹ\}","\{ӧ¤\}",$search);
					$search = str_replace("\{ы\}","\{о¤\}",$search);

					$search = decomment($search);

					$last = substr_unicode($search,strlen_unicode($search)-1,1);
					$pen = substr_unicode($search,strlen_unicode($search)-2,1);
					$min1 = substr_unicode($search,0,strlen_unicode($search)-1);
					$min2 = substr_unicode($search,0,strlen_unicode($search)-2);
					
					$a = "а";
					
					$cllast = is_cl($last);
					$clpen = is_cl($pen);
					
					
					if ($relDB == "hill")
					{
						$cllast = is_hm_cl($last);
						$clpen = is_hm_cl($pen);	

						if (harm_hill($search, "") == "\{ӹ\}")
							$a = "ӓ";
					}
					
					if ((strpos($c_word_diccheck,"\{е¤\}") > -1) || (strpos($c_word_diccheck,"\{о¤\}") > -1) || (strpos($c_word_diccheck,"\{ӧ¤\}") > -1) ||  $last == "е" || $last == "о" || $last == "ӧ")
						$red = true;

					if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[1]") > -1 ) && $last=="й")	// e.g. лияш > лиям (-ям)
					{
						$do_search = $min1."яш (-ям)";
					}
					else if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[2]") > -1 ) && ($pen=="й" || $pen=="ь") && is_vr($last))	// e.g. лӱйӧ > лӱяш (-ем)
					{
						$do_search = $min2."яш (-ем)";
					}
					else if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[2]") > -1 ) && $last== "е" && $finalE) // e.g. каем > каяш (-ем)
					{
						$do_search = $min1."яш (-ем)";
					}
					else if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[2]") > -1 ) && is_v($pen) && $last=="е") // e.g. кае > каяш (-ем)
					{
						$do_search = $min1."яш (-ем)";
					}
					else if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[2]") > -1 ) && is_v($pen) && ($last=="о" || $last=="ӧ")) // e.g. пуем > пуаш (-эм)
					{
						$do_search = $min1."{$a}ш (-эм)";
					}
					else if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[1]") > -1 ) && $cllast)	// e.g. шинчам > шинчаш (-ам)
					{
						$do_search = $search."{$a}ш (-{$a}м)";
					}
					else if ((strpos($c_ilin,"[0]") > -1 || strpos($c_ilin,"[2]") > -1 ) && $clpen && is_vr($last) && $red) // e.g. шинчем > шинчаш (-ем)
					{
						$do_search = $min1."{$a}ш (-ем)";
					}
					else if ($relDB == "hill" && $last == "ь") // тыменяш (-ям) - Hill Mari only
					{
						$do_search = $min1."яш (-ям)";
					}
					
					if ($relDB == "hill")
					{
						// !!!!!!!!!!!!!!!!!
					}
					
					$sqlord_w = "SELECT cl, eng, madis FROM `$relDB` WHERE (ma LIKE '$do_search' OR ma LIKE '$do_search [%')";
					
					if ($chap > -1)
						$sqlord_w = $sqlord_w." AND (chapter <= $chap OR plus <= $chap)";
					
					$sqlres_w = $mysqli->query($sqlord_w);
					
					
				
					$rows_w = $sqlres_w->num_rows;

					$c_ilin = str_replace("[0]","",$c_ilin); 
					$c_ilin = str_replace("[1]","",$c_ilin); 
					$c_ilin = str_replace("[2]","",$c_ilin); 
					
					for ($i = 0; $i < $rows_w; $i++)
					{
						$dic_word = db_result($sqlres_w,$i,"madis");
						$dic_pos = db_result($sqlres_w,$i,"cl");
						$eng = db_result($sqlres_w,$i,"eng");
						
						$parless_word = deparent($c_word_diccheck);
						
						$parless_dic = killparent($dic_word);
						
						if (strpos($dic_word,"'") > -1)
						{
							$nostress = str_replace("•","",$dic_word);
							$nostress = "£".substr($nostress,0,strrpos($nostress,"'")+1);
							$nopal = str_replace("'","",$nostress);
							
							$c_word_diccheck = str_replace($nopal,$nostress,"£".$c_word_diccheck);
							$c_gloss = str_replace($nopal,$nostress,"£".$c_gloss);
							
							$c_word_diccheck = str_replace("£","",$c_word_diccheck);
							$c_gloss = str_replace("£","",$c_gloss);
						}
						$archive = $archive.display($archive, $input, $c_word_diccheck, $c_pos, $c_gloss, $c_ilin, $dic_word, $dic_pos, $eng, $c_orig, $j);
					}
				}
				else if ((strpos($c_class,"DERIVN") > -1) || (!(strpos($c_class,"{") > -1) && !(strpos($c_class,"DERIVV") > -1) )) // look up other things
				{
					$search = decomment($c_word_diccheck);
					
					$sqlord_w = "SELECT cl, eng, madis, html FROM `$relDB` WHERE (ma LIKE '$search' OR ma LIKE '$search(%' OR ma LIKE '$search [%'";
					
					if ($doingHill)
					{
						$search2 = $search."¤¤¤";
						$search2 = str_replace("ы¤¤¤","_",$search2);
						$search2 = str_replace("ӹ¤¤¤","_",$search2);
						$search2 = str_replace("ь_","я",$search2);
						$search2 = str_replace("¤¤¤","",$search2);
						
						$norm = "ma LIKE '$search' OR ma LIKE '$search(%' OR ma LIKE '$search [%'";
						$tolerate = "madis LIKE '%\%'";
						
						if (strpos($c_word_diccheck,"¤\}") > 0 || strpos($c_word_diccheck."£","ы£") > 0)
							$tolerate = "madis LIKE '%\%' OR madis LIKE '%¤'";					
						else if (strpos($c_word_diccheck,"‰") > 0)
						{
							$tolerate = "madis LIKE '%¤'";
							$norm = "FALSE";
						}
						
						$c_word_diccheck = str_replace("¤","",$c_word_diccheck);
						$c_word_diccheck = str_replace("‰","",$c_word_diccheck);
					
						if (strpos($search2,"_") > -1)
						{
							$search3 = str_replace("_","а",$search2);
							$search2 = str_replace("_","о",$search2);

							$sqlord_w = "SELECT cl, eng, madis, html FROM `$relDB` WHERE ((($norm) AND madis NOT LIKE '%\%' AND madis NOT LIKE '%¤') OR ((ma LIKE '$search2' OR ma LIKE '$search2(%' OR ma LIKE '$search2 [%' OR ma LIKE '$search3' OR ma LIKE '$search3(%' OR ma LIKE '$search3 [%') AND ($tolerate) )";
						}
						else if ($search != $search2)
						{
							$sqlord_w = "SELECT cl, eng, madis, html FROM `$relDB` WHERE ((($norm) AND madis NOT LIKE '%\%' AND madis NOT LIKE '%¤') OR ((ma LIKE '$search2' OR ma LIKE '$search2(%' OR ma LIKE '$search2 [%') AND ($tolerate) )";
						}
						else if (strlen($c_ilin) > 0)
						{
							$sqlord_w = "SELECT cl, eng, madis, html FROM `$relDB` WHERE ((($norm) AND madis NOT LIKE '%\%' AND madis NOT LIKE '%¤')";
						}
					}
					
					if (strpos($c_word_diccheck,"\{о¤\}") > -1 || strpos($c_word_diccheck,"\{ӧ¤\}") > -1)
					{
						$y = strrpos($c_word_diccheck,"ы");
						
						$x = max(strpos($c_word_diccheck,"o"),strpos($c_word_diccheck,"ӧ"),strpos($c_word_diccheck,"у"),strpos($c_word_diccheck,"ӱ"));
						
						if ($y > $x)
						{
							$stressY = str_replace("\{о¤\}","е",$c_word_diccheck);
							$stressY = str_replace("\{ӧ¤\}","е",$stressY);
							$sqlord_w = $sqlord_w." OR ((ma LIKE '$stressY' OR ma LIKE '$stressY(%' OR ma LIKE '$stressY [%') AND madis LIKE '%ы•%')";
						}
					}
					$sqlord_w = $sqlord_w.")";
					
					if (!(strpos($want,"x +") > -1))
					{
						$sqlord_w = $sqlord_w." AND (cl LIKE '%no%' OR cl LIKE '%ad%' OR cl LIKE '%nm%' OR cl LIKE '%pr%' OR cl LIKE '%pn%' OR cl LIKE '%na%'";
						if ((strpos($want,"p +") > -1))
						{
							$sqlord_w = $sqlord_w." OR cl LIKE '%po%' OR (cl LIKE '%av%' AND (ma LIKE '%мба%' OR ma LIKE '%ончы%'))";
						}
						$sqlord_w = $sqlord_w.")";
					}
					
					if ($chap > -1)
						$sqlord_w = $sqlord_w." AND (chapter <= $chap OR plus <= $chap)";
									
					$sqlres_w = $mysqli->query($sqlord_w);
					$rows_w = $sqlres_w->num_rows;
					
			
					for ($i = 0; $i < $rows_w; $i++)
					{
						$dic_word = db_result($sqlres_w,$i,"madis");
						
						
				
						
						if ($doingHill)
						{
							if (strpos($dic_word."£","а%£") > - 1 || strpos($dic_word."£","а¤£") > - 1)
							{
								
								$c_word_diccheck = str_replace("\{ӹ\}","\{а\}",$c_word_diccheck);
								$c_word_diccheck = str_replace("\{ы\}","\{а\}",$c_word_diccheck);
								
								$c_word_diccheck = str_replace("ы£","«а-ы»",$c_word_diccheck."£");
								$c_word_diccheck = str_replace("ӹ£","«а-ӹ»",$c_word_diccheck);
								$c_word_diccheck = str_replace("£","",$c_word_diccheck);
							}
							else if (strpos($dic_word."£","о%£") > - 1 || strpos($dic_word."£","о¤£") > - 1)
							{
								$c_word_diccheck = str_replace("\{ӹ\}","\{о\}",$c_word_diccheck);
								$c_word_diccheck = str_replace("\{ы\}","\{о\}",$c_word_diccheck);

								$c_word_diccheck = str_replace("ы£","«о-ы»",$c_word_diccheck."£");
								$c_word_diccheck = str_replace("ӹ£","«о-ӹ»",$c_word_diccheck);
								$c_word_diccheck = str_replace("£","",$c_word_diccheck);
							}
							else if (strpos($dic_word."£","я%£") > - 1)
							{
								$c_word_diccheck = str_replace("\{ӹ\}","\{а\}",$c_word_diccheck);
								$c_word_diccheck = str_replace("\{ы\}","\{а\}",$c_word_diccheck);

								$c_word_diccheck = str_replace("ьы£","«я-ьы»",$c_word_diccheck."£");
								$c_word_diccheck = str_replace("ьӹ£","«я-ьӹ»",$c_word_diccheck);
								$c_word_diccheck = str_replace("£","",$c_word_diccheck);
							}
						}
						else if (strpos($dic_word,"ы•") > - 1 && strpos($dic_word."£","е£") > - 1)
						{
							$c_word_diccheck = str_replace("\{о¤\}","е",$c_word_diccheck);
							$c_word_diccheck = str_replace("\{ӧ¤\}","е",$c_word_diccheck);
						}
												
						$dic_pos = db_result($sqlres_w,$i,"cl");
						$eng = db_result($sqlres_w,$i,"eng");
						
						
						$html = db_result($sqlres_w,$i,"html");
						
						if ($eng == "•")
						{
							if (strpos($html,"{cf. short form}") > -1)
							{
								$one = substr($html,strpos($html,"--\"PARENT\"--> </span> ")+22);
								$one = substr($one,0,strpos($one," <"));
								
								$sqlord_x = "SELECT eng FROM `$relDB` WHERE madis LIKE '$one'";
								$sqlres_x = $mysqli->query($sqlord_x);
								$rows_x = $sqlres_x->num_rows;
								
								if ($rows_x > 0)
									$eng = db_result($sqlres_x,$i,"eng");
							}
						}
						
						$add = true;
						
						$parless_word = deparent($c_word_diccheck);
						
						$parless_dic = killparent($dic_word);
						
						if (strpos($html,"{final vowel not reduced}") > -1)
							$parless_dic = $parless_dic."¤";

						if ($parless_dic == "ме" || $parless_dic == "те" || $parless_dic == "шке" || $parless_dic == "мо" || $parless_dic == "кӧ" || $parless_dic == "про")
							$parless_dic = $parless_dic."•";
						
						if ($parless_dic == "ма•рте")
						{
							$parless_dic = str_replace("•","",$parless_dic);
							$parless_word = str_replace("•","",$parless_word);
						}
						
						$parless_dic = $parless_dic."€";
						$parless_dic = str_replace("-мо€","-мо•",$parless_dic);
						$parless_dic = str_replace("-кӧ€","-кӧ•",$parless_dic);
						$parless_dic = str_replace("€","",$parless_dic);
						
						
						$parless_word_ds = destress($parless_word);
						$parless_dic_ds = destress($parless_dic);
					
						if ((strpos($parless_word ,"%") > -1)) // Check if palatalization is right
						{
							
							$ending = substr($parless_word_ds,strpos($parless_word_ds,"%")-2);
							$ending = str_replace("%","",$ending);
							
							if (!comp_end($parless_dic_ds,$ending))
								$add = false;
						}
						else if ((strpos($parless_word ,"'") > -1))
						{
							$ending = substr($parless_word_ds,strpos($parless_word_ds,"'")-2);
							if (!comp_end($parless_dic_ds,$ending))
								$add = false;
						}	
												
						if (comp_end($parless_word ,"•") && !( comp_end($parless_dic,"•") || comp_end($parless_dic,"¤") )) // Check if stress is right
							$add = false;
						else if (comp_end($parless_word ,"¤") && ( comp_end($parless_dic,"•") || comp_end($parless_dic,"¤") ))
							$add = false;
														
						$h = harm_w($parless_dic);
						
						if ($h == "е" && (strpos($c_ilin, "о|") > -1||strpos($c_ilin, "ӧ|") > -1))
							$add = false;
						
						if (strpos($parless_word, "ы•") > -1 && !(strpos($parless_dic, "ы•") > -1))
							$add = false;
							
						if ($add)
						{
							if (strpos($dic_word,"'") > -1)
							{
								$nostress = str_replace("•","",$dic_word);
								$nostress = "£".substr($nostress,0,strrpos($nostress,"'")+1);
								$nopal = str_replace("'","",$nostress);
								
								$c_word_diccheck = str_replace($nopal,$nostress,"£".$c_word_diccheck);
								$c_gloss = str_replace($nopal,$nostress,"£".$c_gloss);
								
								$c_word_diccheck = str_replace("£","",$c_word_diccheck);
								$c_gloss = str_replace("£","",$c_gloss);
							}

							$archive = $archive.display($archive, $input, $c_word_diccheck, $c_pos, $c_gloss, $c_ilin, $dic_word, $dic_pos, $eng, $c_orig, $j);
						}
					}
				}
			}
			
			for ($i = 0; $i < $rows_inf; $i++)	// Inflection - extracting suffixes
			{
				
				$class= db_result($sqlres_inf,$i,"class");

				if (strpos($want,$class) > -1)
				{
					$conj = db_result($sqlres_inf,$i,"conj");   
					$pos = db_result($sqlres_inf,$i,"pos")."|";
					$gloss = db_result($sqlres_inf,$i,"gloss");

					$type = db_result($sqlres_inf,$i,"type");
	
					$suffix =  db_result($sqlres_inf,$i,"suffix");
					$orig = $suffix;
					
					if ($type == "A") $orig = "а".$orig;
					else if ($type == "E") $orig = "е".$orig;				
					
					$orig = "-".$orig;
					
					$queue = $queue.extract_suf($type,$c_word,$suffix, $class, $c_class, $gloss, $c_gloss, $c_ilin, $c_pos, $pos, $c_orig, $orig, $conj, $doingHill);
				}
				
			}
		}

		for ($i = 0; $i < $rows_func; $i++)	// Replacing glossing of function words with ready-made glossings from database
		{
			$lex = db_result($sqlres_func,$i,"lex");
			$div = db_result($sqlres_func,$i,"div");
			$orig = db_result($sqlres_func,$i,"orig");
			$gloss = db_result($sqlres_func,$i,"gloss");
			$pos = db_result($sqlres_func,$i,"pos");

			if (strpos($archive,"<span title=\"".$lex.":") > 0)
			{
				$posit = strpos($archive,"<span title=\"".$lex.":");
				
				$a = strrpos ($archive, "<table>",-(strlen($archive) - $posit));
				$b = strpos ($archive, "</table>", $posit) + strlen("</table>");
				
				$old = substr($archive,$a,$b-$a);
				
				$a = strpos ($old, "colspan=\"") + strlen("colspan=\"");
				$b = strpos ($old, "\"", $a);
				
				$colOld = substr($old,$a,$b-$a);
				
				$colNew = $colOld + substr_count($div,"|");
				
				$new = str_replace("colspan=\"$colOld\"","colspan=\"$colNew\"",$old);
				
				$div = str_replace("|","</td><td>",$div);
				$orig = str_replace("|","</td><td>",$orig);
				$gloss = str_replace("|","</td><td>",$gloss);
				$pos = str_replace("|","</td><td>",$pos);
				
				
				$a = strpos ($new, "<tr class=\"div\"><td>");
				$b = strpos ($new, "</td>", $a);
				
				$rep = substr($old,$a,$b-$a);
				$new = str_replace($rep,"<tr class=\"div\"><td>".$div,$new);
				

				$a = strpos ($new, "<tr class=\"orig\"><td>");
				$b = strpos ($new, "</td>", $a);
				
				$rep = substr($new,$a,$b-$a);
				$new = str_replace($rep,"<tr class=\"orig\"><td>".$orig,$new);


				$a = strpos ($new, "<tr class=\"gloss\"><td>");
				$b = strpos ($new, "</td>", $a);
				
				$rep = substr($new,$a,$b-$a);
				$new = str_replace($rep,"<tr class=\"gloss\"><td>".$gloss,$new);

				
				$a = strpos ($new, "<tr class=\"pos\"><td>");
				$b = strpos ($new, "</td>", $a);
				
				$rep = substr($new,$a,$b-$a);
				$new = str_replace($rep,"<tr class=\"pos\"><td>".$pos,$new);				
				
				$archive = str_replace($old,$new,$archive);				
			}		
		}

		if ($archive == "" && strlen($inputD) > 0)
		{
		
			$nothing = true;
		
			if (strpos($input,"-") > -1)
			{
				$y = strpos($input,"-");
				$first = substr($input,0,$y);
				$second = substr($input,$y + strlen("-"),strlen($input));
				
				$firstA = analyze_text($first, -1, -1, -1, -1);
				$secondAOrig = $secondA = analyze_text($second, -1, -1, -1, -1);
				
				if (!(strpos($firstA,"***") > -1 || strpos($secondA,"***") > -1))
				{
					$nothing = false;
					$firstC = substr_count($firstA,"<tr class=\"div\">");
					$secondC = substr_count($secondA,"<tr class=\"div\">");

					$archive = "";
					for ($firstI = 0; $firstI < $firstC; $firstI++)
					{
						$x = strpos($firstA,"colspan=") + strlen("colspan=");
						$y = strpos($firstA,">", $x);
						$col1 = substr($firstA,$x,$y-$x);
						
						$x = strpos($firstA,"<tr class=\"div\">") + strlen("<tr class=\"div\">");
						$y = strpos($firstA,"</tr>", $x);
						
						$gloss1 = substr($firstA,$x,$y-$x)."-";
						
						$gloss1 = str_replace("<td></td>","","".$gloss1);
						$gloss1 = str_replace("</td>-","-</td>","".$gloss1);
						
						$x = strpos($firstA,"<tr class=\"orig\">") + strlen("<tr class=\"orig\">");
						$y = strpos($firstA,"</tr>", $x);
						
						$orig1 = substr($firstA,$x,$y-$x);
						
						
						$x = strpos($firstA,"<tr class=\"gloss\">") + strlen("<tr class=\"gloss\">");
						$y = strpos($firstA,"</tr>", $x);
						
						$trans1 = substr($firstA,$x,$y-$x);
						
						
						$x = strpos($firstA,"<tr class=\"pos\">") + strlen("<tr class=\"pos\">");
						$y = strpos($firstA,"</tr>", $x);
						
						$pos1 = substr($firstA,$x,$y-$x);
						
						
						$secondA = $secondAOrig;
						
						for ($secondI = 0; $secondI < $secondC; $secondI++)
						{
							$k = $firstI + $secondI;
							$x = strpos($secondA,"colspan=") + strlen("colspan=");
							$y = strpos($secondA,">", $x);
							$col2 = substr($secondA,$x,$y-$x);
							
							$x = strpos($secondA,"<tr class=\"div\">") + strlen("<tr class=\"div\">");
							$y = strpos($secondA,"</tr>", $x);
						
							$gloss2 = substr($secondA,$x,$y-$x);
							
							$x = strpos($secondA,"<tr class=\"orig\">") + strlen("<tr class=\"orig\">");
							$y = strpos($secondA,"</tr>", $x);
							
							$orig2 = substr($secondA,$x,$y-$x);
							
							$x = strpos($secondA,"<tr class=\"gloss\">") + strlen("<tr class=\"gloss\">");
							$y = strpos($secondA,"</tr>", $x);
							
							$trans2 = substr($secondA,$x,$y-$x);
							
							$x = strpos($secondA,"<tr class=\"pos\">") + strlen("<tr class=\"pos\">");
							$y = strpos($secondA,"</tr>", $x);
							
							$pos2 = substr($secondA,$x,$y-$x);
							
							$col = $col1 + $col2;
							
							$now = "<table>\n<tr class=\"headword\"><td class=\"headword\" colspan=\"$col\"><!--OPT:$j-$k:OPT--> $input</td></tr>\n";

							$now = $now."<tr class=\"div\">".$gloss1.$gloss2."</tr>\n";

							$now = $now."<tr class=\"orig\">".$orig1.$orig2."</tr>\n";
							
							$now = $now."<tr class=\"gloss\">".$trans1.$trans2."</tr>\n";
							
							$now = $now."<tr class=\"pos\">".$pos1.$pos2."</tr>\n</table>\n";
							
							$archive = $archive.$now;
							
							$x = strpos($secondA,"</table>") + strlen("</table>");
							$secondA = substr($secondA,$x,strlen($secondA));
						}
						
						$x = strpos($firstA,"</table>") + strlen("</table>");
						$firstA = substr($firstA,$x,strlen($firstA));
					}
					
					if ($firstC + $secondC == 2)
					{
						$archive = str_replace("<!--OPT:","<!--ID:",$archive);
						$archive = str_replace("-0:OPT-->",":ID-->",$archive);
					}
				}
			}
			
			if ($nothing)
			{
				$inputN = depun($input);
				$cl = "na";
				
				if ($inputN == mb_strtolower($inputN, "UTF-8"))
					$cl = $inputN = "***";
			
				$lat = cyr_to_lat($inputN, "mhr", false);
				
				$lat = str_replace("Β","V",$lat);
				$lat = str_replace("β","v",$lat);

				$lat = str_replace("Χ","Kh",$lat);
				$lat = str_replace("χ","kh",$lat);
				
				$lat = str_replace("Ə̑","Y",$lat);
				$lat = str_replace("ə̑","y",$lat);

				$lat = str_replace("Š́š́","Shch",$lat);
				$lat = str_replace("š́š́","shch",$lat);
				
				$lat = str_replace("Š","Sh",$lat);
				$lat = str_replace("š","sh",$lat);

				$lat = str_replace("Č́","Ch",$lat);
				$lat = str_replace("č́","ch",$lat);

				$lat = str_replace("Č","Ch",$lat);
				$lat = str_replace("č","ch",$lat);			
				
				$lat = str_replace("Ž","Zh",$lat);
				$lat = str_replace("ž","zh",$lat);

				$lat = str_replace("J","Y",$lat);
				$lat = str_replace("j","y",$lat);
				
				$archive = "<table>\n<tr class=\"headword\">\n<td class=\"headword\">¤ID:{$j}:ID¤ $input</td></tr>\n<tr class=\"div\">\n<td>$inputN</td></tr>\n<tr class=\"orig\">\n<td>$inputN</td></tr>\n<tr class=\"gloss\">\n<td><span title=\"$lat\" class=\"english\">$lat</span></td></tr>\n<tr class=\"pos\">\n<td>$cl</td></tr>\n</table>\n";
			}
		}
		else if ($archive == "" && $inputD != $input)
		{
			$x = strrpos($cyrout,"<tr class=\"div\">");

			$temp = substr($cyrout,0,$x);

			$x = strrpos($temp,"</td>");

			$temp = substr($cyrout,0,$x);

			$id1 = strrpos($temp,"¤ID:") + 5;
			$id2 = strrpos($temp,":ID¤");
			
			$id = substr($temp,$id1,$id2-$id1);
			
			while (strrpos($temp,"¤ID:$id:ID¤") > -1)
			{
				$cyrout = substr($cyrout,0,$x)." $input".substr($cyrout,$x,mb_strlen($cyrout));
				
				$x = strrpos($temp,"<tr class=\"div\">");
				$temp = substr($cyrout,0,$x);
				
				$x = strrpos($temp,"</td>");
				$temp = substr($cyrout,0,$x);
				
			}
		}
	
		if (!($archive == ""))
			$cyrout = $cyrout."<td>\n".$archive."</td>\n<!--NEXTWORD-->\n";
	}
	
	for ($i = 0; $i < $j; $i++)
	{
		
		$x = substr_count ($cyrout, "¤ID:{$i}:ID¤");
		
		if ($x > 1)
		{
			for ($k = 0; $k < $x; $k++)
			{
				$cyrout = preg_replace('/¤ID:'.$i.':ID¤/', '¤OPT:'.$i.'-'.$k.':OPT¤', $cyrout, 1);		
			}
		}
	}
	
	$cyrout = str_replace("¤OPT:","<!--OPT:",$cyrout);
	$cyrout = str_replace(":OPT¤",":OPT-->",$cyrout);
		
	$cyrout = str_replace("¤ID:","<!--ID:",$cyrout);
	$cyrout = str_replace(":ID¤",":ID-->",$cyrout);
		
	$cyrout = $cyrout."</tr></table>\n";
	
	$cyrout = str_replace("</table>\n<table>","</table>\n<!--NEXTVERSION-->\n<table>",$cyrout);
	
	mysqli_close($mysqli);
	
	return $cyrout;
}


// GENERAL FUNCTIONS

function depun($input) // remove punctuation from beginning and end of word
{	
	
	global $puncta;
	global $punctb;
	
	$input = "£".$input."£";
	
	$input = str_replace("«е¤»£", "«е¤»", $input);
	$input = str_replace("«о¤»£", "«о¤»", $input);
	$input = str_replace("«ӧ¤»£", "«ӧ¤»", $input);
	$input = str_replace("«е»£", "«е»", $input);
	$input = str_replace("«о»£", "«о»", $input);
	$input = str_replace("«ӧ»£", "«ӧ»", $input);
	
	$input = str_replace("\{е¤\}£", "\{е¤\}", $input);
	$input = str_replace("\{о¤\}£", "\{о¤\}", $input);
	$input = str_replace("\{ӧ¤\}£", "\{ӧ¤\}", $input);

	$input = str_replace("<е¤\>£", "<е¤\>", $input);

	$input = str_replace("\[й\]£", "\[й\]", $input);
	$input = str_replace("\[ь\]£", "\[ь\]", $input);
	
	while ($input != str_replace($puncta, "", $input))
		$input = str_replace($puncta, "£", $input);
	
	while ($input != str_replace($punctb, "", $input))
		$input = str_replace($punctb, "£", $input);
	
	$input = str_replace("£", "", $input);

	return $input;
}

function db_result($result,$row,$field) // needed to replicate old functionalities in mysqli
{ 
  if($result->num_rows==0) return 'unknown'; 
  $result->data_seek($row);
  $ceva=$result->fetch_assoc(); 
  $rasp=$ceva[$field];
  return $rasp; 
}

function voice ($text) // voice a consonant
{
	$text = str_replace("p", "b", $text);
	$text = str_replace("t", "d", $text);
	$text = str_replace("k", "g", $text);
	$text = str_replace("f", "v", $text);
	$text = str_replace("s", "z", $text);
	$text = str_replace("š", "ž", $text);

	$text = str_replace("P", "B", $text);
	$text = str_replace("T", "D", $text);
	$text = str_replace("K", "G", $text);
	$text = str_replace("F", "V", $text);
	$text = str_replace("S", "Z", $text);
	$text = str_replace("Š", "Ž", $text);
	
	$text = str_replace("χ", "γ", $text);
	$text = str_replace("Χ", "Γ", $text);
	
	$text = str_replace("c", "ʒ́", $text);
	$text = str_replace("C", "Ʒ́", $text);
	
	$text = str_replace("č", "ǯ", $text);
	$text = str_replace("Č", "Ǯ", $text);	
	
	return $text;
}

function devoice ($text) // devoice a consonant
{
	$text = str_replace("b", "p", $text);
	$text = str_replace("d", "t", $text);
	$text = str_replace("g", "k", $text);
	$text = str_replace("v", "f", $text);
	$text = str_replace("z", "s", $text);
	$text = str_replace("ž", "š", $text);

	$text = str_replace("B", "P", $text);
	$text = str_replace("D", "T", $text);
	$text = str_replace("G", "K", $text);
	$text = str_replace("V", "F", $text);
	$text = str_replace("Z", "S", $text);
	$text = str_replace("Ž", "Š", $text);
	
	return $text;
}

function stress_russian ($text) // mark unstressed Rus
{
	$text = str_replace("❀","", $text);
	$text = str_replace("❁","", $text);

	global $rus_vowels;

	for ($i = 0; $i < count($rus_vowels); $i++)
	{
		$text = str_replace($rus_vowels{$i},$rus_vowels{$i}."❀", $text);
	}

	$x = substr_count ($text, "❀");
	$y = substr_count ($text, "*");

	$text = str_replace("❀*","*", $text);

	if ($x < 2 || $y != 1)
	{
		$text = str_replace("❀","*❉", $text);
		return ($text);
	}
	
	$y = strpos($text,"*");
	$temp = substr($text,0,$y);
	$y = strrpos($temp,"❀");
	if ($y > -1)
		$text = substr($text,0,$y)."❁".substr($text,$y+strlen("❀"),strlen($text));
		
	return ($text);
}

function stress_meadow ($text) // add Meadow Mari stress
{
//	echo "!!$text!!";
	if (strrpos ($text, "/") > 0)
	{
		$y = strrpos($text,"/");
		
		$part1 = substr($text,0,$y);
		$part2 = substr($text,$y+strlen("/"),strlen($text));
		
		return (stress_meadow ($part1)."/".stress_meadow ($part2));
	}
	
	
	$text = str_replace("•", "*", $text);
	
	global $gr_v;
	
	if (substr_count ($text, "*") == 1)
	{
		for ($i = 0; $i < count($gr_v); $i++)
		{
			if (substr_count ($text, $gr_v{$i}."*") == 1)
			{
				return ($text);
			}
		}
	}
	
	if (substr_count ($text, "*") > 0)
	{
		for ($i = 0; $i < count($gr_v); $i++)
		{
			$text = str_replace($gr_v{$i},$gr_v{$i}."◌", $text);
		}
		
		$text = str_replace("◌¤", "◌", $text);
		
		$text = str_replace("◌*", "¤", $text);
		
		if (substr_count ($text, "◌") == 0)
		{
			$text = str_replace("¤", "", $text);
		}
		
		$text = str_replace("*", "", $text);
		$text = str_replace("¤", "*", $text);

		$text = str_replace("◌","", $text);
		return ($text);
	}
	
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$text = str_replace($gr_v{$i},$gr_v{$i}."◌", $text);
	}
	
	$text = str_replace("◌¤", "◌€", $text);
	
	if (substr_count ($text, "◌") < 2)
	{
		$text = str_replace("◌", "", $text);
		return ($text);
	}
	
	while (strpos($text,"|") > strpos($text,"◌"))
		$text = preg_replace('/◌/', '', $text, 1);	
	
	$text = $text."¤";
	
	$text = str_replace("е◌€", "е", $text);
	$text = str_replace("о◌€", "о", $text);
	$text = str_replace("ӧ◌€", "ӧ", $text);
	$text = str_replace("а◌€", "а", $text);	

	$text = str_replace("е◌¤", "е", $text);
	$text = str_replace("Е◌¤", "Е", $text);
	$text = str_replace("о◌¤", "о", $text);
	$text = str_replace("О◌¤", "О", $text);
	$text = str_replace("ӧ◌¤", "ӧ", $text);
	$text = str_replace("Ӧ◌¤", "Ӧ", $text);
	
	$text = str_replace("¤", "", $text);
	
	if (substr_count ($text, "◌") < 2)
	{
		$text = str_replace("◌", "*", $text);
		return ($text);
	}
	
	for ($i = mb_strlen($text,"UTF-8"); $i > 0; $i--)
	{
		$x = mb_substr($text, $i, 1,"UTF-8");
		$y = mb_substr($text, $i-1, 1,"UTF-8");
	
		if ($x == "◌")
		{
			if ($y != "ы" && $y != "Ы")
			{
				$text = mb_substr($text,0,$i,"UTF-8")."*".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				$text = str_replace("◌", "", $text);
				return ($text);
			}
			else
			{
				$text = mb_substr($text,0,$i,"UTF-8").mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
				if (substr_count ($text, "◌") < 2)
				{
					$text = str_replace("◌", "*", $text);
					return ($text);
				}
			}
		}
	}

	$text = str_replace("◌","", $text);
	
	return ($text);
}


function stress_fix ($text) // only one stressed vowel
{
	$text = str_replace("*", "•", $text);
	
	
	
	while (substr_count ($text, "•") > 1)
	{
		$text = preg_replace('/•/', '', $text,1);
	}

	
	$text = str_replace("¤", "", $text);
	return ($text);
}

function ortChoose ($text, $ort) // transcribe text into appropriate orthography
{
	if ($ort == 1)
			$text = cyr_to_lat($text, "mhr", false);
		else if ($ort == 2)
			$text = upa_to_ipa(cyr_to_lat($text, "mhr", false), "mhr", false);
		
		
	return ($text);	
}


function stress_disp ($text) // stressed vowels --> bold
{
	global $gr_v;
			
	for ($i = 0; $i < count($gr_v); $i++)
	{
		$text = str_replace($gr_v{$i}."•","<b>".$gr_v{$i}."</b>", $text);
	}
	
	$text = str_replace("•", "", $text);
	
	return ($text);
}

function ortup_hill ($text) // update Hill orthography
{
	$text = str_replace("лык","лѩк",$text);
	$text = str_replace("ЛЫК","ЛѨК",$text);
		
	global $hm_pal;
	global $hm_vel;
	$palme = false;
	
	$x = "";
	
	for ($i = 0; $i < mb_strlen($text,"UTF-8"); $i++)
	{
		$last = $x;
		$x = mb_substr($text, $i, 1,"UTF-8");
		
		if (in_array($x, $hm_pal))
			$palme = true;
		else if ($palme && ($x == "а" || $x == "А" || $x == "ы" || $x == "Ы"))
			$text = mb_substr($text,0,$i+1,"UTF-8")."◌".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		else if ($palme && ($x == "я" || $x == "Я") && ($last == "н" || $last == "Н" || $last == "л" || $last == "Л" || $last == "т" || $last == "Т"))
			$text = mb_substr($text,0,$i+1,"UTF-8")."◌".mb_substr($text,$i+1,mb_strlen($text),"UTF-8");
		else if (in_array($x, $hm_vel) || $x == "|")
			$palme = false;
	}

	$text = str_replace("а◌", "ӓ", $text);
	$text = str_replace("А◌", "Ӓ", $text);
	$text = str_replace("ы◌", "ӹ", $text);
	$text = str_replace("Ы◌", "Ӹ", $text);
	
	$text = str_replace("ѩ","ы",$text);
	$text = str_replace("Ѩ","Ы",$text);
	
	return $text;
}
?>